2006-05-03  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/getaddrinfo.c: Implement configuration file
	handling.  /etc/gai.conf can contain replacements for the label
	and precedence table.  Fix byte order of default label and
	precedence table.
	* posix/gai.conf: New file.
	* posix/tst-rfc3484.c: Adjust for changes to getaddrinfo.c.
	* posix/tst-rfc3484-2.c: Likewise.

2006-05-02  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1201]
	* posix/regex.h: g++ still cannot handled [restrict].

	[BZ #2509]
	* stdio-common/vfprintf.c (process_arg): Fix reading of signed
	short and byte values from parameter list.
	* stdio-common/tst-printf.c (main): Add more tests.
	* stdio-common/tst-printf.sh: Adjust for tst-printf.c change.

	* iconvdata/testdate/MIK: Fix format to match expected output.

	[BZ #2632]
	* nscd/connections.c (nscd_init): Correct initialization of
	in-memory database structure.

2006-05-02  Thorsten Kukuk  <kukuk@suse.de>

	* sysdeps/unix/sysv/linux/alpha/bits/mman.h: Fix MADV_REMOVE value.
	* sysdeps/unix/sysv/linux/i386/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/ia64/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/mman.h: Likewise.

2006-05-01  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2502]
	* iconvdata/utf-7.c: Don't require more than one character after
	the '+' sign starting Unicode shifted sequences.

	* misc/tsearch.c (__tdelete): Remove unnecessary test
	[Coverity CID 75].

	* sysdeps/generic/unwind-dw2.c (execute_cfa_program): Print error
	message for invalid DWARF data instead of crashing.

	* nis/nss_nis/nis-pwd.c (internal_nis_getpwent_r): Don't try to
	free outkey in error case when batch_read is set.

	* nis/nss_nis/nis-grp.c (internal_nis_getgrent_r): Don't try to
	free outkey in error case when batch_read is set [Coverity CID 196].

	[BZ #2517]
	* misc/sys/queue.h: Update to more recent version.

2006-05-01  Alexander Shopov  <ash@contact.bg>

	[BZ #2625]
	* iconvdata/Makefile (modules): Added MIK.
	(distribute): Added mik.c.
	(gen-8bit-gap-modules): Added mik.
	* iconvdata/TESTS: Added MIK.
	* iconvdata/gconv-modules: Added MIK.
	* iconvdata/tst-tables.sh: Added MIK.
	* iconvdata/mik.c: New file.
	* iconvdata/testdata/MIK: New file.
	* iconvdata/testdata/MIK..UTF8: New file.

2006-04-30  Ulrich Drepper  <drepper@redhat.com>

	* elf/dl-load.c (_dl_map_object_from_fd): Move state change
	notification...
	(lose): ...to here.

	* posix/Makefile (tests): Add tst-getaddrinfo3.
	* posix/tst-getaddrinfo3.c: New file.

	* sysdeps/posix/getaddrinfo.c (gaih_inet): Add parenthesis in test
	for better readability.

	* nscd/nscd.h (struct database_dyn): Change filename to an array
	to avoid relocations.

	* elf/ldd.bash.in: If --verify loop fails to find a dynamic linker
	for the file don't just try the first one listed in RTLDLIST
	again.  We already have the status.

	* nis/nss_nisplus/nisplus-publickey.c (parse_grp_str): PIDLIST is
	supposed to have NGRPS elements.

	* nis/nss_nisplus/nisplus-parser.c: Minor optimizations and
	cleanups.  Avoid copying data if it can be used in the old place.

2006-04-29  Ulrich Drepper  <drepper@redhat.com>

	* nis/nss_nisplus/nisplus-ethers.c: Add missing null pointer check.
	* nis/nss_nisplus/nisplus-hosts.c: Likewise.
	* nis/nss_nisplus/nisplus-network.c: Likewise.
	* nis/nss_nisplus/nisplus-proto.c: Likewise.
	* nis/nss_nisplus/nisplus-rpc.c: Likewise.
	* nis/nss_nisplus/nisplus-service.c: Likewise.
	* nis/nss_nisplus/nisplus-spwd.c: Likewise.

	* nis/nisplus-parser.h (_nss_nisplus_parse_pwent): Add entry
	parameter.
	(_nss_nisplus_parse_pwent_chk): New prototype.
	* nis/nss_nisplus/nisplus-parser.c (_nss_nisplus_parse_pwent):
	Add entry parameter.  Use it for column value in all accesses.
	Move checks for well-formed reply to...
	(_nss_nisplus_parse_pwent_chk): ...here.  New function.
	* nis/nss_nisplus/nisplus-pwd.c: Support SETENT_BATCH_READ option.

	* nis/nss_nisplus/nisplus-parser.c: Some cleanups.  Remove
	hidden_def definitions.
	* nis/nisplus-parser.h: Add parameter names.  Remove hidden_proto
	definitions.

2006-04-28  Ulrich Drepper  <drepper@redhat.com>

	* nis/nss_nis/nis-spwd.c (internal_nis_getspent_r): Remove data
	variable.

	* nis/nss-nis.h: Define response_t and intern_t.  Declare _nis_saveit.
	* nis/nss_nis/nis-pwd.c: Remove response_t and intern_t definition.
	(saveit): Renamed to _nis_saveit.  Take parameter which is pointer
	to the intern_t object.  Change all users.
	* nis/nss_nis/nis-grp.c: Remove response_t, intern_t, and saveit
	definition.  Use _nis_saveit instead of saveit.
	* nis/nss_nis/nis-service.c: Likewise.
	* nis/nss_nis/nis-initgroups.c: Likewise.
	(internal_setgrent): Adjust for buffer handling.
	(internal_getgrent_r): Likewise.
	* nis/nss_nis/nis-rpc.c: Likewise.

	* nis/nss-default.c (vars): Add SETENT_BATCH_READ.
	* nis/nss: Document SETENT_BATCH_READ.
	* nis/libnsl.h: Define NSS_FLAG_SETENT_BATCH_READ.
	* nis/nss_nis/nis-service.c (saveit): Don't add NUL byte if the
	string is already NUL terminated.
	(internal_nis_endservent): No need to return anything.  Change callers.
	(internal_nis_setservent): One more initialization.
	* nis/nss_nis/nis-pwd.c: Support SETENT_BATCH_READ option.
	* nis/nss_nis/nis-grp.c: Likewise.

	* nis/nss-default.c (init): Rewrite parser to get the variables
	from a table.

	* nis/nss_nis/nis-service.c: Avoid passing pointer to static
	variable around.  Reduce number of memory allocations by creating
	list of memory pools.

	* nis/ypclnt.c (__xdr_ypresp_all): Minor optimization in string
	handling.  Fix typo in comment.

2006-04-27  Ulrich Drepper  <drepper@redhat.com>

	* nscd/connections.c (restart): If we want to switch back to the
	old ID use setresuid and setresgid.
	(finish_drop_privileges): Likewise.

2006-04-27  Jakub Jelinek  <jakub@redhat.com>

	* nscd/nscd.conf: Fix a typo.

2006-04-27  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2611]
	* stdio-common/renameat.c (renameat): Fix typo.

2006-04-27  Jakub Jelinek  <jakub@redhat.com>

	* nscd/connections.c (sighup_handler): Only run prune_cache on
	enabled databases.

2006-04-26  Roland McGrath  <roland@redhat.com>

	* Makeconfig (%.v.i rule): Don't use -DASSEMBLER.
	The predefined __ASSEMBLER__ is sufficient.

2006-04-26  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1386]
	* iconvdata/ibm932.c: Change mapping to allow round-trips.
	* iconvdata/ibm943.c: Likewise.
	Patch by Masahide Washizawa <WASHI@jp.ibm.com>.

	* sysdeps/unix/sysv/linux/syscalls.list: Add vmsplice.
	* sysdeps/unix/sysv/linux/Versions: Export vmsplice@@GLIBC_2.5.
	* sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Declare vmsplice.
	* sysdeps/unix/sysv/linux/ia64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h: Likewise.

	* sysdeps/unix/sysv/linux/bits/uio.h: Fix a typo in a comment.

	* sysdeps/posix/getaddrinfo.c (getaddrinfo): Fix typo which caused
	errors not to be reported.

	* nscd/nscd.h (struct database_dyn): Add propagate field.
	* nscd/nscd_conf.c (nscd_parse_file): Parse auto-propagate lines.
	* nscd/nscd.conf: Add auto-propagate lines.
	* nscd/connections.c (dbs): Initialize .propagate fields.
	* nscd/grpcache.c (cache_addgr): Do not add ID entry for name lookups
	and vice versa if propagation is disabled for the database.
	* nscd/pwdcache.c (cache_addpw): Likewise.

2006-04-26  James Antill  <james.antill@redhat.com>
	    Ulrich Drepper  <drepper@redhat.com>

	* config.make.in: Add have-libcap.
	* configure.in: Check for libcap.
	* nscd/Makefile (selinux-LIBS): Add -lcap if possible.
	* nscd/connections.c (finish_drop_privileges): When libcap is available
	call preserve_capabilities and install_real_capabilities.
	* nscd/selinux.c: Define preserve_capabilities and
	install_real_capabilities.
	* nscd/selinux.h: Declare preserve_capabilities and
	install_real_capabilities.

2006-04-26  Ulrich Drepper  <drepper@redhat.com>

	* locale/iso-4217.def: Update.

2006-04-25  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2420]
	* stdlib/strfmon_l.c (__vstrfmon_l): Fix handling of ! modifier.
	* localedata/Makefile: Add rules to build and run tst-strfmon1.
	* localedata/tst-strfmon1.c: New file.

	[BZ #2571]
	* nscd/nscd_helper.c (__nscd_get_map_ref): Make mapptr argument a
	volatile pointer so that the mapptr->mapped value is re-read after
	the lock is retrieved.
	* nscd/nscd-client.h: Update __nscd_get_map_ref prototype.

	* include/features.h [_GNU_SOURCE] (_POSIX_C_SOURCE): Define to
	200112L.

	* resolv/res_hconf.c: Minor surgery to 'cmd' and the referenced
	functions to avoid relocations.

	[BZ #2389]
	* resolv/res_hconf.c: Remove 'order' parsing.  Just ignore the line.
	* resolv/res_hconf.h: Remove Name_Service definition.
	(struct hconf): Replace service related fields with placeholders.

	[BZ #2386]
	* sysdeps/unix/sysv/linux/ia64/clone2.S: Check for NULL stack
	pointers to match other architectures.
	* sysdeps/unix/sysv/linux/Makefile [subdirs=misc] (tests): Add
	tst-clone.
	* sysdeps/unix/sysv/linux/tst-clone.c: New file.

	[BZ #2072]
	* stdio-common/printf_fp.c: Fix potential memory leaks for
	malloc'ed wbuffer which isn't freed in error conditions.

	[BZ #2569]
	* iconv/gconv_db.c (__gconv_release_step): Fix condition of assert
	call.
	* iconvdata/Makefile (tests): Add tst-iconv6.
	* iconvdata/tst-iconv6.c: New file.

2006-04-24  Ulrich Drepper  <drepper@redhat.com>

	* posix/tst-rfc3484.c (do_test): Also initialize source_addr_flags
	field.
	* posix/tst-rfc3484-2.c (do_test): Likewise.

	* posix/tst-rfc3484.c: Include <ifaddrs.h> early.
	* posix/tst-rfc3484-2.c: Likewise.

	* version.h (VERSION): Bump to 2.4.90 for the trunk.

2006-04-24  Jakub Jelinek  <jakub@redhat.com>

	* malloc/arena.c (ptmalloc_init): Don't call __malloc_check_init
	if MALLOC_CHECK_ env var contains an empty string.

2006-04-24  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/getaddrinfo.c (getaddrinfo): Always initialize in6ai.

2006-04-24  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sync_file_range.c (sync_file_range): Use
	__LONG_LONG_PAIR macro.

	* posix/bits/unistd.h (__readlinkat_chk): New prototype.
	(__readlinkat_alias): New alias.
	(readlinkat): New inline function.
	* include/unistd.h (readlinkat): Add libc_hidden_proto.
	* sysdeps/unix/sysv/linux/readlinkat.c (readlinkat): Add
	libc_hidden_def.
	* io/readlinkat.c (readlinkat): Likewise.
	* debug/readlinkat_chk.c: New file.
	* debug/Makefile (routines): Add readlinkat_chk.
	* debug/Versions (libc): Export __readlinkat_chk@@GLIBC_2.5.
	* debug/tst-chk1.c (do_test): Add readlinkat tests.

2006-04-23  Ulrich Drepper  <drepper@redhat.com>

	* nis/nss_nisplus/nisplus-netgrp.c: Cleanups.

	[BZ #1951]
	* sysdeps/posix/sigset.c (sigset): Return correct value reflecting
	previous signal state.
	* signal/Makefile (tests): Add tst-sigset2.
	* signal/tst-sigset2.c: New file.

2006-04-21  Jakub Jelinek  <jakub@redhat.com>

	* argp/argp.h (__option_is_short): Check upper limit of
	__key.  isprint() requires its argument to have the value
	of an unsigned char or EOF.
	Patch by Sergey Poznyakoff <gray@Mirddin.farlep.net>.

2006-04-21  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2534, BZ #2535]
	* posix/regex.h: Remove obsolete <sys/types.h> comment and special
	handling for VMS.

	* iconvdata/ibm437.c: Define HAS_HOLES to 0.
	* iconvdata/ibm861.c: Likewise.
	* iconvdata/ibm862.c: Likewise.
	* iconvdata/ibm863.c: Likewise.
	* iconvdata/ibm865.c: Likewise.
	Reported by <ash@contact.bg>.

2006-04-19  Ulrich Drepper  <drepper@redhat.com>

	* include/ifaddrs.h: Get uint32_t definition.
	* posix/tst-rfc3484.c: Update fake __check_pf implementation.
	* posix/tst-rfc3484-2.c: Likewise.

	* sysdeps/unix/sysv/linux/kernel-features.h: Define
	__ASSUME_PROC_SELF_FD_SYMLINK.
	* sysdeps/unix/sysv/linux/ttyname.c: Cleanups.  Avoid compatibility
	code is possible.  Move compatibility code in .text.compat section.
	* sysdeps/unix/sysv/linux/ttyname_r.c: Likewise.

2006-04-18  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/getaddrinfo.c (getaddrinfo): Rewrite to avoid loop
	over gaih array.  There is only one function to call in the moment.

2006-04-16  Ulrich Drepper  <drepper@redhat.com>

	* include/ifaddrs.h: Define struct in6addrinfo.
	Add two more parameters to __check_pf.
	* sysdeps/unix/sysv/linux/check_pf.c: When using the netlink
	interface, determine whether IPv6 addresses are deprecated or
	temporary.  Create array of those addresses.
	* inet/check_pf.c: Always tell caller there are no depracated
	and temporary addresses.
	* sysdeps/posix/getaddrinfo.c: Pretty printing.
	(struct sort_result): Add source_addr_flags field.
	(rfc3484_sort): Implement rule 3 and 7.
	(in6aicmp): New function.
	(getaddrinfo): Call __check_pf also when we need info about IPv6
	source addresses.  When creating array for sorting addresses,
	look up deprecated and temporary addresses returned by __check_pf
	and add flag if necessary.

2006-04-15  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/getaddrinfo.c: Fix precedence for IP V4-to-V6
	mapped addresses.
	* posix/Makefile (tests): Add tst-rfc3484-2.
	* posix/tst-rfc3484-2.c: New file.

	* nis/nss_nisplus/nisplus-publickey.c: Minor cleanups throughout.
	* nis/nss_nisplus/nisplus-service.c (_nss_nisplus_parse_servent):
	Significant cleanups.  Correct adjustment for pointer array.
	* nis/nss_nisplus/nisplus-rpc.c (_nss_nisplus_parse_rpcent):
	Likewise.
	* nis/nss_nisplus/nisplus-proto.c (_nss_nisplus_parse_protoent):
	Likewise.
	* nis/nss_nisplus/nisplus-network.c (_nss_nisplus_parse_netent):
	Likewise.
	* nis/nss_nisplus/nisplus-hosts.c (_nss_nisplus_parse_hostent):
	Likewise.

2006-04-14  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/syscalls.list: Add tee syscall.
	* sysdeps/unix/sysv/linux/Versions: Export tee@GLIBC_2.5.
	* sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Add prototype for tee.
	* sysdeps/unix/sysv/linux/ia64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h: Likewise.

	* nis/nss_nisplus/nisplus-ethers.c (_nss_nisplus_parse_etherent):
	Minor cleanups.  NUL terminate name string.

	* nis/Versions: No need to export _nss_nisplus_parse_grent,
	_nss_nisplus_parse_pwent, and _nss_nisplus_parse_spent.

	* nis/nss_nisplus/nisplus-alias.c (_nss_nisplus_parse_aliasent):
	Avoid unnecessary allocation.  Fix adjustment for pointer value.

	* nis/nss_nisplus/nisplus-parser.c: Cleanups, use NIS_RES_*
	macros.  Avoid unnecessary allocation.

	* sysdeps/unix/sysv/linux/sync_file_range.c: New file.

2006-04-13  Ulrich Drepper  <drepper@redhat.com>

	* nis/Makefile (libnsl-routimes): Add nss-default.
	* nis/Versions (libnsl) [GLIBC_PRIVATE]: Export _nsl_default_nss.
	* nis/nss-nis.c: Move /etc/default/nss handling to...
	* nis/nss-default.c: ...here.  New file.
	* nis/libnsl.h: New file.
	* nis/nss-nis.h: Remove NSS_FLAG_* definitions and _nis_default_nss
	plus auxilary definitions.
	* nis/nss_nis/nis-initgroups.c: Use _nsl_default_nss instead of
	_nis_default_nss.
	* nis/nss_nis/nis-service.c: Likewise.

2006-04-07  Steven Munroe  <sjmunroe@us.ibm.com>

	* sysdeps/powerpc/fpu/bits/mathinline.h
	[__WORDSIZE == 64 || _ARCH_PWR4]: Define __CPU_HAS_FSQRT.
	(__ieee754_sqrt): Fix comment.
	(__ieee754_sqrtf): Fix comment.
	* sysdeps/powerpc/fpu/e_sqrt.c (__ieee754_sqrt): Fix comment.
	Check __CPU_HAS_FSQRT instead of dl_hwcap.
	* sysdeps/powerpc/fpu/e_sqrtf.c (__ieee754_sqrtf): Likewise.

2006-04-08  Ulrich Drepper  <drepper@redhat.com>

	* inet/inet_ntoa.c: Rewrite to use TLS instead of TSD.

	* nis/nss_nis/nis-alias.c: Optimize use of yperr2nss.  Avoid calling
	it for YPERR_SUCCESS.  Minor cleanups.  Add __builtin_expect.
	* nis/nss_nis/nis-ethers.c: Likewise.
	* nis/nss_nis/nis-grp.c: Likewise.
	* nis/nss_nis/nis-hosts.c: Likewise.
	* nis/nss_nis/nis-initgroups.c: Likewise.
	* nis/nss_nis/nis-netgrp.c: Likewise.
	* nis/nss_nis/nis-network.c: Likewise.
	* nis/nss_nis/nis-proto.c: Likewise.
	* nis/nss_nis/nis-publickey.c: Likewise.
	* nis/nss_nis/nis-pwd.c: Likewise.
	* nis/nss_nis/nis-rpc.c: Likewise.
	* nis/nss_nis/nis-service.c: Likewise.
	* nis/nss_nis/nis-spwd.c: Likewise.

	* nis/nis_ping.c: Remove unnecessary conditionals before
	nis_freeresult calls.
	* nis/nis_ismember.c: Likewise.

	* elf/rtld.c (process_envvars): Fix handling of LD_POINTER_GUARD.
	Reported by genesh@comcast.net.

	* io/fts.c (fts_build): Call fts_lfree in the two error cases
	after the loop [Coverity CID 187].

	* nis/nis_getservlist.c (nis_getservlist): Also free lookup result
	in error case [Coverity CID 189].

	* nis/nis_getservlist.c (nis_getservlist): One more free call
	needed [Coverity CID 190].

2006-04-07  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/unwind-dw2-fde.c (end_fde_sort): Remove
	unnecessary test for accu->linear == NULL [Coverity CID 79].

2006-04-07  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/tempname.c (__gen_tempname): Change attempts_min
	into a macro.  Use preprocessor to decide how to initialize
	attempts [Coverity CID 67].

	* io/fts.c (fts_build): Comment out dead code [Coverity CID 68].

	* sunrpc/rpc_parse.c (def_union): Comment out dead code
	[Coverity CID 70].

	* locale/programs/linereader.c (lr_token): Remove duplicate
	handling of EOF [Coverity CID 71].

	* locale/programs/ld-numeric.c (numeric_read) [case tok_grouping]:
	We bail out early if ignore_content is set, so there is no need to
	check it later again [Coverity CID 72].

	* inet/inet6_option.c (inet6_option_find): Check *tptrp for NULL,
	not tptrp [Coverity CID 73].

	* inet/inet6_option.c (inet6_option_next): Check *tptrp for NULL,
	not tptrp [Coverity CID 74].

	* misc/tsearch.c (__tsearch): Don't rotate tree if memory
	allocation failed [Coverity CID 78].

2006-04-07  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/generic/unwind-dw2.c (execute_cfa_program): Fix typo in
	the last change.

2006-04-07  Ulrich Drepper  <drepper@redhat.com>

	* inet/rexec.c (rexec_af): If we have no canonical name don't
	proceed further [Coverity CID 86].

	* iconv/iconv_charmap.c (process_fd): Initialize inptr from inbuf,
	not to NULL [Coverity CID 88].

2006-04-06  Ulrich Drepper  <drepper@redhat.com>

	* elf/ldconfig.c (main): Use rawmemchr instead of strchr.
	* nis/nis_call.c (rec_dirsearch): Likewise.
	* nis/nis_local_names.c (nis_local_host): Likewise.
	(nis_local_directory): Likewise.
	* intl/explodename.c (_nl_explode_name): Likewise.

	* sysdeps/generic/unwind-dw2.c (execute_cfa_program): Don't handle
	DW_CFA_GNU_window_save if it obviously cannot work [Coverity CID 102].

	* locale/programs/ld-address.c (address_finish): Fix conditions
	for error messages [Coverity CID 104].

	* libio/fmemopen.c (fmemopen): Free stream memory in case of
	invalid length [Coverity CID 106].

	* nss/nss_files/files-key.c (search): Close stream before
	successful return [Coverity CID 107].

	* io/fts.c (fts_open): Don't allocate parent if *argv==NULL
	[Coverity CID 108].

	* sunrpc/rpc_cout.c (inline_struct): Free sizestr after use
	[Coverity CID 110, 109].

	* sunrpc/rpc_scan.c (docppline): Free file string if it is not
	going to be used [Coverity CID 111].

	* sysdeps/unix/sysv/linux/getsourcefilter.c (getsourcefilter): Free
	memory if socket level value cannot be retrieved [Coverity CID 112].

	* nis/nis_clone_dir.c (nis_clone_directory): Free all memory in
	error case [Coverity CID 114].

	* nis/nis_clone_res.c (nis_clone_result): Free all memory in the
	error cases [Coverity CID 115].

	* sunrpc/rpc_parse.c (get_definition): Free defp if tok ==
	TOK_EOF [Coverity CID 116].

	* sysdeps/unix/sysv/linux/setsourcefilter.c (setsourcefilter): Free
	memory if socket level value cannot be retrieved [Coverity CID 117].

	* elf/cache.c (save_cache): Initialize pad to avoid writing
	uninitialized data to disk.

	* elf/cache.c (save_cache): Free file_entries_new [Coverity CID 118].

	* intl/finddomain.c (_nl_find_domain): Avoid strdup of expand
	locale name, use strdupa.  Remove free call [Coverity CID 119].

	* sunrpc/rpc_main.c (generate_guard): Avoid extra allocation and
	the resulting leak [Coverity CID 121].

	* sunrpc/rpc_main.c (mkfile_output): Free all allocated memory
	[Coverity CID 122].

	* sunrpc/rpc_main.c (h_output): Free guard after we are done
	[Coverity CID 123].

	* sunrpc/svc_udp.c (cache_set): Free victim if newbuf allocation
	fails [Coverity CID 126].

	* sunrpc/svc_udp.c (svcudp_enablecache): Free memory in error
	cases [Coverity CID 127].

	* nis/nis_table.c (__create_ib_request): Free ibreq in case strdup
	fails [Coverity CID 128].

	* nis/nis_getservlist.c (nis_getservlist): Free all memory in case
	of an error [Coverity CID 130, 129].

	* nis/nis_print_group_entry.c (nis_print_group_entry): If
	nis_lookup call failed, return.  Free lookup result in error
	cases [Coverity CID 131].

	* nis/nis_removemember.c (nis_removemember): Free all memory in
	error cases [Coverity CID 132].

	* nis/nss_nisplus/nisplus-alias.c (_nss_nisplus_getaliasbyname_r):
	Always free lookup result [Coverity CID 134].

	* nis/nss_nisplus/nisplus-ethers.c (_nss_nisplus_gethostton_r):
	Always free lookup result [Coverity CID 135].

	* nis/nss_nisplus/nisplus-ethers.c (_nss_nisplus_getntohost_r):
	Always free lookup result [Coverity CID 136].

	* nis/nss_nisplus/nisplus-network.c (_nss_nisplus_getnetbyaddr_r):
	Before retrying, free old result [Coverity CID 137].

	* nis/nss_nisplus/nisplus-publickey.c (_nss_nisplus_netname2user):
	Free res in case UID is zero [Coverity CID 138].

	* nis/ypclnt.c (yp_update): Always free master string
	[Coverity CID 140].

	* nis/nis_creategroup.c (nis_creategroup): Free all memory in
	error cases [Coverity CID 143, 142, 141].

	* nis/nss_nis/nis-publickey.c (_nss_nis_getpublickey): Free result
	if yp_match call succeeded [Coverity CID 155].

	* nis/nss_nis/nis-publickey.c (_nss_nis_getsecretkey): Free string
	allocated in yp_match at all times [Coverity CID 157, 156].

	* nscd/nscd.c (write_pid): Close stream also if writing failed
	[Coverity CID 165].

	* nis/nis_table.c (nis_add_entry): Move test for NULL parameter
	ahead of first use [Coverity CID 167].

	* nis/nss_nis/nis-alias.c (_nss_nis_getaliasbyname_r): Move test
	for NULL parameter ahead of first use [Coverity CID 168].

	* intl/finddomain.c (_nl_find_domain): We never return NULL if we
	found the locale [Coverity CID 169].

	* inet/getnameinfo.c (getnameinfo): __getservbyport_r does not set
	herrno [Coverity CID 178].

	* nis/nis_checkpoint.c (nis_checkpoint): Don't access and returned
	freed object [Coverity CID 182].

2006-04-05  Alan Modra  <amodra@bigpond.net.au>
	    Jakub Jelinek  <jakub@redhat.com>

	* posix/bits/unistd.h (readlink, __readlink_chk, __readlink_alias):
	Change return value to ssize_t.

2006-04-04  Roland McGrath  <roland@redhat.com>

	* string/Makefile (CFLAGS-inl-tester.c): New variable.
	(CFLAGS-tst-inlcall.c): Likewise.

	[BZ #2508]
	* nscd/Makefile ($(objpfx)nscd_stat.o: sysincludes): Move setting
	inside [$(have-selinux) = yes].
	($(objpfx)selinux.o: sysincludes): Likewise.

	* iconvdata/Makefile (generate-8bit-table): Use LC_ALL=C.
	(generate-8bit-gap-table): Likewise.
	($(objpfx)iso8859-7jp.stmp): Likewise.
	Reported by S.ÃaÄlar Onur <caglar@uludag.org.tr>.

2006-03-21  Joseph S. Myers  <joseph@codesourcery.com>

	* soft-fp/adddf3.c: Add libgcc exception.  Update FSF address.
	* soft-fp/addsf3.c: Likewise.
	* soft-fp/addtf3.c: Likewise.
	* soft-fp/divdf3.c: Likewise.
	* soft-fp/divsf3.c: Likewise.
	* soft-fp/divtf3.c: Likewise.
	* soft-fp/double.h: Likewise.
	* soft-fp/eqdf2.c: Likewise.
	* soft-fp/eqsf2.c: Likewise.
	* soft-fp/eqtf2.c: Likewise.
	* soft-fp/extenddftf2.c: Likewise.
	* soft-fp/extended.h: Likewise.
	* soft-fp/extendsfdf2.c: Likewise.
	* soft-fp/extendsftf2.c: Likewise.
	* soft-fp/fixdfdi.c: Likewise.
	* soft-fp/fixdfsi.c: Likewise.
	* soft-fp/fixsfdi.c: Likewise.
	* soft-fp/fixsfsi.c: Likewise.
	* soft-fp/fixtfdi.c: Likewise.
	* soft-fp/fixtfsi.c: Likewise.
	* soft-fp/fixunsdfdi.c: Likewise.
	* soft-fp/fixunsdfsi.c: Likewise.
	* soft-fp/fixunssfdi.c: Likewise.
	* soft-fp/fixunssfsi.c: Likewise.
	* soft-fp/fixunstfdi.c: Likewise.
	* soft-fp/fixunstfsi.c: Likewise.
	* soft-fp/floatdidf.c: Likewise.
	* soft-fp/floatdisf.c: Likewise.
	* soft-fp/floatditf.c: Likewise.
	* soft-fp/floatsidf.c: Likewise.
	* soft-fp/floatsisf.c: Likewise.
	* soft-fp/floatsitf.c: Likewise.
	* soft-fp/floatundidf.c: Likewise.
	* soft-fp/floatundisf.c: Likewise.
	* soft-fp/floatunditf.c: Likewise.
	* soft-fp/floatunsidf.c: Likewise.
	* soft-fp/floatunsisf.c: Likewise.
	* soft-fp/floatunsitf.c: Likewise.
	* soft-fp/gedf2.c: Likewise.
	* soft-fp/gesf2.c: Likewise.
	* soft-fp/getf2.c: Likewise.
	* soft-fp/ledf2.c: Likewise.
	* soft-fp/lesf2.c: Likewise.
	* soft-fp/letf2.c: Likewise.
	* soft-fp/muldf3.c: Likewise.
	* soft-fp/mulsf3.c: Likewise.
	* soft-fp/multf3.c: Likewise.
	* soft-fp/negdf2.c: Likewise.
	* soft-fp/negsf2.c: Likewise.
	* soft-fp/negtf2.c: Likewise.
	* soft-fp/op-1.h: Likewise.
	* soft-fp/op-2.h: Likewise.
	* soft-fp/op-4.h: Likewise.
	* soft-fp/op-8.h: Likewise.
	* soft-fp/op-common.h: Likewise.
	* soft-fp/quad.h: Likewise.
	* soft-fp/single.h: Likewise.
	* soft-fp/soft-fp.h: Likewise.
	* soft-fp/sqrtdf2.c: Likewise.
	* soft-fp/sqrtsf2.c: Likewise.
	* soft-fp/sqrttf2.c: Likewise.
	* soft-fp/subdf3.c: Likewise.
	* soft-fp/subsf3.c: Likewise.
	* soft-fp/subtf3.c: Likewise.
	* soft-fp/truncdfsf2.c: Likewise.
	* soft-fp/trunctfdf2.c: Likewise.
	* soft-fp/trunctfsf2.c: Likewise.
	* soft-fp/unorddf2.c: Likewise.
	* soft-fp/unordsf2.c: Likewise.
	* soft-fp/unordtf2.c: Likewise.

2006-04-03  Steven Munroe  <sjmunroe@us.ibm.com>

	[BZ #2505]
	* sysdeps/powerpc/powerpc32/bits/atomic.h [_ARCH_PWR4]:
	Define atomic_read_barrier and __ARCH_REL_INSTR using lwsync.

2006-04-03  Andreas Schwab  <schwab@suse.de>

	* sysdeps/unix/sysv/linux/powerpc/powerpc32/clone.S: Terminate FDE
	before syscall.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone.S: Likewise.

	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h: Test for <asm/elf.h>
	with [! _ASM_POWERPC_ELF_H] as well as [!__PPC64_ELF_H].

2006-04-03  Roland McGrath  <roland@frob.com>

	[BZ #2507]
	* mach/Machrules (.udeps-targets): New variable.
	($(objpfx)%.udeps static pattern rule): Use it to avoid \ inside
	quoted string.

2006-04-02  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2501]
	* nscd/nscd_helper.c (get_mapping): Rewrite code to send request
	so it uses send and not writev.

	[BZ #2418]
	* sysdeps/unix/sysv/linux/getcwd.c (__getcwd): Use larger of PATH_MAX
	and page size when allocating buffer.

	* sysdeps/unix/sysv/linux/bits/socket.h (struct msghdr): Document
	msg_controllen type issue.
	(struct cmsghdr): Same for cmsg_len.

2006-04-01  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2415]
	* elf/ldd.bash.in: Create better error messages for invalid input
	files.

	[BZ #2477]
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Create correct LOADARGS_*
	macros for non-shared position-independent code.

	[BZ #2472]
	* bits/siginfo.h: Fix typo in ILL_ILLOPN definition.

	[BZ #2450]
	* posix/unistd.h: Match return value of readlink to what POSIX
	says these days.
	* io/readlink.c: Likewise.
	* io/readlinkat.c: Likewise.
	* sysdeps/unix/sysv/linux/readlinkat.c: Likewise.

	[BZ #2498]
	* nscd/connections.c (main_loop_poll): If the connection cannot be
	accepted because of user-imposed limits close the descriptor.

2006-03-31  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/Versions: Export sync_file_range with
	GLIBC_2.5.
	* sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Remove
	LINUX_FADV_ASYNC_WRITE and LINUX_FADV_WRITE_WAIT.
	Declare sync_file_range and splice.
	* sysdeps/unix/sysv/linux/ia64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/wordsize-64/syscalls.list: Add
	sync_file_range.
	* sysdeps/unix/sysv/linux/i386/sync_file_range.S: New file.
	* sysdeps/unix/sysv/linux/syscalls.list: Add splice syscall.
	* sysdeps/unix/sysv/linux/Versions: Export splice with GLIBC_2.5
	version.
	* Versions.def: Define GLIBC_2.5 for libc.

2006-03-29  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/posix/getaddrinfo.c (gaih_inet): No need to duplicate
	'name' for 'canon'.  The final allocation will happen later.

2006-03-27  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/kernel-features.h: Remove support for
	architectures which moved to ports.

	* sysdeps/unix/sysv/linux/kernel-features.h: Add
	__ASSUME_SET_ROBUST_LIST.

2006-03-27  Jakub Jelinek  <jakub@redhat.com>

	* wcsmbs/wchar.h (btowc, wctob): Don't optimize in C++.

2006-03-24  David S. Miller  <davem@sunset.davemloft.net>

	* sysdeps/sparc/sparc32/bits/atomic.h
	(__v9_compare_and_exchange_val_32_acq): Add "memory" clobber.
	* sysdeps/sparc/sparc32/sparcv9/bits/atomic.h
	(__arch_compare_and_exchange_val_32_acq, atomic_exchange_acq):
	Likewise.
	* sysdeps/sparc/sparc64/bits/atomic.h
	(__arch_compare_and_exchange_val_32_acq,
	__arch_compare_and_exchange_val_64_acq, atomic_exchange_acq): Likewise.

2006-03-24  Jakub Jelinek  <jakub@redhat.com>

	* nis/nss_nisplus/nisplus-proto.c (_nss_create_tablename): Check the
	return value of malloc rather than the static var again.
	* nis/nss_nisplus/nisplus-grp.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-network.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-ethers.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-rpc.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-service.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-hosts.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-alias.c (_nss_create_tablename): Likewise.
	* nis/nss_nisplus/nisplus-pwd.c (_nss_pwd_create_tablename): Likewise.

2006-03-25  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/bits/poll.h: Add POLLMSG,
	POLLREMOVE, and POLLRDHUP.
	* sysdeps/unix/sysv/linux/bits/poll.h: Add POLLREMOVE and POLLRDHUP.

2006-03-24  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/bits/fcntl.h: Define
	LINUX_FADV_ASYNC_WRITE and LINUX_FADV_WRITE_WAIT.
	* sysdeps/unix/sysv/linux/ia64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/fcntl.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/fcntl.h: Likewise.

2006-03-17  Roland McGrath  <roland@redhat.com>

	* elf/rtld.c (dl_main): Run final self-relocation after setting up TLS.
	From Alexandre Oliva <aoliva@redhat.com>.

	* elf/tst-audit2.c: New file.
	* elf/Makefile (tests): Add it.
	($(objpfx)tst-audit2.out): New target.
	(tst-audit2-ENV): New variable.

	* elf/tst-leaks1.c: Include <stdio.h>.

2006-03-16  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/getcontext.S (__getcontext_x):
	Use .set noat to quiet assembler warning.

	* math/gen-libm-test.pl (parse_args): Take function name for pretty
	output as an argument.
	(generate_testfile): Pass it the name given in the START macro.

	[BZ #2466]
	* math/libm-test.inc (llrint_test, llround_test): Fix last change to
	protect large-precision cases with [LDBL_MANT_DIG > 100].
	(llrint_test_tonearest, llrint_test_towardzero): Likewise.
	(llrint_test_downward, llrint_test_upward): Likewise.

2006-03-15  Steven Munroe  <sjmunroe@us.ibm.com>
	    Alan Modra  <amodra@bigpond.net.au>

	[BZ #2466]
	* math/libm-test.inc (llrint_test, llround_test) [TEST_LDOUBLE]:
	Add new test values.
	(llrint_test_tonearest, llrint_test_towardzero, llrint_test_downward,
	llrint_test_upward): New functions.
	(main): Call them.

	* sysdeps/ieee754/ldbl-128ibm/s_llrintl.c (__llrintl): Handle
	rounding that spans doubles in IBM long double format.
	* sysdeps/ieee754/ldbl-128ibm/s_llroundl.c (__llroundl): Likewise.
	* sysdeps/powerpc/powerpc64/fpu/s_llrintl.S: Removed.
	* sysdeps/powerpc/powerpc64/fpu/s_llroundl.S: Removed.
	* sysdeps/powerpc/powerpc64/fpu/s_lrintl.S: Removed.
	* sysdeps/powerpc/powerpc64/fpu/s_lroundl.S: Removed.

2006-03-16  Roland McGrath  <roland@redhat.com>

	* wcsmbs/wchar.h (__wcstol_internal, __wcstoul_internal): Declare these
	 only when we will use them, under [__OPTIMIZE__ && __GNUC__ >= 2].
	(__wcstoll_internal, __wcstoull_internal_defined): Likewise.

2006-03-06  Steven Munroe  <sjmunroe@us.ibm.com>

	* sysdeps/powerpc/powerpc32/fpu/fprsave.S: Add cfi_offset for spilling
	of non-volatile floating-point registers to the stack (fp14-fp31).
	* sysdeps/powerpc/powerpc32/gprsave0.S: Add cfi_offset for spilling of
	non-volatile general-purpose registers to the stack (gpr13-gpr31).
	* sysdeps/powerpc/powerpc64/dl-trampoline.S: Add cfi_offset
	for non-volatiles gpr30 - grp31 spilled to the stack.
	* sysdeps/powerpc/powerpc64/memcpy.S: Add cfi_offset for non-volatile
	gpr31 spill to the stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/setcontext-common.S:
	Add cfi_offset for non-volatile gpr31 spill to the stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone.S: Add cfi_offset
	for non-volatiles gpr28 - grp31 spilled to the stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/getcontext.S: Add
	cfi_adjust_cfa_offset when a frame is stacked.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/setcontext.S:
	(__novec_setcontext) : Add cfi_offset for non-volatile gpr31 spill
	add LR saved to the stack.  Add cfi_adjust_cfa_offset when frame is
	stacked.
	(__setcontext) : Add cfi_offset for non-volatile gpr31 spill to
	the stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/swapcontext.S:
	(__novec_swapcontext) : Add cfi_offset for non-volatile gpr31 spill
	add LR saved to the stack.
	(__swapcontext) : Add cfi_offset for non-volatile gpr31 spill add LR
	saved to the stack.  Add cfi_adjust_cfa_offset when frame is stacked.

2006-03-07  Jakub Jelinek  <jakub@redhat.com>

	[BZ #2423]
	* math/libm-test.inc [TEST_LDOUBLE] (ceil_test, floor_test, rint_test,
	round_test, trunc_test): Only run some of the new tests if
	LDBL_MANT_DIG > 100.

2006-03-03  Steven Munroe  <sjmunroe@us.ibm.com>
	    Alan Modra  <amodra@bigpond.net.au>

	* sysdeps/powerpc/fpu/fenv_libc.h (__fegetround, __fesetround):
	Define inline implementations.
	* sysdeps/powerpc/fpu/fegetround.c: Use __fegetround.
	* sysdeps/powerpc/fpu/fesetround.c: Use __fesetround.

	* sysdeps/powerpc/fpu/math_ldbl.h: New file.

	[BZ #2423]
	* math/libm-test.inc [TEST_LDOUBLE] (ceil_test, floor_test, rint_test,
	round_test, trunc_test): Add new tests.
	* sysdeps/ieee754/ldbl-128ibm/math_ldbl.h
	(EXTRACT_IBM_EXTENDED_MANTISSA, INSERT_IBM_EXTENDED_MANTISSA):
	Removed, replaced with ...
	(ldbl_extract_mantissa, ldbl_insert_mantissa, ldbl_pack, ldbl_unpack,
	ldbl_canonicalise, ldbl_nearbyint): New functions.
	* sysdeps/ieee754/ldbl-128ibm/e_fmodl.c (__ieee754_fmodl): Replace
	EXTRACT_IBM_EXTENDED_MANTISSA and INSERT_IBM_EXTENDED_MANTISSA
	with ldbl_extract_mantissa and ldbl_insert_mantissa.
	* sysdeps/ieee754/ldbl-128ibm/e_rem_pio2l.c (__ieee754_rem_pio2l):
	Replace EXTRACT_IBM_EXTENDED_MANTISSA with ldbl_extract_mantissa.
	(ldbl_extract_mantissa, ldbl_insert_mantissa): New inline functions.
	* sysdeps/ieee754/ldbl-128ibm/s_ceill.c (__ceill): Handle rounding
	that spans doubles in IBM long double format.
	* sysdeps/ieee754/ldbl-128ibm/s_floorl.c: Likewise.
	* sysdeps/ieee754/ldbl-128ibm/s_rintl.c: Likewise.
	* sysdeps/ieee754/ldbl-128ibm/s_roundl.c: Likewise.
	* sysdeps/ieee754/ldbl-128ibm/s_truncl.c: Likewise.
	* sysdeps/powerpc/powerpc64/fpu/s_rintl.S: File removed.

2004-12-09  Randolph Chung  <tausq@debian.org>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_UTIMES): Don't
	define for hppa, which doesn't support this syscall.

2006-03-13  Jakub Jelinek  <jakub@redhat.com>

	[BZ #2451]
	* elf/dl-load.c (open_verify): Add free_name argument, if true, free
	name before calling lose.
	(open_path): Adjust caller.
	(_dl_map_object): Adjust callers.  Free name_copy before calling
	_dl_signal_error.
	* elf/Makefile: Add rules to build and run tst-leaks1.
	* elf/tst-leaks1.c: New test.

2006-03-06  Roland McGrath  <roland@redhat.com>

	* version.h (VERSION): 2.4
	* README.template: Update for 2.4.
	* README: Regenerated.
	* manual/install.texi (Configuring and compiling): Separate build
	directory is mandatory.  Use glibc-2.4 in example.
	Update --enable-add-ons description.
	(Supported Configurations): Remove section.
	* INSTALL: Regenerated.

	* sysdeps/unix/sysv/linux/x86_64/sysconf.c
	(handle_intel, handle_amd): Add __attribute__ ((noinline)).
	* sysdeps/unix/sysv/linux/i386/sysconf.c
	(handle_i486, handle_intel, handle_amd): Likewise.

	* sysdeps/unix/sysv/linux/i386/sysconf.c (__sysconf): Don't handle
	_SC_CPUTIME and _SC_THREAD_CPUTIME here.
	* sysdeps/unix/sysv/linux/x86_64/sysconf.c (__sysconf): Likewise.

2006-03-04  Jakub Jelinek  <jakub@redhat.com>
	    Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/i386/lowlevellock.h
	(LLL_STUB_UNWIND_INFO_START, LLL_STUB_UNWIND_INFO_END,
	LLL_STUB_UNWIND_INFO_3, LLL_STUB_UNWIND_INFO_4): Define.
	(lll_mutex_lock, lll_robust_mutex_lock, lll_mutex_cond_lock,
	lll_robust_mutex_cond_lock, lll_mutex_timedlock,
	lll_robust_mutex_timedlock, lll_mutex_unlock,
	lll_robust_mutex_unlock, lll_lock, lll_unlock): Use them.
	Add _L_*_ symbols around the subsection.
	* sysdeps/unix/sysv/linux/i386/i486/lowlevellock.S: Add unwind info.
	* sysdeps/unix/sysv/linux/i386/i486/lowlevelrobustlock.S: Likewise.

2006-03-03  Jakub Jelinek  <jakub@redhat.com>
	    Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/x86_64/lowlevellock.h
	(LLL_STUB_UNWIND_INFO_START, LLL_STUB_UNWIND_INFO_END,
	LLL_STUB_UNWIND_INFO_5, LLL_STUB_UNWIND_INFO_6): Define.
	(lll_mutex_lock, lll_robust_mutex_lock, lll_mutex_cond_lock,
	lll_robust_mutex_cond_lock, lll_mutex_timedlock,
	lll_robust_mutex_timedlock, lll_mutex_unlock,
	lll_robust_mutex_unlock, lll_lock, lll_unlock): Use them.
	Add _L_*_ symbols around the subsection.
	* sysdeps/unix/sysv/linux/x86_64/lowlevellock.S: Add unwind info.
	* sysdeps/unix/sysv/linux/x86_64/lowlevelrobustlock.S: Likewise.

2006-03-05  Roland McGrath  <roland@redhat.com>

	* malloc/malloc.c (MALLOC_ALIGNMENT): Revert to (2 * SIZE_SZ) value.
	The correct value differs only on powerpc32, and for now changing it
	there is causing more trouble than it's worth.

	* malloc/arena.c: Add compile-time sanity check on padding calculation.

2006-03-05  Jakub Jelinek  <jakub@redhat.com>

	* malloc/arena.c (heap_info): Adjust the padding size if
	MALLOC_ALIGNMENT > 2 * SIZE_SZ.

2006-03-05  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/faccessat.c: New file.
	* sysdeps/mach/hurd/fchmodat.c: New file.
	* sysdeps/mach/hurd/fchownat.c: New file.
	* sysdeps/mach/hurd/fxstatat.c: New file.
	* sysdeps/mach/hurd/fxstatat64.c: New file.
	* sysdeps/mach/hurd/linkat.c: New file.
	* sysdeps/mach/hurd/mkdirat.c: New file.
	* sysdeps/mach/hurd/openat.c: New file.
	* sysdeps/mach/hurd/openat64.c: New file.
	* sysdeps/mach/hurd/symlinkat.c: New file.
	* sysdeps/mach/hurd/unlinkat.c: New file.
	* sysdeps/mach/hurd/xmknod.c (__xmknod): Just call __xmknodat.
	Guts move to ...
	* sysdeps/mach/hurd/xmknodat.c: ... here, new file.

	* hurd/lookup-at.c: New file.
	* hurd/Makefile (routines): Add it.
	* hurd/hurd/fd.h: Declare __file_name_lookup_at,
	__file_name_split_at and __directory_name_split_at.

	* hurd/hurd/lookup.h: Declare {,__}hurd_directory_name_split.

	* hurd/hurdlookup.c (__hurd_directory_name_split): Use __memrchr
	unconditionally.

	* sysdeps/mach/hurd/open.c: Define {,__,__libc_,}open64 as aliases.
	* sysdeps/mach/hurd/open64.c: New file.

	* sysdeps/posix/sysconf.c (__sysconf): Use #if _POSIX_FOO > 0
	rather than #ifdef _POSIX_FOO for options.  We should return -1
	at runtime for an option defined to 0 at compile time.

	* sysdeps/mach/hurd/bits/posix_opt.h: Define many missing options,
	many to -1 or 0.

2006-03-05  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/sysconf.c (__sysconf)
	[__NR_clock_getres || HP_TIMING_AVAIL]: Handle _SC_CPUTIME,
	_SC_THREAD_CPUTIME.

2006-03-05  David S. Miller  <davem@sunset.davemloft.net>

	* sysdeps/sparc/sparc32/dl-trampoline.S: Add CFI markings.
	* sysdeps/sparc/sparc32/elf/start.S: Likewise.
	* sysdeps/sparc/sparc64/dl-trampoline.S: Likewise.
	* sysdeps/sparc/sparc64/elf/start.S: Likewise.
	* sysdeps/sparc/sparc32/memchr.S: Rearrange code to reside
	within ENTRY/END.
	* sysdeps/sparc/sparc32/memcpy.S: Likewise.
	* sysdeps/sparc/sparc32/stpcpy.S: Likewise.
	* sysdeps/sparc/sparc32/strcat.S: Likewise.
	* sysdeps/sparc/sparc32/strchr.S: Likewise.
	* sysdeps/sparc/sparc32/strcmp.S: Likewise.
	* sysdeps/sparc/sparc32/strcpy.S: Likewise.
	* sysdeps/sparc/sparc32/strlen.S: Likewise.
	* sysdeps/sparc/sparc64/memcpy.S: Likewise.
	* sysdeps/sparc/sparc64/sparcv9v/memset.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/clone.S: Add CFI markings
	and use __syscall_error.
	* sysdeps/unix/sysv/linux/sparc/sparc64/clone.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/brk.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/pipe.S: Use __syscall_error.
	* sysdeps/unix/sysv/linux/sparc/sparc64/pipe.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/socket.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/socket.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscall.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscall.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sysdep.h: Rewrite to use
	CFI markings and __syscall_error.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/setcontext.S: Rearrange
	code to reside within ENTRY/END.
	* sysdeps/unix/sysv/linux/sparc/sparc64/setjmp.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sysdep.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sysdep.S: File removed.
	* sysdeps/unix/sysv/linux/sparc/rt-sysdep.c: New file.
	* sysdeps/unix/sysv/linux/sparc/Makefile (librt-routines): Add it.

	* shlib-versions: Use sparc64.*- for CPU patterns.

2006-03-05  Roland McGrath  <roland@frob.com>

	* bits/resource.h (RLIMIT_SBSIZE, RLIMIT_AS, RLIMIT_VMEM): Define.

	* sysdeps/mach/hurd/fdopendir.c (__fdopendir): Use O_DIRECTORY
	to force directory check.
	* sysdeps/mach/hurd/opendir.c (__opendir): Likewise.

2006-03-04  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/i386/tls.h (_hurd_tls_init): Make sure high bits
	of SEL are clear after copying %gs to low bits.
	(_hurd_tls_fork): Likewise.

2006-03-03  Roland McGrath  <roland@redhat.com>

	[BZ #2414]
	* stdlib/tst-setcontext.c (f1): Take arguments of type int.

2006-03-02  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/alpha/sysdep.h (PTR_MANGLE): Use __typeof in cast.

2006-03-02  Daniel Jacobowitz  <dan@codesourcery.com>

	* sysdeps/unix/sysv/linux/configure.in: Remove MIPS cases.  Allow
	libc_cv_slibdir et al. to be overridden.
	* sysdeps/unix/sysv/linux/configure: Regenerated.

2005-12-27  Jakub Jelinek  <jakub@redhat.com>

	* elf/ldconfig.c (search_dir): Skip prelink temporaries.

2006-03-02  H.J. Lu  <hongjiu.lu@intel.com>

	* elf/check-textrel.c: Don't include "config.h".

2006-03-02  Jakub Jelinek  <jakub@redhat.com>

	* io/ftw.c (process_entry): If dir->streamfd != -1,
	use FXSTATAT rather than LXSTAT to find if unstatable
	file is a dead symlink.

	* elf/check-textrel.c: Include config.h.
	(AB(handle_file)): Don't fail if PF_X | PF_W on architectures known
	to have executable writable PLT.
	* sysdeps/powerpc/powerpc32/configure.in (HAVE_PPC_SECURE_PLT): New
	test.
	* config.h.in (HAVE_PPC_SECURE_PLT): Add.

	* malloc/malloc.c (MALLOC_ALIGNMENT): Set to __alignof__ (long double)
	if long double is more aligned than 2 * SIZE_SZ.
	(misaligned_chunk): Define.
	(public_rEALLOc, _int_free, _int_realloc): Use it.

2006-01-05  H.J. Lu  <hongjiu.lu@intel.com>

	[BZ #2013]
	* sysdeps/ia64/memccpy.S: Properly handle recovery for
	predicated speculative load.

2006-03-01  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Update.

	* sysdeps/unix/sysv/linux/i386/fxstatat.c (__fxstatat64): Use
	libc_hidden_ver rather than libc_hidden_def.

	* sysdeps/sparc/sparc32/fpu/libm-test-ulps: Update.
	* sysdeps/sparc/fpu/fraiseexcpt.c (__feraiseexcept):
	Use inline asm to make sure the compiler doesn't optimize insns out.

	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h
	(DECLARGS_6): Fix a typo.

2006-03-01  Roland McGrath  <roland@redhat.com>

	* version.h (VERSION): 2.3.91

	* Makeconfig (sysdeps-srcdirs): New variable.
	(sysdeps-add-ons-srcdirs): Use it.
	* csu/Makefile (all-Banner-files): Use it.

	* Makefile (dist-selector): New variable.
	(glibc-%.tar rule): Use it.  Make $(dist-separate) tarballs
	contain one version-named directory.

	* Makefile (format-me): Use  --plaintext --no-number-sections.

	* NOTES, INSTALL: Regenerated.

	* NEWS: Update 2.4 items.

2006-03-01  David S. Miller  <davem@sunset.davemloft.net>

	* configure.in (machine): Match sparcv9v and sparc64v.
	* configure: Regenerated.
	* sysdeps/sparc/sparc32/sparcv9v/memcpy.S: New file.
	* sysdeps/sparc/sparc32/sparcv9v/memset.S: New file.
	* sysdeps/sparc/sparc64/sparcv9v/memcpy.S: New file.
	* sysdeps/sparc/sparc64/sparcv9v/memset.S: New file.

2006-03-01  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/Subdirs: Use "first hurd".

2006-02-28  Roland McGrath  <roland@redhat.com>

	* sysdeps/rs6000: Directory removed, saved in ports repository.

2006-03-01  Kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/unix/sysv/linux/sh/pread.c: Copy in mips pread.c.
	* sysdeps/unix/sysv/linux/sh/pwrite.c: Copy in mips pwrite.c.
	* sysdeps/unix/sysv/linux/sh/pread64.c: Copy in mips pread64.c.
	* sysdeps/unix/sysv/linux/sh/pwrite64.c: Copy in mips pwrite64.c.

2006-02-28  Roland McGrath  <roland@redhat.com>

	* elf/tst-tls-dlinfo.c: New file.
	* elf/Makefile (tests): Add it.
	($(objpfx)tst-tls-dlinfo): Depend on $(libdl).
	($(objpfx)tst-tls-dlinfo.out): Depend on $(objpfx)tst-tlsmod2.so.

	* dlfcn/dlfcn.h (RTLD_DI_PROFILENAME, RTLD_DI_PROFILEOUT): New enum
	values, reserve unsupported requested names used on Solaris.
	(RTLD_DI_TLS_MODID, RTLD_DI_TLS_DATA): New enum values.
	(RTLD_DI_MAX): Likewise.
	* dlfcn/dlinfo.c (dlinfo_doit): Handle RTLD_DI_TLS_MODID and
	RTLD_DI_TLS_DATA.

	* elf/dl-tls.c (_dl_tls_get_addr_soft): New function.
	* sysdeps/generic/ldsodefs.h: Declare it.
	* elf/Versions (ld: GLIBC_PRIVATE): Add it.
	* elf/link.h (struct dl_phdr_info): New members dlpi_tls_modid,
	dlpi_tls_data.
	* elf/dl-iteratephdr.c (__dl_iterate_phdr): Fill them in.

	* include/link.h: Don't copy contents from elf/link.h.
	Instead, #include it while #define'ing around link_map.
	* elf/dl-debug.c (_dl_debug_initialize): Add a cast.
	Add bogus extern decl to verify link_map members.
	* elf/loadtest.c (MAPS): New macro, cast _r_debug._r_map.
	(OUT, main): Use it in place of _r_debug._r_map.
	* elf/unload.c: Likewise.
	* elf/unload2.c: Likewise.
	* elf/neededtest.c (check_loaded_objects): Likewise.
	* elf/neededtest2.c (check_loaded_objects): Likewise.
	* elf/neededtest3.c (check_loaded_objects): Likewise.
	* elf/neededtest4.c (check_loaded_objects): Likewise.
	* elf/circleload1.c (check_loaded_objects): Likewise.

	* nscd/nscd_helper.c: Include <time.h> for `time' declaration.

	* include/fcntl.h: Declare __openat, __open64.  Use libc_hidden_proto.
	* io/openat.c (__openat): Define instead of openat.
	Use libc_hidden_def.  Define openat with weak_alias.
	* io/openat64.c (__openat64): Define instead of openat64.
	Use libc_hidden_def.  Define openat64 with weak_alias.
	* sysdeps/unix/sysv/linux/openat.c: Likewise.

	* libio/genops.c: Include <sched.h> for __sched_yield decl.

	* Makeconfig (+includes): Add back $(includes)
	after $(+sysdep-includes).

	* Makerules ($(common-objpfx)%.make): Use -DASSEMBLER.

2006-02-28  Jakub Jelinek  <jakub@redhat.com>

	* posix/sys/types.h [!__GNUC_PREREQ (2, 7)] (int64_t, u_int64_t):
	typedef to long int resp. unsigned long int on 64-bit arches.

	* sysdeps/unix/sysv/linux/powerpc/powerpc64/umount.c: Include x86_64
	umount.c rather than hppa umount.c.
	* sysdeps/unix/sysv/linux/sparc/sparc32/chown.c: Include sh chown.c
	rather than m68k chown.c.
	* sysdeps/unix/sysv/linux/sparc/sparc32/fchownat.c: Include sh
	fchownat.c rather than m68k fchownat.c.
	* sysdeps/unix/sysv/linux/sh/chown.c: Copy over from m68k chown.c.
	* sysdeps/unix/sysv/linux/sh/fchownat.c: Copy over from m68k
	fchownat.c.
	* sysdeps/unix/sysv/linux/x86_64/brk.c: Copy over from hppa brk.c.
	* sysdeps/unix/sysv/linux/x86_64/umount.c: Copy over from hppa
	umount.c.

2006-02-28  Roland McGrath  <roland@redhat.com>

	* sysdeps/hppa: Directory removed, saved in ports repository.
	* sysdeps/mach/hppa: Likewise.
	* sysdeps/mach/hurd/hppa: Likewise.
	* sysdeps/unix/sysv/linux/hppa: Likewise.
	* configure.in (machine): Remove hppa* cases.
	* configure: Regenerated.
	* shlib-versions: Remove hppa cases.

	* sysdeps/m68k: Directory removed, saved in ports repository.
	* sysdeps/unix/bsd/m68k: Likewise.
	* sysdeps/unix/sysv/linux/m68k: Likewise.
	* configure.in (machine): Remove m68* cases.
	* configure: Regenerated.

	* elf/rtld-Rules (subdir-args): New variable.
	(rtld-subdir-make): Use it.

2006-02-22  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h
	(DO_CALL): Add support for 6 system call parameters.
	(DECLARGS_6, ASMFMT_6): Define.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h: Likewise.

2006-02-28  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/sh/bits/fcntl.h: Copy in i386/bits/fcntl.h.

2006-02-27  Roland McGrath  <roland@redhat.com>

	* scripts/config.guess: Update from master, timestamp='2006-02-27'.
	* scripts/config.sub: Update from master, timestamp='2006-02-27'.

	* Makefile (subdir-target-args): New variable.
	($(all-subdirs-targets)): Use it in place of -C option.
	* Rules: Use $(..) instead of ../ if it's already defined.
	* Makeconfig (subdir-srcdirs): New variable.
	* csu/Makefile (all-Banner-files): Use it.

	* configure.in (--enable-add-ons): Set to "yes" by default.
	Handle absolute add-on directory names when looking for configure
	fragments.  Also look for sysdeps/*/preconfigure fragments in add-ons.
	Require add-on configure to set $libc_add_on_canonical, use
	that in $add_ons_sfx.  Substitute add_on_subdirs with computed list
	of subdir names each add-on configure set in libc_add_on_subdirs.
	* configure: Regenerated.
	* Makefile (%/preconfigure: %/preconfigure.in): New pattern rule.
	* config.make.in (add-on-subdirs): New substituted variable.
	* Makeconfig (all-subdirs): Include $(add-on-subdirs).
	Remove $(add-ons), $(sysdep-subdirs).
	Don't filter out $(sysdep-inhibit-subdirs).
	($(common-objpfx)sysd-dirs): Target removed.  Don't include it.
	($(common-objpfx)sysd-sorted): Rewritten to feed Depend and Subdirs
	files together to gen-sorted.awk, and $(subdirs) via -v.
	(subdirs): Remove magic reordering for mach and hurd.
	* scripts/gen-sorted.awk: Use subdirs from command line.
	Process Subdirs and Depend files directly.
	Let Subdirs files use "first dir" and "inhibit dir".
	Always move elf to the end of the list.
	* hurd/Depend: New file.
	* sysdeps/mach/Subdirs: Use "first mach".

	* Makefile (dist-separate): Remove linuxthreads.
	(dist-separate-linuxthreads): Variable removed.
	(glibc-%.tar rule): Use $(sysdeps-add-ons).

	* Makerules ($(common-objpfx)Versions.v.i): Use $(subdirs),
	not $(all-subdirs).
	(sysdep-makefiles): Use $(sysdirs).
	(sysdirs): Remove export.
	($(+sysdir_pfx)sysd-rules): Handle absolute directory names in
	$(config-sysdirs).
	(+sysdir_pfx): Variable removed.
	(sysd-rules): Use $(common-objpfx) in place of it.
	(sysdirs): Variable moved to ...
	* Makeconfig (sysdirs): ... here.
	Handle absolute directory names in $(config-sysdirs).
	(full_config_sysdirs): Variable removed.
	* csu/Makefile: Use $(sysdirs) in vpath directive.
	* math/Makefile (ulps-file): Use $(sysdirs).
	* sysdeps/gnu/Makefile (errlist-c): Likewise.
	($(objpfx)errlist-compat.c): Likewise.
	* Makeconfig (all-Subdirs-files): Likewise.
	($(common-objpfx)config.status): Likewise.

	* configure.in (sysnames): Handle absolute add-on directory names.
	(sysdeps_add_ons): New variable, AC_SUBST it.
	Compute which add-ons contributed sysdeps directories.
	* configure: Regenerated.
	* config.make.in (sysdeps-add-ons): New substituted variable.
	* Makerules (+sysdep_dirs, +sysdep-includes): Variables moved ...
	* Makeconfig: ... to here.
	(+sysdep_dirs): Append $(sysdeps-add-ons) here.
	(+includes): Remove $(objpfx) include, already in $(+sysdep_dirs).
	Remove $(includes).
	(sysdep-makeconfigs): Use $(+sysdep_dirs).
	($(common-objpfx)shlib-versions.v.i): Likewise.

	* Makeconfig: Remove hair to set Makeconfig-add-on.

	* sysdeps/unix/Makefile (sysdirs): Remove export.
	(asm_CPP): Variable removed.
	($(common-objpfx)sysd-syscalls): Pass them directly for the script.

	* sysdeps/posix/Makefile: New file.
	* Makerules (L_tmpnam, TMP_MAX, L_ctermid, L_cuserid): Set non-posix
	values here with ?=.

	* stdlib/gen-mpn-copy: File removed.
	* stdlib/Makefile (distribute): Remove it.
	* configure.in: Don't grok --with-gmp.
	* configure: Regenerated.

	* configure.in (libc_cv_idn): Don't check it; libidn/configure does it.
	* configure: Regenerated.

2006-02-27  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/linkat.c (linkat): Allow flags to be set
	when syscall is used.
	* io/fcntl.h (AT_SYMLINK_FOLLOW): Define.

2006-02-26  Roland McGrath  <roland@redhat.com>

	* bare: Directory removed, saved in ports repository.

	* sysdeps/unix/common/Makefile: File removed.
	* sysdeps/unix/common/glue-ctype.c: File removed.
	* sysdeps/unix/common/configure.in: File removed.
	* sysdeps/unix/common/configure: File removed.

	* sysdeps/unix/configure.in: File removed.
	* sysdeps/unix/configure: File removed.
	* sysdeps/unix/make_errlist.c: File removed.
	* sysdeps/unix/Makefile ($(objpfx)errlist.c, $(objpfx)make_errlist):
	Rules removed.

	* timezone/africa: Update from tzdata2006b (comment changes only).
	* timezone/antarctica: Likewise.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/backward: Likewise.
	* timezone/etcetera: Likewise.
	* timezone/europe: Likewise.
	* timezone/factory: Likewise.
	* timezone/iso3166.tab: Likewise.
	* timezone/leapseconds: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/pacificnew: Likewise.
	* timezone/solar87: Likewise.
	* timezone/solar88: Likewise.
	* timezone/solar89: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/systemv: Likewise.
	* timezone/zone.tab: Likewise.

2006-02-26  Ulrich Drepper  <drepper@redhat.com>

	* posix/unistd.h: Add fifth parameter to linkat.
	* io/linkat.c: Likewise.
	* sysdeps/unix/sysv/linux/linkat.c: Likewise.
	* io/tst-linkat.c (do_test): Pass new parameter to linkat.

	* elf/do-lookup.h (do_lookup_x): No need to compare SKIP to NULL
	before comparison with MAP.

	* elf/dl-sym.c (do_sym): For RTLD_NEXT, pass MATCH to
	dl_lookup_symbol_x instead of L.

2006-02-24  Mike Frysinger  <vapier@gentoo.org>

	* sysdeps/gnu/net/if.h (IFF_DYNAMIC): New macro.

2006-02-24  David S. Miller  <davem@sunset.davemloft.net>

	* configure.in: Use sparc/sparc32/sparcv9/sparcv9b in place
	of sparc/sparc32/sparcv9b.
	* sysdeps/sparc/sparc32/sparcv9b/Implies: File removed.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sparcv9b/Implies: File removed.

2006-02-24  Roland McGrath  <roland@redhat.com>

	* elf/elf.h (HWCAP_SPARC_BLKINIT): New macro.
	* sysdeps/sparc/dl-procinfo.h (HWCAP_IMPORTANT): Add it.
	(_DL_HWCAP_COUNT): Increase to 7.
	* sysdeps/sparc/dl-procinfo.c (_dl_sparc_cap_flags): Add "v9v".
	From David S. Miller <davem@sunset.davemloft.net>.

	* sysdeps/unix/sysv/linux/sparc/sparc64/dl-procinfo.c: Moved to ...
	* sysdeps/sparc/dl-procinfo.c: ... here, new file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/dl-procinfo.h: Moved to ...
	* sysdeps/sparc/dl-procinfo.h: ... here, new file.
	(HWCAP_IMPORTANT): Include HWCAP_SPARC_V9 when [__WORDSIZE != 64].
	* sysdeps/unix/sysv/linux/sparc/sparc32/dl-procinfo.c: File removed.
	* sysdeps/unix/sysv/linux/sparc/sparc32/dl-procinfo.h: File removed.

	* elf/sofini.c (__FRAME_END__): Mark as const.
	* elf/soinit.c (__EH_FRAME_BEGIN__): Likewise.  Add used attribute.

2006-02-18  Joseph S. Myers  <joseph@codesourcery.com>

	* soft-fp/single.h (SFtype): Define.
	(union _FP_UNION_S): Use it.
	* soft-fp/double.h (DFtype): Define.
	(union _FP_UNION_D): Use it.
	* soft-fp/extended.h (XFtype): Define.
	(union _FP_UNION_E): Use it.
	* soft-fp/quad.h (TFtype): Define.
	(union _FP_UNION_Q): Use it.
	* soft-fp/soft-fp.h: Add _LIBC conditionals.
	(SI_BITS, DI_BITS): Define.
	* soft-fp/op-common.h (_FP_DECL): Add __attribute__((unused)) for
	X##_c.
	(_FP_CMP_EQ): Use parentheses for && inside ||.
	(_FP_TO_INT): Use statement expressions in conditional controlling
	constant shift.
	(_FP_FROM_INT): Likewise.  Take unsigned type as argument.
	* soft-fp/op-2.h (_FP_FRAC_SLL_2, _FP_FRAC_SRL_2, _FP_FRAC_SRST_2,
	_FP_FRAC_SRS_2, _FP_FRAC_ASSEMBLE_2): Use statement expressions in
	conditional controlling possibly constant shift.
	(_FP_FRAC_SRST_2, _FP_FRAC_SRS_2): Avoid left shift by exactly
	_FP_W_TYPE_SIZE.
	(_FP_FRAC_GT_2, _FP_FRAC_GE_2): Use parentheses for && inside ||.
	* soft-fp/op-4.h (_FP_FRAC_SRST_4): Avoid left shift by exactly
	_FP_W_TYPE_SIZE.
	(__FP_FRAC_ADD_3, __FP_FRAC_ADD_4, __FP_FRAC_SUB_3,
	__FP_FRAC_SUB_4): Use _FP_W_TYPE for carry flags.
	* soft-fp/op-8.h (_FP_FRAC_SRS_8): Avoid left shift by exactly
	_FP_W_TYPE_SIZE.
	* soft-fp/floatdidf.c: Pass unsigned type and macro for type size.
	* soft-fp/floatdisf.c: Likewise.
	* soft-fp/floatditf.c: Likewise.
	* soft-fp/floatsidf.c: Likewise.
	* soft-fp/floatsisf.c: Likewise.
	* soft-fp/floatsitf.c: Likewise.
	* soft-fp/floatundidf.c: Likewise.
	* soft-fp/floatundisf.c: Likewise.
	* soft-fp/floatunditf.c: Likewise.
	* soft-fp/floatunsidf.c: Likewise.
	* soft-fp/floatunsisf.c: Likewise.
	* soft-fp/floatunsitf.c: Likewise.
	* soft-fp/fixdfdi.c: Pass macro for type size.
	* soft-fp/fixdfsi.c: Likewise.
	* soft-fp/fixsfdi.c: Likewise.
	* soft-fp/fixsfsi.c: Likewise.
	* soft-fp/fixtfdi.c: Likewise.
	* soft-fp/fixtfsi.c: Likewise.
	* soft-fp/fixunsdfdi.c: Likewise.
	* soft-fp/fixunsdfsi.c: Likewise.
	* soft-fp/fixunssfdi.c: Likewise.
	* soft-fp/fixunssfsi.c: Likewise.
	* soft-fp/fixunstfdi.c: Likewise.
	* soft-fp/fixunstfsi.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvtqux.c: Pass unsigned type.
	* sysdeps/alpha/soft-fp/ots_cvtqx.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_itoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_lltoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_ulltoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_utoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_itoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_lltoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_ulltoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_utoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_itoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_uitoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_uxtoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_xtoq.c: Likewise.
	* soft-fp/adddf3.c: Use typedefs for argument and return types.
        * soft-fp/addsf3.c: Likewise.
        * soft-fp/addtf3.c: Likewise.
        * soft-fp/divdf3.c: Likewise.
        * soft-fp/divsf3.c: Likewise.
        * soft-fp/divtf3.c: Likewise.
        * soft-fp/eqdf2.c: Likewise.
        * soft-fp/eqsf2.c: Likewise.
        * soft-fp/eqtf2.c: Likewise.
        * soft-fp/extenddftf2.c: Likewise.
        * soft-fp/extendsfdf2.c: Likewise.
        * soft-fp/extendsftf2.c: Likewise.
        * soft-fp/fixdfdi.c: Likewise.
        * soft-fp/fixdfsi.c: Likewise.
        * soft-fp/fixsfdi.c: Likewise.
        * soft-fp/fixsfsi.c: Likewise.
        * soft-fp/fixtfdi.c: Likewise.
        * soft-fp/fixtfsi.c: Likewise.
        * soft-fp/fixunsdfdi.c: Likewise.
        * soft-fp/fixunsdfsi.c: Likewise.
        * soft-fp/fixunssfdi.c: Likewise.
        * soft-fp/fixunssfsi.c: Likewise.
        * soft-fp/fixunstfdi.c: Likewise.
        * soft-fp/fixunstfsi.c: Likewise.
        * soft-fp/floatdidf.c: Likewise.
        * soft-fp/floatdisf.c: Likewise.
        * soft-fp/floatditf.c: Likewise.
        * soft-fp/floatsidf.c: Likewise.
        * soft-fp/floatsisf.c: Likewise.
        * soft-fp/floatsitf.c: Likewise.
        * soft-fp/floatundidf.c: Likewise.
        * soft-fp/floatundisf.c: Likewise.
        * soft-fp/floatunditf.c: Likewise.
        * soft-fp/floatunsidf.c: Likewise.
        * soft-fp/floatunsisf.c: Likewise.
        * soft-fp/floatunsitf.c: Likewise.
        * soft-fp/gedf2.c: Likewise.
        * soft-fp/gesf2.c: Likewise.
        * soft-fp/getf2.c: Likewise.
        * soft-fp/ledf2.c: Likewise.
        * soft-fp/lesf2.c: Likewise.
        * soft-fp/letf2.c: Likewise.
        * soft-fp/muldf3.c: Likewise.
        * soft-fp/mulsf3.c: Likewise.
        * soft-fp/multf3.c: Likewise.
        * soft-fp/negdf2.c: Likewise.
        * soft-fp/negsf2.c: Likewise.
        * soft-fp/negtf2.c: Likewise.
        * soft-fp/sqrtdf2.c: Likewise.
        * soft-fp/sqrtsf2.c: Likewise.
        * soft-fp/sqrttf2.c: Likewise.
        * soft-fp/subdf3.c: Likewise.
        * soft-fp/subsf3.c: Likewise.
        * soft-fp/subtf3.c: Likewise.
        * soft-fp/truncdfsf2.c: Likewise.
        * soft-fp/trunctfdf2.c: Likewise.
        * soft-fp/trunctfsf2.c: Likewise.
        * soft-fp/unorddf2.c: Likewise.
        * soft-fp/unordsf2.c: Likewise.
        * soft-fp/unordtf2.c: Likewise.

2006-02-09  Joseph S. Myers  <joseph@codesourcery.com>

	* soft-fp/op-common.h (_FP_UNPACK_SEMIRAW): Define.
	(_FP_OVERFLOW_SEMIRAW): Likewise.
	(_FP_CHECK_SIGNAN_SEMIRAW): Likewise.
	(_FP_CHOOSENAN_SEMIRAW): Likewise.
	(_FP_EXP_NORMAL): Likewise.
	(_FP_PACK_SEMIRAW): Likewise.
	(_FP_ADD_INTERNAL): Rewrite to operate on semi-raw value.
	(_FP_SUB): Likewise.
	(_FP_TO_INT): Rewrite to operate on raw values.  Don't set INVALID
	exception for conversions where most negative representable
	integer is correct truncated value, but do set INEXACT for such
	conversions where appropriate.  Don't always left-shift for
	converting to a wider integer.
	(_FP_FROM_INT): Rewrite to yield raw value.  Correct shift for
	integers with one more bits than (mantissa + guard) bits for the
	floating point format.  Don't use __FP_FRAC_SRS_1 for shifting
	integers that may be wider than _FP_W_TYPE_SIZE.
	(FP_CONV): Don't define.
	(FP_EXTEND): Define.
	(FP_TRUNC): Likewise.
	* soft-fp/op-1.h (_FP_FRAC_SRST_1, __FP_FRAC_SRST_1): Define.
	(_FP_FRAC_CONV_1_1): Don't define.
	(_FP_FRAC_COPY_1_1): Define.
	* soft-fp/op-2.h (_FP_FRAC_SRST_2): Define.
	(_FP_FRAC_CONV_1_2, _FP_FRAC_CONV_2_1): Don't define.
	(_FP_FRAC_COPY_1_2, _FP_FRAC_COPY_2_1): Define.
	* soft-fp/op-4.h (_FP_FRAC_SRST_4): Define.
	(_FP_FRAC_SRS_4): Define based on _FP_FRAC_SRST_4.
	(_FP_FRAC_CONV_1_4, _FP_FRAC_CONV_2_4): Don't define.
	(_FP_FRAC_COPY_1_4, _FP_FRAC_COPY_2_4): Define.
	(_FP_FRAC_CONV_4_1, _FP_FRAC_CONV_4_2): Don't define.
	(_FP_FRAC_COPY_4_1, _FP_FRAC_COPY_4_2): Define.
	* soft-fp/single.h (_FP_FRACTBITS_S): Define.
	(_FP_FRACXBITS_S): Define in terms of _FP_FRACXBITS_S.
	(_FP_WFRACXBITS_S): Likewise.
	(_FP_QNANBIT_SH_S, _FP_IMPLBIT_SH_S): Define.
	(FP_UNPACK_SEMIRAW_S, FP_UNPACK_SEMIRAW_SP): Define.
	(FP_PACK_SEMIRAW_S, FP_PACK_SEMIRAW_SP): Define.
	* soft-fp/double.h (_FP_QNANBIT_SH_D, _FP_IMPLBIT_SH_D): Define.
	(FP_UNPACK_SEMIRAW_D, FP_UNPACK_SEMIRAW_D): Define
	(FP_PACK_SEMIRAW_D, FP_PACK_SEMIRAW_DP): Define.
	* soft-fp/extended.h (_FP_QNANBIT_SH_E, _FP_IMPLBIT_SH_E): Define.
	(FP_UNPACK_EP): Correct typo.
	(FP_UNPACK_SEMIRAW_E, FP_UNPACK_SEMIRAW_EP): Define.
	(FP_PACK_SEMIRAW_E, FP_PACK_SEMIRAW_EP): Define.
	* soft-fp/quad.h (_FP_QNANBIT_SH_Q, _FP_IMPLBIT_SH_Q): Define.
	(FP_UNPACK_SEMIRAW_Q, FP_UNPACK_SEMIRAW_QP): Define.
	(FP_PACK_SEMIRAW_Q, FP_PACK_SEMIRAW_QP): Define.
	* soft-fp/fixdfdi.c: Use unsigned type for result of conversion.
	* soft-fp/fixdfsi.c: Likewise.
	* soft-fp/fixsfdi.c: Likewise.
	* soft-fp/fixsfsi.c: Likewise.
	* soft-fp/fixtfdi.c: Likewise.
	* soft-fp/fixtfsi.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvtxq.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_nintxq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtoi.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtoll.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoi.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoll.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoi.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtox.c: Likewise.
	* soft-fp/adddf3.c: Update for changed soft-fp interfaces.
	* soft-fp/addsf3.c: Likewise.
	* soft-fp/addtf3.c: Likewise.
	* soft-fp/extenddftf2.c: Likewise.
	* soft-fp/extendsfdf2.c: Likewise.
	* soft-fp/extendsftf2.c: Likewise.
	* soft-fp/fixdfdi.c: Likewise.
	* soft-fp/fixdfsi.c: Likewise.
	* soft-fp/fixsfdi.c: Likewise.
	* soft-fp/fixsfsi.c: Likewise.
	* soft-fp/fixtfdi.c: Likewise.
	* soft-fp/fixtfsi.c: Likewise.
	* soft-fp/fixunsdfdi.c: Likewise.
	* soft-fp/fixunsdfsi.c: Likewise.
	* soft-fp/fixunssfdi.c: Likewise.
	* soft-fp/fixunssfsi.c: Likewise.
	* soft-fp/fixunstfdi.c: Likewise.
	* soft-fp/fixunstfsi.c: Likewise.
	* soft-fp/floatdidf.c: Likewise.
	* soft-fp/floatdisf.c: Likewise.
	* soft-fp/floatditf.c: Likewise.
	* soft-fp/floatsidf.c: Likewise.
	* soft-fp/floatsisf.c: Likewise.
	* soft-fp/floatsitf.c: Likewise.
	* soft-fp/floatundidf.c: Likewise.
	* soft-fp/floatundisf.c: Likewise.
	* soft-fp/floatunditf.c: Likewise.
	* soft-fp/floatunsidf.c: Likewise.
	* soft-fp/floatunsisf.c: Likewise.
	* soft-fp/floatunsitf.c: Likewise.
	* soft-fp/subdf3.c: Likewise.
	* soft-fp/subsf3.c: Likewise.
	* soft-fp/subtf3.c: Likewise.
	* soft-fp/truncdfsf2.c: Likewise.
	* soft-fp/trunctfdf2.c: Likewise.
	* soft-fp/trunctfsf2.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_add.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvtqux.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvtqx.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvttx.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvtxq.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_cvtxt.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_nintxq.c: Likewise.
	* sysdeps/alpha/soft-fp/ots_sub.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_add.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_dtoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_itoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_lltoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtod.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtoi.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtoll.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtos.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtou.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_qtoull.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_stoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_sub.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_ulltoq.c: Likewise.
	* sysdeps/powerpc/soft-fp/q_utoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_add.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_dtoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_itoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_lltoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtod.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoi.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoll.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtos.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtou.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoull.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_stoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_sub.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_ulltoq.c: Likewise.
	* sysdeps/sparc/sparc32/soft-fp/q_utoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_add.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_dtoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_itoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtod.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoi.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtos.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoui.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtoux.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_qtox.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_stoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_sub.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_uitoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_uxtoq.c: Likewise.
	* sysdeps/sparc/sparc64/soft-fp/qp_xtoq.c: Likewise.

2006-02-23  Roland McGrath  <roland@redhat.com>

	* include/libc-symbols.h: Fix comment typo.
	From Peter Kjellerstedt <peter.kjellerstedt@axis.com>.

	* sysdeps/unix/sysv/linux/i386/fchownat.c: Diddle code so that "fail"
	label is always used.

	[BZ #2172]
	* bits/syslog-path.h: New file.
	* misc/Makefile (headers): Add it.
	* misc/sys/syslog.h: Include it.
	(_PATH_LOG): Macro removed.
	From Robert Millan <robertmh@gnu.org>.

	* sysdeps/unix/sysv/linux/ftruncate64.c: Find generic implementation
	in misc/, not posix/.
	Reported by David S. Miller <davem@davemloft.net>.

2006-02-23  Jakub Jelinek  <jakub@redhat.com>

	* posix/sched_yield.c (__sched_yield): Add libc_hidden_def.
	* sysdeps/mach/sched_yield.c (__sched_yield): Likewise.

2006-02-22  Roland McGrath  <roland@redhat.com>

	* po/libc.pot: Regenerated.

2006-02-22  Jakub Jelinek  <jakub@redhat.com>

	* nis/ypclnt.c (yperr_string, ypbinderr_string): Add N_()
	around string literals.

2005-10-03  Jakub Jelinek  <jakub@redhat.com>

	* nscd/selinux.c (audit_init): Print error string in the failure
	message.

2006-02-21  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/kernel-features.h
	(__ASSUME_CLONE_THREAD_FLAGS): Consolidate definitions.

	* sysdeps/unix/sysv/linux/x86_64/sys/epoll.h: Update comment, remove
	__THROW from epoll_wait, to match .../linux/sys/epoll.h file.

2006-02-03  Jakub Jelinek  <jakub@redhat.com>

	* manual/filesys.texi (futimes): Fix prototype.

2004-08-09  Paul Eggert  <eggert@cs.ucla.edu>

	[BZ #315]
	* manual/memory.texi (Obstacks Data Alignment): The default
	alignment is not 4: it is enough to hold any type of data.
	Problem reported by Benno in
	<http://sources.redhat.com/ml/libc-alpha/2004-08/msg00055.html>.

2005-11-15  Robert Millan  <robertmh@gnu.org>

	[BZ #2161]
	* manual/llio.texi (read, write): Document EINVAL on unaligned access.

2006-02-21  Roland McGrath  <roland@redhat.com>

	* sysdeps/i386/i686/memset.S: Fix treatment of unaligned pointer.
	Reported by John Zulauf <john.zulauf@amd.com>.

2004-11-23  Richard Sandiford  <rsandifo@redhat.com>

	* configure.in (libc_cv_gcc_dwarf2_unwind_info): Delete.
	(HAVE_DWARF2_UNWIND_INFO{,_STATIC}): Remove AC_DEFINEs.
	* configure: Regenerate.
	* config.h.in (HAVE_DWARF2_UNWIND_INFO{,_STATIC}): Remove undefs.
	* elf/soinit.c: Don't include gccframe.h.
	(__EH_FRAME_BEGIN__): Define unconditionally.
	(__register_frame_info, __deregister_frame_info)
	(__register_frame_info_bases, __deregister_frame_info_bases)
	(__register_frame, __deregister_frame): Remove declarations.
	(__libc_global_ctors, __libc_fini): Don't call registry functions.
	* elf/sofini.c (__EH_FRAME_END__): Define unconditionally.

2006-01-18  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	[BZ #2178]
	* sysdeps/mach/hurd/getsid.c (getsid): When parameter PID is zero,
	use _hurd_pid instead.

2006-02-20  Richard Henderson  <rth@redhat.com>

	* sysdeps/alpha/soft-fp/Makefile (CPPFLAGS): Add soft-fp include
	to math subdir.
	* sysdeps/alpha/soft-fp/e_sqrtl.c: Don't use local-soft-fp.h.
	(__ieee754_sqrtl): Add _round local variable.
	* sysdeps/unix/sysv/linux/alpha/fpu/Implies: Remove.

	* sysdeps/unix/sysv/linux/alpha/fxstatat.c: Fix hidden defs.

2006-02-20  Roland McGrath  <roland@redhat.com>

	* sysdeps/mips: Directory removed, saved in ports repository.
	* sysdeps/unix/mips: Likewise.
	* sysdeps/unix/sysv/linux/mips: Likewise.
	* sysdeps/mach/mips: Likewise.
	* sysdeps/mach/hurd/mips: Likewise.
	* shlib-versions: Remove mips matches, now in ports fragment.
	* sysdeps/unix/sysv/linux/kernel-features.h: Likewise.
	* configure.in (machine): Likewise.
	* configure: Regenerated.

	* hurd/hurd/xattr.h: New file.
	* hurd/xattr.c: New file.
	* hurd/Makefile (routines): Add it.
	* sysdeps/mach/hurd/fgetxattr.c: New file.
	* sysdeps/mach/hurd/flistxattr.c: New file.
	* sysdeps/mach/hurd/fremovexattr.c: New file.
	* sysdeps/mach/hurd/fsetxattr.c: New file.
	* sysdeps/mach/hurd/getxattr.c: New file.
	* sysdeps/mach/hurd/lgetxattr.c: New file.
	* sysdeps/mach/hurd/listxattr.c: New file.
	* sysdeps/mach/hurd/lsetxattr.c: New file.
	* sysdeps/mach/hurd/removexattr.c: New file.
	* sysdeps/mach/hurd/setxattr.c: New file.

2006-02-15  Thomas Schwinge  <tschwinge@gnu.org>

	[BZ #2329]
	* include/unistd.h (__getresuid, __getresgid, __setresuid)
	(__setresgid): Fix argument name order in prototypes.
	* posix/unistd.h (getresuid, getresgid, setresuid, setresgid):
	Likewise.
	* posix/getresuid.c (__getresuid): Fix argument order in definition.
	* posix/getresgid.c (__getresgid): Likewise.
	* posix/setresuid.c (__setresuid): Likewise.
	* posix/setresgid.c (__setresgid): Likewise.
	* sysdeps/mach/hurd/getresuid.c (__getresuid): Likewise.
	* sysdeps/mach/hurd/getresgid.c (__getresgid): Likewise.
	* sysdeps/mach/hurd/setresuid.c (__setresuid): Likewise.
	* sysdeps/mach/hurd/setresgid.c (__setresgid): Likewise.
	Reported by Samuel Thibault <samuel.thibault@ens-lyon.org>.

2006-02-13  Mike Frysinger  <vapier@gentoo.org>

	[BZ #2380]
	* string/tester.c (test_strnlen): New function.
	(test_strchr): Call it.
	(test_strncat): Test lengths where the sign bit is set.
	(test_strncmp): Likewise.

2006-02-17  Jakub Jelinek  <jakub@redhat.com>

	* include/atomic.h (atomic_and, atomic_or): Define.

2006-02-15  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/bits/mman.h: Define MADV_DONTFORK
	and MADV_DOFORK.
	* sysdeps/unix/sysv/linux/ia64/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/m68k/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/mman.h: Likewise.

2006-02-13  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/not-cancel.h (__openat_not_cancel,
	__openat64_not_cancel): Remove prototypes.
	(__openat_nocancel, __openat64_nocancel): New prototypes or defines.
	(openat_not_cancel, openat_not_cancel_3, openat64_not_cancel,
	openat64_not_cancel_3): Use them.

2006-02-12  Ulrich Drepper  <drepper@redhat.com>

	* io/ftw.c: Start using *at functions.
	* io/ftw64.c: Likewise.

	* sysdeps/generic/not-cancel.h: Define openat_not_cancel,
	openat_not_cancel_3, openat64_not_cancel, and openat64_not_cancel_3.
	* sysdeps/unix/sysv/linux/not-cancel.h: Likewise.

	* sysdeps/unix/sysv/linux/openat.c: Create separate _nocancel
	functions.

	* io/fxstatat.c: Add __fxstatat alias.
	* sysdeps/unix/sysv/linux/wordsize-64/fxstatat.c: Likewise.
	* sysdeps/unix/sysv/linux/fxstatat.c: Likewise.  Add support for
	newfstatat syscall.
	* sysdeps/unix/sysv/linux/i386/fxstatat.c: Add __fxstatat alias.
	Add support for fstatat64 syscall.
	* include/sys/stat.h: Declare __fxstatat.
	* io/fxstatat64.c: Add __fxstatat64 alias.
	* sysdeps/unix/sysv/linux/fxstatat64.c: Add support for fstatat64
	syscall.

	* dirent/fdopendir.c: Add __fdopendir alias.
	* sysdeps/unix/fdopendir.c: Likewise.
	* sysdeps/mach/hurd/fdopendir.c: Likewise.
	* include/dirent.h: Add __fdopendir declaration.

	[BZ #2226]
	* libio/wgenops.c (_IO_wsetb): Use correct size of wide char
	buffer in FREE_BUF call.

2006-02-08  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/bits/sched.h: Declare unshare.
	* sysdeps/unix/sysv/linux/Versions [libc, GLIBC_2.4]: Export
	unshare.
	* sysdeps/unix/sysv/linux/syscalls.list: Add unshare syscall.

	* sysdeps/unix/Makefile ($(objpfx)stub-syscalls.c): Add some
	preprocessor magic so that the compiler won't see the prototypes
	for the functions we are defining as stubs.

2006-02-05  Ulrich Drepper  <drepper@redhat.com>

	* io/ftw.c (ftw_startup): Use fchdir to return to original
	directory for FTW_CHDIR.

2006-02-03  Ulrich Drepper  <drepper@redhat.com>

	* manual/stdio.texi (Formatted Output Functions): Fix make_message
	example.  Patch by NIIBE Yutaka <gniibe@m17n.org>.

2006-02-03  Roland McGrath  <roland@redhat.com>

	[BZ #2268]
	* sysdeps/posix/profil.c (__profil): Use __profile_frequency to choose
	timer interval, don't assume smallest possible interval is it.

2006-02-03  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/powerpc/fpu/bits/fenvinline.h (fegetround): Make asm
	volatile.

	* stdlib/bits/stdlib-ldbl.h (qecvt, qfcvt, qgcvt, qecvt_r, qfcvt_r):
	Guard with [__USE_SVID || __USE_XOPEN_EXTENDED].

	* math/math.h [__LDBL_COMPAT && __USE_ISOC99] (nexttowardl): New
	prototype.

	* math/math.h (__nldbl_nexttowardf): Put __THROW before
	__attribute__ ((__const__)).
	(__MATHDECL_2): Use __REDIRECT_NTH instead of __REDIRECT
	followed by __THROW.

	* sysdeps/unix/sysv/linux/futimesat.c (futimesat): If
	file == NULL, use __futimes unconditionally.

	* manual/filesys.texi (futimes): Fix prototype.

2006-02-02  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/futimesat.c [__NR_futimesat]
	(futimesat): If file is NULL use __futimes.
	* include/sys/time.h: Declare __futimes.

2006-02-02  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/openat.c (__atfct_seterrno): Use the same
	fstat check for ENOENT that should be EBADF as for ENOTDIR, and also
	check for missing /proc the same way.

	* include/errno.h [__cplusplus]: Avoid extra header magic for C++.

	* manual/install.texi (Tools for Compilation): Require gcc 3.4,
	recommend 4.1, advise 4.0 for powerpc64, and note 4.1 required for
	powerpc, s390{x,} with new long double.
	* INSTALL: Regenerated.

	* timezone/private.h: Update from tzcode2006a.
	* timezone/scheck.c: Likewise.
	* timezone/asia: Update from tzdata2006a.
	* timezone/northamerica: Likewise.
	* timezone/zone.tab: Likewise.

	* sysdeps/powerpc/powerpc64/Makefile (no-special-regs): New variable.
	(CFLAGS-mcount.c): Use it instead of -msoft-float.
	* sysdeps/powerpc/powerpc64/elf/Makefile
	(CFLAGS-dl-runtime.os, CFLAGS-dl-lookup.os, CFLAGS-dl-misc.os,
	CFLAGS-rtld-mempcpy.os, CFLAGS-rtld-memmove.os, CFLAGS-rtld-memchr.os,
	CFLAGS-rtld-strnlen.os): Likewise.

2006-02-01  Roland McGrath  <roland@redhat.com>

	* sysdeps/ieee754/ldbl-opt/Makefile (sysdep-CFLAGS): Avoid adding
	-mlong-double-128 when it's already there.

2006-02-01  Roland McGrath  <roland@frob.com>

	* mach/Machrules ($(objpfx)%.uh, $(objpfx)%.__h): Use static pattern
	rules for these, not implicit rules.
	($(objpfx)%.h): Likewise.
	Reported by Thomas Schwinge <tschwinge@gnu.org>.

2006-02-01  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/ieee754/ldbl-128ibm/s_finitel.c: Use long_double_symbol
	even for libm.

	* libio/bits/libio-ldbl.h (_IO_vfwscanf, _IO_vfwprintf): Remove
	__LDBL_REDIR_DECL.

	* math/bits/mathcalls.h: Guard __END_NAMESPACE_C99 with the
	same #if condition as corresponding __BEGIN_NAMESPACE_C99.
	(scalb): Don't define only if __USE_ISOC99.

	* sysdeps/ieee754/ldbl-128/s_llrintl.c (__llrintl): Fix a typo.
	* sysdeps/s390/fpu/libm-test-ulps: Remove llrint ulps.

2006-01-30  Jakub Jelinek  <jakub@redhat.com>

	* include/bits/stdlib-ldbl.h: New file.
	* include/bits/wchar-ldbl.h: New file.

2006-01-19  Thomas Schwinge  <tschwinge@gnu.org>

	* libio/genops.c: Include <stdbool.h>.

2006-02-01  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/i386/sysconf.c (intel_02_known): Add
	some more entries.
	* sysdeps/unix/sysv/linux/x86_64/sysconf.c (intel_02_known): Likewise.

2006-01-31  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/fpu/Implies: New file.
	* sysdeps/alpha/fpu/s_ceil.c: Include math_ldbl_opt.h, add
	compat_symbol if LONG_DOUBLE_COMPAT.
	* sysdeps/alpha/fpu/s_copysign.c: Likewise.
	* sysdeps/alpha/fpu/s_fabs.c: Likewise.
	* sysdeps/alpha/fpu/s_floor.c: Likewise.
	* sysdeps/alpha/fpu/s_rint.c: Likewise.
	* sysdeps/alpha/soft-fp/e_sqrtl.c: New file.
	* sysdeps/alpha/Implies: Add ieee754/ldbl-128.

	* sysdeps/unix/sysv/linux/alpha/bits/wordsize.h: New file.
	* sysdeps/unix/sysv/linux/alpha/Implies: Add ieee754/ldbl-64-128,
	ieee754/ldbl-opt.
	* sysdeps/alpha/bits/mathdef.h (__NO_LONG_DOUBLE_MATH): Remove.
	* sysdeps/unix/sysv/linux/alpha/nldbl-abi.h: New file.
	* sysdeps/unix/sysv/linux/alpha/Makefile
	[$(subdir) = math] (libm-routines): Add multc3, divtc3.

	* math/divtc3.c: New file.
	* math/multc3.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Makefile
	[$(subdir) = math] (libm-routines): Add multc3, divtc3.

	* sysdeps/unix/sysv/linux/sparc/sparc32/fpu/Implies: New file.
	* sysdeps/sparc/sparc32/fpu/s_fabsl.c: Include math.h and
	math_ldbl_opt.h.
	(fabsl): Use long_double_symbol instead of weak_alias.
	* sysdeps/sparc/sparc32/fpu/s_fabs.c: Include math.h and
	math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (fabsl): Add compat_symbol.

2006-01-31  Martin Schwidefsky	<schwidefsky@de.ibm.com>
	    Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/s390/Implies: New file.
	* sysdeps/unix/sysv/linux/s390/fpu/Implies: New file.
	* sysdeps/unix/sysv/linux/s390/nldbl-abi.h: New file.
	* sysdeps/s390/fpu/bits/mathinline.h (signbitl, sqrtl): New inlines.
	* sysdeps/s390/bits/mathdef.h: New file.
	* sysdeps/s390/fpu/e_sqrtl.c: New file.
	* sysdeps/s390/s390-32/bits/wordsize.h (__LONG_DOUBLE_MATH_OPTIONAL,
	__NO_LONG_DOUBLE_MATH): Define.
	* sysdeps/s390/s390-64/bits/wordsize.h: Likewise.
	* sysdeps/s390/Implies: Add ieee754/ldbl-128.
	* sysdeps/s390/ldbl2mpn.c: File removed.
	* sysdeps/s390/fpu/libm-test-ulps: Updated.

2006-01-31  Roland McGrath  <roland@redhat.com>

	* sysdeps/alpha/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/alpha/bits/mathdef.h: ... here.
	* sysdeps/i386/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/i386/bits/mathdef.h: ... here.
	* sysdeps/mips/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/mips/bits/mathdef.h: ... here.
	* sysdeps/m68k/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/m68k/bits/mathdef.h: ... here.
	* sysdeps/powerpc/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/powerpc/bits/mathdef.h: ... here.
	* sysdeps/sparc/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/sparc/bits/mathdef.h: ... here.
	* sysdeps/ia64/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/ia64/bits/mathdef.h: ... here.
	* sysdeps/sh/sh4/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/sh/sh4/bits/mathdef.h: ... here.
	* sysdeps/x86_64/fpu/bits/mathdef.h: Moved to ...
	* sysdeps/x86_64/bits/mathdef.h: ... here.

2006-01-31  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/i386/fxstatat.c [XSTAT_IS_STAT64]
	(__fxstatat64): Add libc_hidden_ver.
	* sysdeps/unix/sysv/linux/fxstatat.c [XSTAT_IS_STAT64] (__fxstatat64):
	Likewise.

	* sysdeps/sparc/sparc64/jmpbuf-unwind.h: Remove jmpbuf-offsets.h
	include.

2006-01-31  Roland McGrath  <roland@redhat.com>

	* sysdeps/powerpc/fpu/libm-test-ulps: Update by Jakub.

	* inet/rcmd.c (iruserfopen): Remove redundant initialization.
	From Bernhard Fischer <rep.nop@aon.at>.

	* posix/regcomp.c (calc_eclosure_iter): Remove dead variables.
	Reported by Mike Frysinger <vapier@gentoo.org>.

2006-01-30  Steven Munroe  <sjmunroe@us.ibm.com>

	* sysdeps/ieee754/ldbl-128ibm/k_cosl.c (__kernel_cosl): Correct index
	for __sincosl_table.
	* sysdeps/ieee754/ldbl-128ibm/k_sincosl.c (__kernel_sincosl): Likewise.
	* sysdeps/ieee754/ldbl-128ibm/k_sinl.c (__kernel_sinl): Likewise.

	* sysdeps/ieee754/ldbl-128ibm/s_ceill.c: Correct sign of 0.0.
	* sysdeps/ieee754/ldbl-128ibm/s_floorl.c: Likewise.

	* sysdeps/ieee754/ldbl-128ibm/s_cprojl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_ctanhl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_ctanl.c: New file.

2006-01-29  Daniel Jacobowitz  <dan@codesourcery.com>

	* sysdeps/unix/sysv/linux/mips/bits/errno.h (ECANCELED,
	EOWNERDEAD, ENOTRECOVERABLE): Define.

	* sysdeps/unix/sysv/linux/mips/bits/mman.h (MADV_REMOVE): Define.

	* sysdeps/mips/dl-machine.h (RTLD_START): Correct offsets for
	N64.

	* sysdeps/unix/sysv/linux/mips/bits/socket.h (struct msghdr): Use
	size_t for msg_controllen.
	(__cmsg_nxthdr): Correct test.
	(__SCM_CONNECT): Delete.

2006-01-30  Alexandre Oliva  <aoliva@redhat.com>
            Roland McGrath  <roland@redhat.com>

	* configure.in (fno_unit_at_a_time): Set to
	-fno-toplevel-reorder if the compiler supports it.
	Otherwise use -fno-unit-at-a-time unconditionally.
	* configure: Regenerated.

2006-01-30  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/powerpc/fpu/libm-test-ulps: Merge ulps with older
	libm-test-ulps rather than overwrite it.  Remove excessively high ulps.

2006-01-29  Joseph S. Myers  <joseph@codesourcery.com>

	* soft-fp/double.h (FP_CMP_UNORD_D): Also define in
	[_FP_W_TYPE_SIZE >= 64] case.
	* soft-fp/extended.h (FP_CMP_UNORD_E): Likewise.
	* soft-fp/quad.h (FP_CMP_UNORD_Q): Likewise.

2006-01-27  Dwayne Grant McConnell  <decimal@us.ibm.com>
	    Jakub Jelinek  <jakub@redhat.com>
	    Roland McGrath  <roland@redhat.com>
	    Steven Munroe  <sjmunroe@us.ibm.com>
	    Alan Modra  <amodra@bigpond.net.au>

	* sysdeps/powerpc/powerpc64/fpu/s_truncf.S: Comment fix.
	* sysdeps/powerpc/powerpc32/fpu/s_truncf.S: Likewise.
	* sysdeps/powerpc/powerpc64/fpu/s_llroundf.S: Likewise.

	* sysdeps/powerpc/fpu/libm-test-ulps: Update.

	* math/libm-test.inc (check_float_internal): Allow ulp <= 0.5.
	(erfc_test): Don't run erfcl (27.0L) test if erfcl (27.0L) is
	denormal.
	[TEST_LDOUBLE] (ceil_test, floor_test, llrint_test, llround_test,
	rint_test, round_test, trunc_test): Add new tests.

	* sysdeps/powerpc/powerpc32/fpu/s_copysignl.S: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_fabs.S: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_fabsl.S: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_fdim.c: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_fmax.S: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_fmin.S: New file.
	* sysdeps/powerpc/powerpc32/fpu/s_isnan.c: New file.

	* sysdeps/powerpc/powerpc64/fpu/s_ceill.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_copysignl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_fabs.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_fabsl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_fdim.c: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_floorl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_fmax.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_fmin.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_isnan.c: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_llrintl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_llroundl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_lrintl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_lroundl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_nearbyintl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_rintl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_roundl.S: New file.
	* sysdeps/powerpc/powerpc64/fpu/s_truncl.S: New file.

	* sysdeps/unix/sysv/linux/powerpc/Implies: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/fpu/Implies: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/Implies: New file.
	* sysdeps/unix/sysv/linux/powerpc/configure.in: New file.
	* sysdeps/unix/sysv/linux/powerpc/configure: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/wordsize.h
	(__LONG_DOUBLE_MATH_OPTIONAL): Define.
	(__NO_LONG_DOUBLE_MATH): Define.
	* sysdeps/unix/sysv/linux/powerpc/nldbl-abi.h: New file.
	* sysdeps/powerpc/fpu/s_isnan.c: Include math_ldbl_opt.h.
	* sysdeps/powerpc/powerpc64/fpu/s_ceil.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (ceill): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_copysign.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (copysignl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_floor.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (floorl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_llrint.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (llrintl, lrintl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_llround.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (llroundl, lroundl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_rint.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (rintl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_round.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (roundl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc64/fpu/s_trunc.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (truncl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_ceil.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (ceill): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_copysign.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (copysignl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_floor.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (floorl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_lrint.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (lrintl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_llrint.c: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (llrintl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_lround.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (lroundl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_rint.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (rintl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_round.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (roundl): Add compatibility symbols.
	* sysdeps/powerpc/powerpc32/fpu/s_trunc.S: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (truncl): Add compatibility symbols.

	* misc/qefgcvt_r.c [LDBL_MIN_10_EXP == -291] (FLOAT_MIN_10_NORM): New.

	* sysdeps/powerpc/fpu/bits/mathdef.h (__NO_LONG_DOUBLE_MATH): Remove.
	* sysdeps/powerpc/Implies: Add ieee754/ldbl-128ibm.
	* sysdeps/powerpc/powerpc32/Implies: Remove powerpc/soft-fp.
	* sysdeps/ieee754/ldbl-128ibm/Makefile: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_acoshl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_acosl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_asinl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_atan2l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_atanhl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_coshl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_expl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_fmodl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_gammal_r.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_hypotl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_j0l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_j1l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_jnl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_lgammal_r.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_log10l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_log2l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_logl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_powl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_rem_pio2l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_remainderl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_sinhl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/e_sqrtl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/ieee754.h: New file.
	* sysdeps/ieee754/ldbl-128ibm/k_cosl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/k_sincosl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/k_sinl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/k_tanl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/ldbl2mpn.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/math_ldbl.h: New file.
	* sysdeps/ieee754/ldbl-128ibm/mpn2ldbl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/printf_fphex.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_asinhl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_atanl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_cbrtl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_cosl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_erfl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_expm1l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_fabsl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_finitel.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_fpclassifyl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_frexpl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_ilogbl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_isinfl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_isnanl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_log1pl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_logbl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_modfl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_nextafterl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_nexttoward.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_nexttowardf.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_remquol.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_rintl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_scalblnl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_scalbnl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_signbitl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_sincosl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_sinl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_tanhl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_tanl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_truncl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/strtold_l.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/t_sincosl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/w_expl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_copysignl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_floorl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_llrintl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_llroundl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_roundl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_ceill.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_nearbyintl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_lrintl.c: New file.
	* sysdeps/ieee754/ldbl-128ibm/s_lroundl.c: New file.

	* sysdeps/ieee754/ldbl-128/e_powl.c: Fix old comment.

2006-01-22  Aurelien Jarno  <aurelien@aurel32.net>

	* sysdeps/gnu/errlist-compat.awk: Reduce required number of symbols in
	sanity check.

2006-01-21  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/renameat.c (__atfct_seterrno_2): Correctly
	return EBADF for non-existing file descriptors.
	* sysdeps/unix/sysv/linux/openat.c (__atfct_seterrno): Likewise.
	* io/tst-openat.c (do_test): Add some more tests.
	* io/tst-faccessat.c (do_test): Likewise.
	* io/tst-renameat.c (do_test): Likewise.
	* io/tst-fstatat.c (do_test): Likewise.
	* io/tst-fchmodat.c (do_test): Likewise.
	* io/tst-fchownat.c (do_test): Likewise.

2006-01-21  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/faccessat.c: Move RESULT defn inside block.

	* misc/tst-pselect.c: Include <unistd.h>.

	* time/time.h [__need_timespec et al]: Include <bits/types.h> here too.

	* stdlib/fpioconst.c: Fix whitespace typo.

2006-01-20  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/ieee754/ldbl-64-128/s_nexttowardfd.c: Moved to...
	* sysdeps/ieee754/ldbl-opt/s_nexttowardfd.c: ... here.  New file.
	* sysdeps/ieee754/ldbl-opt/math_ldbl_opt.h (long_double_symbol_1): For
	C define again using _weak_alias, for assembler use weak_alias.

	* sysdeps/powerpc/powerpc64/fpu/e_sqrt.c: New file.
	* sysdeps/powerpc/powerpc64/fpu/e_sqrtf.c: New file.
	* sysdeps/powerpc/fpu/bits/mathinline.h (__CPU_HAS_FSQRT): New macro.
	(__ieee754_sqrt, __ieee754_sqrtf): Use it.

2006-01-21  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/pselect.c (__pselect): Allow actual
	system call code to be redefined in macro CALL_PSELECT6.
	* sysdeps/unix/sysv/linux/i386/Makefile [subdir=misc]
	(sysdep_routines): Add call_pselect6.
	* sysdeps/unix/sysv/linux/i386/call_pselect6.S: New file.
	* sysdeps/unix/sysv/linux/i386/pselect.c: New file.
	* misc/Makefile (tests): Add tst-pselect.
	* misc/tst-pselect.c: New file.

2006-01-20  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/ppoll.c: New file.

2006-01-20  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/pselect.c: Fix typo in declaration.

	* sysdeps/unix/sysv/linux/xmknodat.c (__xmknodat): Cast k_dev
	value to unsigned int to match kernel.

	* sysdeps/unix/sysv/linux/faccessat.c (faccessat): Try using the
	syscall in more cases.

	* io/Makefile (tests): Add tst-symlinkat, tst-linkat, tst-readlinkat,
	tst-mkdirat, tst-mknodat, and tst-mkfifoat.
	* io/tst-symlinkat.c: New file.
	* io/tst-linkat.c: New file.
	* io/tst-readlinkat.c: New file.
	* io/tst-mkdirat.c: New file.
	* io/tst-mknodat.c: New file.
	* io/tst-mkfifoat.c: New file.

	* dirent/Makefile (tests): Add tst-fdopendir2.
	* dirent/tst-fdopendir2.c: New file.

2006-01-20  Alexandre Oliva  <aoliva@redhat.com>

	* sysdeps/unix/sysv/linux/x86_64/bits/sigcontext.h
	(sigcontext_struct) [__WORDSIZE == 32]: Define.

2006-01-20  Kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/sh/sh4/__longjmp.S: Demangle also r14 and r15.
	* sysdeps/sh/sh3/__longjmp.S: Likewise.
	* sysdeps/sh/sh4/setjmp.S: Mangle also r14 and r15.
	* sysdeps/sh/sh3/setjmp.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/sysdep.h [__ASSEMBLER__]
	(PTR_MANGLE): Add temporary register as the second parameter.
	(PTR_DEMANGLE): Likewize.
	(PTR_MANGLE2, PTR_DEMANGLE2): Define.

2006-01-19  Ulrich Drepper  <drepper@redhat.com>

	* include/fcntl.h: Declare __have_atfcts.
	* sysdeps/unix/sysv/linux/faccessat.c: Use syscall if available.
	* sysdeps/unix/sysv/linux/fchmodat.c: Likewise.
	* sysdeps/unix/sysv/linux/fchownat.c: Likewise.
	* sysdeps/unix/sysv/linux/futimesat.c: Likewise.
	* sysdeps/unix/sysv/linux/linkat.c: Likewise.
	* sysdeps/unix/sysv/linux/mkdirat.c: Likewise.
	* sysdeps/unix/sysv/linux/openat.c: Likewise.
	* sysdeps/unix/sysv/linux/readlinkat.c: Likewise.
	* sysdeps/unix/sysv/linux/renameat.c: Likewise.
	* sysdeps/unix/sysv/linux/symlinkat.c: Likewise.
	* sysdeps/unix/sysv/linux/unlinkat.c: Likewise.
	* sysdeps/unix/sysv/linux/xmknodat.c: Likewise.
	* sysdeps/unix/sysv/linux/wordsize-64/fxstatat.c: Likewise.
	* sysdeps/unix/sysv/linux/kernel-features.h: Define __ASSUME_PSELECT,
	__ASSUME_PPOLL, and __ASSUME_ATFCTS if possible.

	* io/ppoll.c: New file.
	* io/Makefile (routines): Add ppoll.
	(CFLAGS-ppoll.c): Define.
	* io/Versions: Export ppoll for GLIBC_2.4.
	* io/sys/poll.h: Declare ppoll.
	* sysdeps/unix/sysv/linux/ppoll.c: New file.

	* misc/pselect.c: Make it possible to include this file to define
	the generic code as a static function.
	* sysdeps/unix/sysv/linux/pselect.c: New file.

2006-01-19  Jakub Jelinek  <jakub@redhat.com>

	* misc/pselect.c (__pselect): Remove static.
	Include sysdep-cancel.h again.  Add LIBC_CANCEL_HANDLED ().

2006-01-18  Roland McGrath  <roland@redhat.com>

	* sysdeps/ieee754/ldbl-opt/math_ldbl_opt.h [__ASSEMBLER__]: Don't
	include problematic headers for assembler.

	* Makerules ($(+sysdir_pfx)sysd-rules): Don't emit m_%.c rules,
	instead emit m_%.o compilation rules from s_%.? source files.
	* math/Makefile ($(objpfx)m_%$o: s_%.c): New rule using o-iterator.

2006-01-18  Ulrich Drepper  <drepper@redhat.com>

	* misc/pselect.c (__pselect): No need to enable async cancellation
	here.  This is done in select.

	* sysdeps/unix/sysv/linux/fxstatat.c [STAT_IS_KERNEL_STAT]
	(__fxstatat): Correct handling of invalid vers values.

	[BZ #2173]
	* libio/fileops.c (_IO_new_file_fopen): If ,ccs= is given, also
	set vtable to the wide vtable.
	* libio/tst-fopenloc2.c: New file.
	* libio/Makefile (tests): Add tst-fopenloc2.

2006-01-18  Roland McGrath  <roland@redhat.com>

	* sysdeps/ieee754/ldbl-opt/nldbl-dprintf.c: Restore
	attribute_hidden here.

	* sysdeps/sparc/sparc64/Makefile (long-double-fcts): Move this ...
	* sysdeps/sparc/Makefile (long-double-fcts): ... to here.

2006-01-18  Jakub Jelinek  <jakub@redhat.com>

	* elf/dl-deps.c (_dl_map_object_deps): In case of failure also make a
	copy of objname string.

2006-01-16  Roland McGrath  <roland@redhat.com>

	* Makerules ($(+sysdir_pfx)sysd-rules): Emit pattern rules to install
	into $(inst_includedir)/%.h from sysdirs.
	[headers]: Change static pattern rule for installing
	$(headers) to do only those not matching %.h.
	($(inst_includedir)/%.h: $(objpfx)%.h): Add this pattern rule instead.
	($(inst_includedir)/%.h: %.h): Likewise.
	($(inst_includedir)/%.h: $(..)include/%.h): Likewise.

	* Makefile ($(inst_includedir)/gnu/stubs.h):
	Add $(make-target-directory).

	* stdlib/Makefile (headers): Restore headers removed in last change.

2006-01-16  Jakub Jelinek  <jakub@redhat.com>

	* math/e_exp2l.c: Don't include stdio.h, errno.h, stub-tag.h, include
	math_private.h.
	(__ieee754_exp2l): Compute for now as expl (M_LN2l * x)
	instead of failing.
	(exp2l): Remove stub_warning.

2006-01-15  Jakub Jelinek  <jakub@redhat.com>

	* io/tst-faccessat.c (do_test): Don't fail if geteuid () == 0.

2006-01-16  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/kernel-features.h: Define
	__ASSUME_TMPFS_NAME.
	* sysdeps/unix/sysv/linux/shm_open.c [__ASSUME_TMPFS_NAME]
	(where_is_shmfs): Don't test for obsolete shm filesystem name.

	* sysdeps/unix/sysv/linux/getsysstats.c: Don't search for proc
	mount point.  We assume procfs is mounted at /proc in many other
	places already.

2006-01-15  Andreas Jaeger  <aj@suse.de>

	[BZ #1950]
	* posix/regex_internal.c (re_string_reconstruct): Adjust for
	build_wcs_upper_buffer change.
	(build_wcs_upper_buffer): Change return type.

	[BZ #2153]
	* math/s_cacosh.c (__cacosh): Do not return a negative
	value. Patch by Wes Loewer <wjltemp-temp01@yahoo.com>.
	* math/s_cacoshl.c (__cacoshl): Likewise.
	* math/s_cacoshf.c (__cacoshf): Likewise.
	* math/libm-test.inc (cacosh_test): Adjust for change.

	* sysdeps/alpha/fpu/libm-test-ulps: Adopt for cacosh test change.
	* sysdeps/hppa/fpu/libm-test-ulps: Likewise.
	* sysdeps/i386/fpu/libm-test-ulps: Likewise.
	* sysdeps/ia64/fpu/libm-test-ulps: Likewise.
	* sysdeps/m68k/fpu/libm-test-ulps: Likewise.
	* sysdeps/mips/fpu/libm-test-ulps: Likewise.
	* sysdeps/powerpc/fpu/libm-test-ulps: Likewise.
	* sysdeps/s390/fpu/libm-test-ulps: Likewise.
	* sysdeps/x86_64/fpu/libm-test-ulps: Likewise.
	* sysdeps/sh/sh4/fpu/libm-test-ulps: Likewise.
	* sysdeps/sparc/sparc32/fpu/libm-test-ulps: Likewise.
	* sysdeps/sparc/sparc64/fpu/libm-test-ulps: Likewise.

	[BZ #2079]
	* libio/fputwc_u.c (fputwc_unlocked): Fix return value.
	* libio/getwc_u.c (__getwc_unlocked): Likewise.
	* libio/wfileops.c (_IO_wdo_write): Likewise.

	[BZ #2078]
	* libio/fputwc.c (fputwc): Use proper type for result.
	* libio/ioungetwc.c (ungetwc): Likewise.

2006-01-14  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/bits/sched.h: Define SCHED_BATCH.

2006-01-14  Roland McGrath  <roland@redhat.com>

	* sysdeps/ieee754/ldbl-opt/nldbl-compat.h (NLDBL_DECL): Don't try
	attribute_hidden here.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsyslog.c (vsyslog): Restore
	attribute_hidden here.
	* sysdeps/ieee754/ldbl-opt/nldbl-asprintf.c (__asprintf): Likewise.
	* sysdeps/ieee754/ldbl-opt/nldbl-fprintf.c (fprintf): Likewise.
	* sysdeps/ieee754/ldbl-opt/nldbl-qecvt.c (qecvt): Likewise.
	* sysdeps/ieee754/ldbl-opt/nldbl-qfcvt.c (qfcvt): Likewise.
	* sysdeps/ieee754/ldbl-opt/nldbl-qgcvt.c (qgcvt): Likewise.

	* sysdeps/ieee754/ldbl-opt/configure.in: Use AC_TRY_COMPILE and
	verify __LONG_DOUBLE_128__ predefine.
	* sysdeps/ieee754/ldbl-opt/configure: Regenerated.

	* sysdeps/ieee754/ldbl-opt/nldbl-compat.h (NLDBL_HIDDEN): Removed.
	(NLDBL_DECL): Rewritten.
	Remove __THROW from NLDBL_DECL uses.
	Use NLDBL_DECL for __vstrfmon_l.
	(__nldbl___vsyslog_chk): Restore missing decl.
	* sysdeps/ieee754/ldbl-opt/nldbl-asinh.c: Restore attribute_hidden.

2006-01-14  Jakub Jelinek  <jakub@redhat.com>

	* misc/sys/cdefs.h (__LDBL_REDIR1_DECL): Define.
	(__LDBL_REDIR_DECL): Stringize __nldbl and name.
	* stdlib/bits/monetary-ldbl.h: Remove pastos from wchar-ldbl.h.
	(strfmon, strfmon_l): Add __LDBL_REDIR_DECL.
	* stdlib/bits/stdlib-ldbl.h (strtold, strtold_l, __strtold_internal,
	qecvt, qfcvt, qgcvt, qecvt_r, qfcvt_r): Use __LDBL_REDIR1_DECL
	instead of __LDBL_REDIR_DECL.
	* wcsmbs/bits/wchar-ldbl.h: Remove stale #if.
	(__LDBL_REDIR_WCHAR): Remove.
	(fwprintf, wprintf, swprintf, vfwprintf, vwprintf, vswprintf,
	fwscanf, wscanf, swscanf, vfwscanf, vwscanf, vswscanf): Use
	__LDBL_REDIR_DECL instead of __LDBL_REDIR_WCHAR.
	(wcstold, wcstold_l, __wcstold_internal): Add __LDBL_REDIR1_DECL.
	* wcsmbs/wchar.h: Include bits/wchar-ldbl.h after bits/wchar2.h
	instead of before it.
	(wcstold inline): Move #ifndef __LDBL_COMPAT before
	extern keyword.
	* libio/bits/stdio-ldbl.h (__snprintf_chk, __vsnprintf_chk): Add
	__LDBL_REDIR_DECL.
	* misc/bits/syslog-ldbl.h (vsyslog): Protect with #ifdef __USE_BSD.
	(__syslog_chk, __vsyslog_chk): Add __LDBL_REDIR_DECL.

2006-01-14  Roland McGrath  <roland@redhat.com>

	* sysdeps/ieee754/ldbl-opt/nldbl-compat.h (NLDBL_DECL): Fix typo.
	(NLDBL_HIDDEN): New macro.
	(NLDBL_DECL): Use it in place of attribute_hidden.

	* misc/efgcvt.c: Include <math_ldbl_opt.h> instead of <shlib-compat.h>.
	* misc/efgcvt_r.c: Likewise.

	* sysdeps/unix/sysv/linux/sparc/sparc32/nldbl-abi.h: New file.
	* sysdeps/ieee754/ldbl-opt/math_ldbl_opt.h: #include <nldbl-abi.h>
	to define LONG_DOUBLE_COMPAT_VERSION.  Use that in place of
	NLDBL_VERSION.
	* sysdeps/ieee754/ldbl-opt/Versions: Include <nldbl-abi.h>.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Versions: Revert last change.

2006-01-14  Jakub Jelinek  <jakub@redhat.com>

	* math/math.h [__NO_LONG_DOUBLE_MATH] (__nldbl_nexttowardf): New
	prototype.
	(nexttowardf): Redirect to __nldbl_nexttowardf.
	(nexttoward): Redirect to nextafter.
	(__MATHDECL_2, __MATHDECL_1): Redirect *l functions to
	non-*l versions if __LONG_DOUBLE_MATH_OPTIONAL and
	__NO_LONG_DOUBLE_MATH.
	* math/complex.h (__MATHDECL_1): Likewise.
	* math/bits/mathcalls.h (nexttoward): Don't prototype if
	__LDBL_COMPAT.
	* misc/sys/cdefs.h: Include <bits/wordsize.h>.
	(__LDBL_COMPAT, __LDBL_REDIR1, __LDBL_REDIR, __LDBL_REDIR1_NTH,
	__LDBL_REDIR_NTH, __LDBL_REDIR_DECL): New macros.

	* libio/bits/stdio-ldbl.h: New file.
	* libio/Makefile (headers): Add it.
	* libio/stdio.h [__LDBL_COMPAT]: #include it.
	* libio/bits/libio-ldbl.h: New file.
	* libio/Makefile (headers): Add it.
	* libio/libio.h [__LDBL_COMPAT]: #include it.
	* libio/libioP.h: Include <math_ldbl_opt.h>.
	* include/wchar.h (__fwprintf, __vfwprintf): Fix commented out
	attribute.
	(__vfwprintf_chk): New prototype.  Add libc_hidden_proto.
	* wcsmbs/bits/wchar-ldbl.h: New file.
	* wcsmbs/Makefile (headers): Add it.
	* wcsmbs/wchar.h [__LDBL_COMPAT]: #include it.
	* wcsmbs/bits/wchar2.h (__vswprintf_alias): Removed.
	(vswprintf): Define as a macro rather than inline function.
	* stdio-common/bits/printf-ldbl.h: New file.
	* stdio-common/Makefile (headers): Add it.
	* stdio-common/printf.h [__LDBL_COMPAT]: #include it.
	* libio/fwprintf.c: Include libioP.h.
	(fwprintf): Use ldbl_weak_alias instead of weak_alias.
	* libio/fwscanf.c: Include libioP.h.
	(fwscanf): Rename to __fwscanf and add ldbl_strong_alias.
	* libio/iovdprintf.c (vdprintf): Use ldbl_weak_alias instead of
	weak_alias.
	* libio/iovsprintf.c (_IO_vsprintf): Rename to __IO_vsprintf,
	add ldbl_strong_alias and use INTDEF2 instead of INTDEF.
	(vsprintf): Use ldbl_weak_alias instead of weak_alias.
	* libio/iovsscanf.c (__vsscanf, vsscanf): Use ldbl_weak_alias
	instead of weak_alias.
	* libio/iovswscanf.c (vswscanf): Rename to __vswscanf,
	add ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.
	* libio/obprintf.c (obstack_printf, obstack_vprintf): Use
	ldbl_weak_alias instead of weak_alias.
	* libio/swprintf.c: Include libioP.h.
	(swprintf): Rename to __swprintf and add ldbl_strong_alias.
	* libio/swscanf.c: Include libioP.h.
	(swscanf): Rename to __swscanf and add ldbl_strong_alias.
	* libio/vasprintf.c (vasprintf): Use ldbl_weak_alias instead of
	weak_alias.
	* libio/vscanf.c (vscanf): Use ldbl_weak_alias instead of
	weak_alias.
	* libio/vsnprintf.c (__vsnprintf, vsnprintf): Use ldbl_weak_alias
	instead of weak_alias.
	* libio/vswprintf.c (__vswprintf): Remove alias.
	(vswprintf): Use ldbl_weak_alias instead of weak_alias.
	* libio/vwprintf.c: Include libioP.h.
	(vwprintf): Rename to __vwprintf and add ldbl_strong_alias.
	* libio/vwscanf.c (vwscanf): Rename to __vwscanf and add
	ldbl_strong_alias.
	* libio/wprintf.c: Include libioP.h.
	(wprintf): Rename to __wprintf and add ldbl_strong_alias.
	* libio/wscanf.c: Include libioP.h.
	(wscanf): Rename to __wscanf and add ldbl_strong_alias.
	* stdio-common/asprintf.c (__asprintf): Rename to ___asprintf, add
	ldbl_strong_alias and use INTDEF2 instead of INTDEF.
	(asprintf): Use ldbl_weak_alias instead of weak_alias.
	* stdio-common/dprintf.c (dprintf): Rename to __dprintf, add
	ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.
	* stdio-common/fprintf.c: Include libioP.h.
	(fprintf): Rename to __fprintf, add ldbl_strong_alias and
	use ldbl_hidden_def instead of libc_hidden_def.
	(_IO_fprintf): Use ldbl_weak_alias instead of weak_alias.
	* stdio-common/fscanf.c: Include libioP.h.
	(fscanf): Rename to __fscanf and add ldbl_strong_alias.
	* stdio-common/printf.c: Include libioP.h.
	(printf): Rename to __printf and add ldbl_strong_alias.
	(_IO_printf): Use ldbl_strong_alias instead of strong_alias.
	* stdio-common/printf_fp.c (__printf_fp): Rename to __printf_fp, add
	ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.
	* stdio-common/printf_size.c (printf_size): Rename to __printf_size
	and add ldbl_strong_alias.
	* stdio-common/scanf.c (scanf): Rename to __scanf and add
	ldbl_strong_alias.
	* stdio-common/snprintf.c (snprintf): Use ldbl_weak_alias instead of
	weak_alias.
	* stdio-common/sprintf.c (sprintf): Rename to __sprintf, add
	ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.
	(_IO_sprintf): Use ldbl_strong_alias instead of strong_alias.
	* stdio-common/sscanf.c: Include libioP.h instead of iolibio.h.
	(sscanf): Rename to __sscanf and add ldbl_strong_alias.
	* stdio-common/vfprintf.c (vfprintf): Define to
	_IO_vfprintf_internal.  Use ldbl_strong_alias instead.  Use
	ldbl_hidden_def instead of libc_hidden_def.
	(_IO_vfprintf_internal): Clear is_long_double if __ldbl_is_dbl,
	handle the argument as double if it is non-zero.
	(vfwprintf): Use ldbl_weak_alias instead of weak_alias.
	(_IO_vfprintf): Add ldbl_strong_alias.
	* stdio-common/vfscanf.c (_IO_vfscanf): Rename to
	_IO_vfscanf_internal, don't use strtold if __ldbl_is_dbl, add
	ldbl_strong_alias.
	(vfwscanf): Use ldbl_weak_alias instead of weak_alias.
	(__vfscanf): Rename to ___vfscanf, add ldbl_strong_alias and
	use ldbl_hidden_def instead of libc_hidden_def.
	(vfscanf): Use ldbl_weak_alias instead of weak_alias.
	* stdio-common/vprintf.c: Include libioP.h.
	(vprintf): Rename to __vprintf and add ldbl_strong_alias.
	* debug/fprintf_chk.c (__fprintf_chk): Rename to ___fprintf_chk
	and add ldbl_strong_alias.
	* debug/printf_chk.c (__printf_chk): Rename to ___printf_chk
	and add ldbl_strong_alias.
	* debug/snprintf_chk.c: Include libioP.h.
	(__snprintf_chk): Rename to ___snprintf_chk and add ldbl_strong_alias.
	* debug/sprintf_chk.c: Include libioP.h.
	(__sprintf_chk): Rename to ___sprintf_chk and add ldbl_strong_alias.
	* debug/vfprintf_chk.c (__vfprintf_chk): Rename to ___vfprintf_chk,
	add ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.
	* debug/vfwprintf_chk.c (__vfwprintf_chk): Add libc_hidden_def.
	* debug/vprintf_chk.c (__vprintf_chk): Rename to ___vprintf_chk
	and add ldbl_strong_alias.
	* debug/vsnprintf_chk.c (__vsnprintf_chk): Rename to ___vsnprintf_chk,
	add ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.
	* debug/vsprintf_chk.c (__vsprintf_chk): Rename to ___vsprintf_chk,
	add ldbl_strong_alias and use ldbl_hidden_def instead of
	libc_hidden_def.

	* stdlib/stdlib.h (strtold): Don't define inline if [!__LDBL_COMPAT].
	* wcsmbs/wchar.h (wcstold): Likewise.
	* stdlib/strtod_l.c: Include math_ldbl_opt.h.
	(____STRTOF_INTERNAL): Define.
	(INTERNAL (__STRTOF)): Rename to ____STRTOF_INTERNAL.
	(__STRTOF): Call ____STRTOF_INTERNAL instead.
	[LONG_DOUBLE_COMPAT] (strtold_l, wcstold_l, __strtold_l, __wcstold_l):
	Add compatibility symbols.
	* stdlib/strtod.c: Include math_ldbl_opt.h.
	[LONG_DOUBLE_COMPAT] (strtold, wcstold, __strtold_internal,
	__wcstold_internal): Add compatibility symbols.
	* stdlib/strtold.c: Include bits/wordsize.h, wchar.h.
	(NEW, NEW1): Define.
	(__new_strtold, __new_wcstold): New prototypes.
	(____new_strtold_internal, ____new_wcstold_internal): Likewise.
	Add libc_hidden_proto.
	(STRTOF): Define to NEW (*told).
	[__LONG_DOUBLE_MATH_OPTIONAL] (wcstold, strtold): Add
	long_double_symbol.
	[__LONG_DOUBLE_MATH_OPTIONAL] (__wcstold_internal,
	__strtold_internal): Likewise. Add libc_hidden_ver.

	* stdlib/bits/stdlib-ldbl.h: New file.
	* stdlib/Makefile (headers): Add it.
	* stdlib/stdlib.h [__LDBL_COMPAT]: #include it.
	* include/stdlib.h (ecvt_r, fcvt_r, qecvt_r, qfcvt_r): Remove
	libc_hidden_proto.
	(__ecvt, __fcvt, __gcvt, __ecvt_r, __fcvt_r, __qecvt, __qfcvt,
	__qgcvt, __qecvt_r, __qfcvt_r): New prototypes.
	* misc/efgcvt_r.c: Include shlib-compat.h.
	(LONG_DOUBLE_CVT): Define.
	(__APPEND, __APPEND2): Define.
	(*fcvt_r): Use __APPEND instead of APPEND.  Remove libc_hidden_def.
	(*ecvt_r): Likewise.
	(cvt_symbol): Define.  Use it on fcvt_r and ecvt_r.
	* misc/efgcvt.c: Include shlib-compat.h.
	(LONG_DOUBLE_CVT): Define.
	(__APPEND, __APPEND2): Define.
	(fcvt): Use __APPEND instead of APPEND.  Remove libc_hidden_def.
	(ecvt, gcvt): Likewise.
	(cvt_symbol): Define.  Use it on fcvt, ecvt and gcvt.

	* stdlib/bits/monetary-ldbl.h: New file.
	* stdlib/Makefile (headers): Add it.
	* stdlib/monetary.h [__LDBL_COMPAT]: #include it.
	* stdlib/strfmon.c: Include math_ldbl_opt.h.
	(strfmon): Rename to __strfmon and add ldbl_strong_alias.
	* stdlib/strfmon_l.c: Remove all traces of [!USE_IN_LIBIO].
	(__vstrfmon_l): Don't set is_long_double if __ldbl_is_dbl.
	(__strfmon_l): Rename to ___strfmon_l and add ldbl_strong_alias.
	(strfmon_l): Use ldbl_weak_alias instead of weak_alias.

	* misc/bits/syslog-ldbl.h: New file.
	* misc/Makefile (headers): Add it.
	* misc/sys/syslog.h [__LDBL_COMPAT]: #include it.
	* misc/syslog.c: Include math_ldbl_opt.h.
	(syslog): Rename to __syslog and add ldbl_strong_alias,
	use ldbl_hidden_def instead of libc_hidden_def.
	(vsyslog): Rename to __vsyslog and add ldbl_strong_alias,
	use ldbl_hidden_def instead of libc_hidden_def.

	* sysdeps/generic/math_ldbl_opt.h: New file.
	* math/w_j1l.c (j1l, y1l): Rename to __ prefixed variants.
	Add weak_alias.
	* math/w_j0l.c (j0l, y0l): Likewise.
	* math/w_jnl.c (jnl, ynl): Likewise.
	* sysdeps/ieee754/ldbl-96/s_nexttoward.c
	(__nexttowardl): Remove strong_alias.
	(nexttowardl): Remove weak_alias.
	* sysdeps/ieee754/ldbl-96/s_erfl.c
	(__erfl, __erfcl): Remove strong_alias.
	(erfl, erfcl): Remove weak_alias.

	* sysdeps/ieee754/ldbl-64-128/s_asinhl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_atanl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_cbrtl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_ceill.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_copysignl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_cosl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_erfl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_expm1l.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_fabsl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_finitel.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_floorl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_fpclassifyl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_frexpl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_ilogbl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_isinfl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_isnanl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_llrintl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_llroundl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_log1pl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_logbl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_lrintl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_lroundl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_modfl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_nearbyintl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_nextafterl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_nexttoward.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_nexttowardf.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_nexttowardfd.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_remquol.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_rintl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_roundl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_scalblnl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_scalbnl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_signbitl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_sincosl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_sinl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_tanhl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_tanl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/s_truncl.c: New file.
	* sysdeps/ieee754/ldbl-64-128/strtold_l.c: New file.
	* sysdeps/ieee754/ldbl-64-128/w_expl.c: New file.
	* sysdeps/ieee754/ldbl-opt/configure.in: New file.
	* sysdeps/ieee754/ldbl-opt/configure: New file.
	* sysdeps/ieee754/ldbl-opt/Makefile: New file.
	* sysdeps/ieee754/ldbl-opt/Versions: New file.
	* sysdeps/ieee754/ldbl-opt/cabs.c: New file.
	* sysdeps/ieee754/ldbl-opt/cabsl.c: New file.
	* sysdeps/ieee754/ldbl-opt/carg.c: New file.
	* sysdeps/ieee754/ldbl-opt/cargl.c: New file.
	* sysdeps/ieee754/ldbl-opt/cimag.c: New file.
	* sysdeps/ieee754/ldbl-opt/cimagl.c: New file.
	* sysdeps/ieee754/ldbl-opt/conj.c: New file.
	* sysdeps/ieee754/ldbl-opt/conjl.c: New file.
	* sysdeps/ieee754/ldbl-opt/creal.c: New file.
	* sysdeps/ieee754/ldbl-opt/creall.c: New file.
	* sysdeps/ieee754/ldbl-opt/math_ldbl_opt.c: New file.
	* sysdeps/ieee754/ldbl-opt/math_ldbl_opt.h: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-acos.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-acosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-asin.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-asinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-asprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-atan.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-atan2.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-atanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cabs.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cacos.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cacosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-carg.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-casin.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-casinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-catan.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-catanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cbrt.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ccos.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ccosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ceil.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cexp.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cimag.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-clog.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-clog10.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-compat.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-compat.h: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-conj.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-copysign.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cos.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cpow.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-cproj.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-creal.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-csin.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-csinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-csqrt.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ctan.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ctanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-dprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-drem.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-erf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-erfc.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-exp.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-exp10.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-exp2.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-expm1.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fabs.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fdim.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-finite.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-floor.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fma.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fmax.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fmin.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fmod.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-frexp.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fwprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fwprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-fwscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-gamma.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-hypot.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ilogb.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-iovfscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-isinf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-isnan.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-j0.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-j1.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-jn.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-ldexp.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-lgamma.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-lgamma_r.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-llrint.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-llround.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-log.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-log10.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-log1p.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-log2.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-logb.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-lrint.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-lround.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-modf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-nan.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-nearbyint.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-nextafter.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-nexttoward.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-nexttowardf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-obstack_printf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-obstack_vprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-pow.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-pow10.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-printf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-printf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-printf_fp.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-printf_size.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-qecvt.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-qecvt_r.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-qfcvt.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-qfcvt_r.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-qgcvt.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-remainder.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-remquo.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-rint.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-round.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-scalb.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-scalbln.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-scalbn.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-scanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-signbit.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-significand.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sin.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sincos.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-snprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-snprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sqrt.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-sscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-strfmon.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-strfmon_l.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-strtold.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-strtold_l.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-strtoldint.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-swprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-swprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-swscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-syslog.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-syslog_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-tan.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-tanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-tgamma.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-trunc.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vasprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vdprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vfprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vfprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vfscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vfwprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vfwprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vfwscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsnprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsnprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vswprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vswprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vswscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsyslog.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vsyslog_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vwprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vwprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-vwscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-wcstold.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-wcstold_l.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-wcstoldint.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-wprintf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-wprintf_chk.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-wscanf.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-y0.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-y1.c: New file.
	* sysdeps/ieee754/ldbl-opt/nldbl-yn.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_asinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_atan.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cacos.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cacosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cacoshl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cacosl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_casin.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_casinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_casinhl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_casinl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_catan.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_catanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_catanhl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_catanl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cbrt.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ccos.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ccosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ccoshl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ccosl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ceil.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cexp.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cexpl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_clog.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_clog10.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_clog10l.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_clogl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_copysign.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cpow.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cpowl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cproj.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_cprojl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_csin.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_csinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_csinhl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_csinl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_csqrt.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_csqrtl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ctan.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ctanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ctanhl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ctanl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_erf.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_expm1.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fabs.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fdim.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fdiml.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_finite.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_floor.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fma.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fmal.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fmax.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fmaxl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fmin.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_fminl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_frexp.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ilogb.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_isinf.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_isnan.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ldexp.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_ldexpl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_llrint.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_llround.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_log1p.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_logb.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_lrint.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_lround.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_modf.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_nan.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_nanl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_nearbyint.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_nextafter.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_remquo.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_rint.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_round.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_scalbln.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_scalbn.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_significand.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_significandl.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_sin.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_sincos.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_tan.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_tanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/s_trunc.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_acos.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_acosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_acoshl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_acosl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_asin.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_asinl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_atan2.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_atan2l.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_atanh.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_atanhl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_cosh.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_coshl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_drem.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_dreml.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_exp.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_exp10.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_exp10l.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_fmod.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_fmodl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_hypot.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_hypotl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_j0.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_j0l.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_j1.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_j1l.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_jn.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_jnl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_lgamma.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_lgamma_r.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_lgammal.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_lgammal_r.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_log.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_log10.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_log10l.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_log2.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_log2l.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_logl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_pow.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_powl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_remainder.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_remainderl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_scalb.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_scalbl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_sinh.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_sinhl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_sqrt.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_sqrtl.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_tgamma.c: New file.
	* sysdeps/ieee754/ldbl-opt/w_tgammal.c: New file.

	* sysdeps/unix/sysv/linux/sparc/bits/wordsize.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Implies: New file.
	* sysdeps/sparc/sparc32/Implies: Move ldbl-128 first and flt-32
	after dbl-64.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Versions (NLDBL_VERSION):
	%define this to to GLIBC_2.4.
	* sysdeps/sparc/sparc32/fpu/e_sqrtl.c: New file.
	* sysdeps/sparc/sparc32/fpu/s_fabs.c: New file.
	* sysdeps/sparc/sparc32/fpu/s_fabsf.S: New file.
	* sysdeps/sparc/sparc32/fpu/s_fabsl.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoui.c: Removed.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoux.c: Removed.
	* sysdeps/sparc/sparc32/soft-fp/q_qtox.c: Removed.
	* sysdeps/sparc/sparc32/soft-fp/q_uitoq.c: Removed.
	* sysdeps/sparc/sparc32/soft-fp/q_uxtoq.c: Removed.
	* sysdeps/sparc/sparc32/soft-fp/q_xtoq.c: Removed.
	* sysdeps/sparc/sparc32/soft-fp/q_lltoq.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoll.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/q_qtou.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/q_qtoull.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/q_ulltoq.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/q_utoq.c: New file.
	* sysdeps/sparc/sparc32/soft-fp/Versions: New file.
	* sysdeps/sparc/fpu/bits/mathinline.h (__unordered_cmp,
	__unordered_v9cmp): Define differently depending on
	-m32 -mlong-double-{64,128}.
	(__signbitl, sqrtl, __ieee754_sqrtl): New inlines.
	* sysdeps/sparc/fpu/bits/mathdef.h (__NO_LONG_DOUBLE_MATH): Remove.
	* sysdeps/sparc/sparc32/soft-fp/Makefile (sparc32-quad-routines):
	Set.
	(sysdep-routines): Add sparc32-quad-routines.
	* sysdeps/sparc/sparc32/soft-fp/sfp-machine.h: Include stdlib.h.
	(FP_HANDLE_EXCEPTIONS): Call ___Q_simulate_exceptions as a normal
	function.
	* sysdeps/sparc/sparc32/soft-fp/q_sqrt.c (__ieee754_sqrtl): New
	alias to _Q_sqrt.
	* sysdeps/sparc/sparc32/soft-fp/q_div.c (_Q_div): Fix a typo.
	* sysdeps/sparc/sparc64/soft-fp/sfp-machine.h: Include stdlib.h.
	* sysdeps/sparc/sparc32/fpu/libm-test-ulps: Update.

	* libio/libio.h (_IO_vfscanf, _IO_vfprintf): Remove __THROW.
	(_IO_vfwscanf, _IO_vfwprintf): Likewise.
	* libio/libioP.h (_IO_vdprintf): Likewise.

2006-01-13  Richard Henderson  <rth@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/sysdep.h (PTR_MANGLE, PTR_MANGLE2,
	PTR_DEMANGLE, PTR_DEMANGLE2): Move ...
	* sysdeps/unix/alpha/sysdep.h: ... here.
	* sysdeps/unix/sysv/linux/alpha/fxstatat.c: Define __GI___fxstatat64.

2006-01-13  Andreas Jaeger  <aj@suse.de>

	* sysdeps/unix/sysv/linux/powerpc/sys/procfs.h (ELF_NVRREG): Fix
	value for PowerPC64.

2006-01-12  Roland McGrath  <roland@redhat.com>

	* sysdeps/s390/jmpbuf-offsets.h: New file.
	* sysdeps/s390/jmpbuf-unwind.h: Include it.

	* sysdeps/alpha/__longjmp.S: Include <jmpbuf-offsets.h>
	instead of <bits/setjmp.h>.
	* sysdeps/alpha/setjmp.S: Likewise.
	* sysdeps/i386/__longjmp.S: Likewise.
	* sysdeps/i386/bsd-_setjmp.S: Likewise.
	* sysdeps/i386/bsd-setjmp.S: Likewise.
	* sysdeps/i386/setjmp.S: Likewise.
	* sysdeps/powerpc/powerpc32/__longjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/__longjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/setjmp-common.S:
	* sysdeps/powerpc/powerpc32/setjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc64/__longjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc64/setjmp-common.S: Likewise.
	* sysdeps/sh/sh3/setjmp.S: Likewise.
	* sysdeps/sh/sh4/setjmp.S: Likewise.
	* sysdeps/sparc/sparc32/__longjmp.S: Likewise.
	* sysdeps/sparc/sparc32/setjmp.S: Likewise.
	* sysdeps/x86_64/__longjmp.S: Likewise.
	* sysdeps/x86_64/setjmp.S: Likewise.
	* sysdeps/mach/hurd/i386/longjmp-ts.c: Include <jmpbuf-offsets.h>.
	* sysdeps/mach/hurd/powerpc/longjmp-ts.c: Likewise.
	* sysdeps/mach/hurd/alpha/longjmp-ts.c: Likewise.
	* sysdeps/alpha/jmpbuf-unwind.h: Likewise.
	* sysdeps/hppa/jmpbuf-unwind.h: Likewise.
	* sysdeps/i386/jmpbuf-unwind.h: Likewise.
	* sysdeps/powerpc/jmpbuf-unwind.h: Likewise.
	* sysdeps/sparc/sparc32/jmpbuf-unwind.h: Likewise.
	* sysdeps/sparc/sparc64/jmpbuf-unwind.h: Likewise.
	* sysdeps/x86_64/jmpbuf-unwind.h: Likewise.
	* setjmp/jmpbuf-offsets.h: File removed.
	* include/bits/setjmp.h: File removed.

2006-01-11  Ulrich Drepper  <drepper@redhat.com>

	* libio/wmemstream.c: New file.
	* libio/stdio.h: Declare open_wmemstream.
	* libio/Versions: Export open_wmemstream for GLIBC_2.4.
	* libio/Makefile (routines): Add wmemstream.
	(tests): Add tst-memstream1, tst-memstream2, tst-wmemstream2, and
	tst-wmemstream2.
	* libio/tst-memstream1.c: New file.
	* libio/tst-memstream2.c: New file.
	* libio/tst-wmemstream1.c: New file.
	* libio/tst-wmemstream2.c: New file.

	* libio/memstream.c (_IO_mem_sync): Remove useless call to
	_IO_default_sync.

	* elf/check-textrel.c: Add missing argument.

	* Makerules: Define build-module-asneeded.
	* iconvdata/extra-module.mk: Use build-module-asneeded.
	needed.

2006-01-09  Richard Henderson  <rth@redhat.com>

	* iconvdata/extra-module.mk ($(objpfx)$(mod).so): Depend on ld.so.
	* sysdeps/alpha/__longjmp.S: Use PTR_DEMANGLE.
	* sysdeps/alpha/setjmp.S: Likewise.  Avoid __sigjmp_save for rtld;
	tailcall in libc.so.
	* sysdeps/unix/sysv/linux/alpha/sysdep.h (PTR_MANGLE): Define.
	(PTR_MANGLE2): Define.

2006-01-11  Ulrich Drepper  <drepper@redhat.com>

	* elf/check-localplt.c: New file.
	* elf/Makefile: Add rules to build and run check-localplt.
	* scripts/data/localplt-x86_64-linux-gnu.data: New file.
	* scripts/data/localplt-i386-linux-gnu.data: New file.

	* include/sys/stat.h: Add libc_hidden_proto for __fxstatat64.
	* sysdeps/unix/sysv/linux/fxstatat64.c: Add libc_hidden_def for
	__fxstatat64.
	* sysdeps/unix/sysv/linux/wordsize-64/fxstatat.c: Add
	__GI___fxstatat64 alias.

	* libio/memstream.c (_IO_mem_finish): Fix potential memory leak if
	realloc fails.

	* include/sched.h: Add libc_hidden_proto for __sched_yield.

	* libio/genops.c (_IO_unbuffer_write): Give concurrently running
	threads the chance to work correctly by trying to lock the stream.
	If this does not work, proceed without locking.

2006-01-10  Ulrich Drepper  <drepper@redhat.com>

	* libio/genops.c (_IO_unbuffer_write): Don't always free the
	buffer.  This is not necessary except in debug mode.  If we don't
	free the buffer but the FILE structure to a list.
	(buffer_free): New function.  Free buffers or tell _IO_unbuffer_write
	to do so.
	* libio/libio.h (struct _IO_FILE): Add new members to keep track
	of which buffers have to be freed.

	* iconv/gconv_cache.c (free_mem): Don't call munmap if gconv_cache
	is NULL.

2005-10-14  Paul Eggert  <eggert@cs.ucla.edu>

	* malloc/obstack.c: Fix old comments.  Update FSF snail mail address.
	* malloc/obstack.h: Likewise.

	[BZ #321]
	Fix portability bugs encountered when porting to Itanium.
	* malloc/obstack.h (obstack_empty_p, obstack_finish): Do not
	assume that the "contents" member is suitably aligned.  It is
	not, for some hosts and alignments: e.g., Itanium, long-double.
	* malloc/obstack.c (_obstack_begin, _obstack_begin_1,
	_obstack_newchunk): Likewise.
	* malloc/obstack.c: Include <stddef.h>, for size_t.
	Include <inttypes.h>, <stdint.h> if needed and available.
	(DEFAULT_ALIGNMENT): Now an enum constant, not a macro.
	Use C89 offsetof rather than K&R trick.
	Use the maximum alignment of uintmax_t, long double, void *
	rather than the alignment of double.
	(union fooround): Use uintmax_t, long double, void * members
	rather than just long and double.

	[BZ #321]
	Fix portability bugs encountered when porting to the IBM iSeries,
	where pointers are 256 bits wide and no integers are that wide.
	* malloc/obstack.h (__PTR_TO_INT, __INT_TO_PTR): Remove.
	All uses changed to:
	(__BPTR_ALIGN, __PTR_ALIGN): New macros.
	(struct _obstack_chunk.temp): Change from int to a union
	of pointer and int.  All uses changed.

	[BZ #321]
	* malloc/obstack.c (print_and_abort) [!_LIBC]:
	Call fprintf (stderr, ...), not __fxprintf (NULL, ...).
	[_LIBC && USE_IN_LIBIO]: Don't include <wchar.h>; no longer needed.

2006-01-10  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	[BZ #1060]
	* posix/glob.c: Assume freestanding C89 compiler.  Simplify cruft that
	may be replaced with GNULIB modules.  Make no attempt to find 64-bit
	versions of file access functions directly when [!_LIBC].
	Don't define GLOB_* macros here.
	(DIRENT_MUST_BE, DIRENT_MIGHT_BE_SYMLINK, DIRENT_MIGHT_BE_DIR): New
	macros to abstract dirent->d_type access.
	(GETPW_R_SIZE_MAX, GET_LOGIN_NAME_MAX): New macros to abstract sysconf
	access.

2006-01-10  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/powerpc/powerpc64/sysdep.h
	(PTR_MANGLE): Fix cast.

	* timezone/test-tz.c: Revert last change, updating to match
	tzdata2005r definition of "MST".

2006-01-10  Ulrich Drepper  <drepper@redhat.com>

	* include/bits/setjmp.h: Don't include jmpbuf-offsets.h if _ISOMAC is
	defined.

2006-01-10  Andreas Jaeger  <aj@suse.de>

	* include/time.h: Use normal comments.

2006-01-10  Thomas Schwinge  <tschwinge@gnu.org>

	* hurd/sigunwind.c: Include <jmpbuf-unwind.h> instead of <setjmp.h>.
	* sysdeps/mach/hurd/jmp-unwind.c: Likewise.

2006-01-10  Jakub Jelinek  <jakub@redhat.com>

	* wcsmbs/bits/wchar2.h (vswprintf): Call __vswprintf_alias rather than
	vswprintf recursively.

2006-01-10  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/x86_64/bits/setjmp.h: Add back accidently removed #endif.

2006-01-10  Roland McGrath  <roland@redhat.com>

	* include/bits/setjmp.h: New file.
	* setjmp/jmpbuf-offsets.h: New file.
	* sysdeps/alpha/bits/setjmp.h: Move JB_* macros ...
	* sysdeps/alpha/jmpbuf-offsets.h: ... here, new file.
	* sysdeps/hppa/bits/setjmp.h (JB_SP): Macro moved ...
	* sysdeps/hppa/jmpbuf-offsets.h: ... here, new file.
	* sysdeps/i386/bits/setjmp.h: Move JB_* macros ...
	* sysdeps/i386/jmpbuf-offsets.h: ... here, new file.
	* sysdeps/mips/bits/setjmp.h (JB_PC): Macro removed.
	* sysdeps/powerpc/bits/setjmp.h: Move JB_* macros ...
	* sysdeps/powerpc/jmpbuf-offsets.h: ... here, new file.
	* sysdeps/s390/bits/setjmp.h: Remove __JB_* macros.
	* sysdeps/sh/bits/setjmp.h (JB_SIZE): Macro moved ...
	* sysdeps/sh/jmpbuf-offsets.h: ... here, new file.
	* sysdeps/sparc/sparc32/bits/setjmp.h: Move JB_* macros ...
	* sysdeps/sparc/sparc32/jmpbuf-offsets.h: ... here, new file.
	* sysdeps/unix/sysv/linux/sparc/bits/setjmp.h: Remove JB_* macros.
	* sysdeps/x86_64/bits/setjmp.h: Move JB_* macros ...
	* sysdeps/x86_64/jmpbuf-offsets.h: ... here, new file.

	* sysdeps/powerpc/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/powerpc/jmpbuf-unwind.h: ... here.
	* sysdeps/alpha/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/alpha/jmpbuf-unwind.h: ... here.
	* sysdeps/sparc/sparc32/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/sparc/sparc32/jmpbuf-unwind.h: ... here.
	* sysdeps/i386/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/i386/jmpbuf-unwind.h: ... here.
	* sysdeps/x86_64/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/x86_64/jmpbuf-unwind.h: ... here.
	* sysdeps/sh/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/sh/jmpbuf-unwind.h: ... here.
	* sysdeps/hppa/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/hppa/jmpbuf-unwind.h: ... here, new file.
	* sysdeps/mips/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/mips/jmpbuf-unwind.h: ... here.
	* sysdeps/m68k/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/m68k/jmpbuf-unwind.h: ... here, new file.
	* sysdeps/s390/bits/setjmp.h (_JMPBUF_UNWINDS): Move macro ...
	* sysdeps/s390/jmpbuf-unwind.h: ... here.
	* sysdeps/unix/sysv/linux/ia64/bits/setjmp.h (_JMPBUF_UNWINDS):
	Move macro ...
	* sysdeps/ia64/jmpbuf-unwind.h: ... here.
	* sysdeps/unix/sysv/linux/sparc/bits/setjmp.h (_JMPBUF_UNWINDS):
	Move macro ...
	* sysdeps/sparc/sparc64/jmpbuf-unwind.h: ... here.

	* sysdeps/alpha/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/i386/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/ia64/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/mips/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/powerpc/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/s390/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/sh/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/sparc/sparc32/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/sparc/sparc64/jmpbuf-unwind.h: New file, moved from nptl/.
	* sysdeps/x86_64/jmpbuf-unwind.h: New file, moved from nptl/.

	* sysdeps/linkmap.h: File removed.

2006-01-07  Carlos O'Donell  <carlos@systemhalted.org>

	* sysdeps/hppa/elf/start.S (_start): Use PLABEL32 relocations
	by using LR and RR. Add %sr0 to iitlbp.

2006-01-09  Roland McGrath  <roland@redhat.com>

	* timezone/private.h: Update from tzcode2005r.
	* timezone/tzfile.h: Likewise.
	* timezone/zdump.c: Likewise.
	* timezone/zic.c: Likewise.
	* timezone/africa: Update from tzdata2005r.
	* timezone/antarctica: Likewise.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/backward: Likewise.
	* timezone/europe: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/southamerica: Likewise.
	* timezone/systemv: Likewise.

	* elf/Makefile ($(objpfx)reldep5.out): Fix dependency typo,
	so we depend on $(objpfx)reldepmod6.so as intended.

2006-01-09  Ulrich Drepper  <drepper@redhat.com>

	[BZ #2126]
	* sysdeps/i386/i686/strtok.S: Store pointer to NUL byte if NULL is
	returned.
	* sysdeps/i386/strtok.S: Likewise.
	* sysdeps/x86_64/strtok.S: Likewise.
	* string/Makefile (tests): Add bug-strtok1.
	* string/bug-strtok1.c: New file.

	* elf/check-textrel.c (AB): Also check for writable and executable
	segments.

	* sysdeps/ieee754/dbl-64/e_exp2.c: Remove section attribute from
	const variables, gas produces garbage.
	* sysdeps/ieee754/flt-32/e_exp2f.c: Likewise.
	* sysdeps/ieee754/flt-32/e_expf.c: Likewise.
	* sysdeps/ieee754/flt-32/s_expm1f.c: Likewise.

2006-01-09  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/bits/setjmp.h (_JMPBUF_UNWINDS): Add
	stack bias to mc_fp field.

	* sysdeps/unix/sysv/linux/sparc/sparc64/kernel_stat.h
	(struct kernel_stat): Rename st_[amc]time fields to st_[amc]time_sec.
	(struct kernel_stat64): New type.
	(_HAVE___UNUSED1, _HAVE___UNUSED2, _HAVE_STAT___UNUSED1,
	_HAVE_STAT___UNUSED2, _HAVE_STAT___UNUSED3, _HAVE_STAT___UNUSED4,
	_HAVE_STAT___UNUSED5, _HAVE_STAT___PAD1, _HAVE_STAT___PAD2,
	_HAVE_STAT64___UNUSED1, _HAVE_STAT64___UNUSED2,
	_HAVE_STAT64___UNUSED3, _HAVE_STAT64___UNUSED4,
	_HAVE_STAT64___UNUSED5, _HAVE_STAT64___PAD1, _HAVE_STAT64___PAD2):
	Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc64/xstat.c: Use i386/xstat.c.
	* sysdeps/unix/sysv/linux/sparc/sparc64/fxstatat.c:
	Use i386/fxstatat.c.
	* sysdeps/unix/sysv/linux/sparc/sparc64/lxstat.c: Use i386/lxstat.c.
	* sysdeps/unix/sysv/linux/sparc/sparc64/xstatconv.c: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/stat.h (struct stat,
	struct stat64): Add nsec resolution for 64-bit code like already done
	for 32-bit code.
	* sysdeps/unix/sysv/linux/kernel-features.h
	(__ASSUME_TRUNCATE64_SYSCALL, __ASSUME_MMAP2_SYSCALL): Don't define
	for sparc64.
	(__ASSUME_STAT64_SYSCALL): Only define for sparc64 for >= 2.6.12
	kernels.

	* scripts/data/c++-types-sparc-linux-gnu.data: New file.
	* scripts/data/c++-types-sparc64-linux-gnu.data: New file.
	* scripts/data/c++-types-alpha-linux-gnu.data: Adjust.

2006-01-08  Roland McGrath  <roland@redhat.com>

	[BZ #1535]
	* sysdeps/unix/get_child_max.c: New file.
	* posix/get_child_max.c: New file.
	* posix/Makefile (routines): Add it.
	* include/sys/sysinfo.h (__get_child_max): Declare it.
	* sysdeps/posix/sysconf.c (__sysconf) [! CHILD_MAX]: Use it.

	* sysdeps/unix/sysv/linux/futimes.c [!__NR_fcntl && __NR_fcntl64]: Use
	fcntl64 syscall instead.

	* stdio-common/tst-fmemopen2.c (do_test): Add a cast.
	* stdio-common/printf-parsemb.c (__find_specmb): Likewise.

	* sysdeps/unix/sysv/linux/alpha/adjtime.c: Use <> instead of "" in
	#include for kernel-features.h.
	* sysdeps/unix/sysv/linux/alpha/dl-sysdep.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/fraiseexcpt.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/getitimer.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/getrusage.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/gettimeofday.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/msgctl.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/select.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/semctl.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/setitimer.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/settimeofday.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/shmctl.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/utimes.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/wait4.S: Likewise.
	* sysdeps/unix/sysv/linux/alpha/xstatconv.h: Likewise.
	* sysdeps/unix/sysv/linux/check_pf.c: Likewise.
	* sysdeps/unix/sysv/linux/clock_getcpuclockid.c: Likewise.
	* sysdeps/unix/sysv/linux/clock_getres.c: Likewise.
	* sysdeps/unix/sysv/linux/clock_gettime.c: Likewise.
	* sysdeps/unix/sysv/linux/clock_nanosleep.c: Likewise.
	* sysdeps/unix/sysv/linux/clock_settime.c: Likewise.
	* sysdeps/unix/sysv/linux/dl-execstack.c: Likewise.
	* sysdeps/unix/sysv/linux/dl-osinfo.h: Likewise.
	* sysdeps/unix/sysv/linux/dl-sysdep.c: Likewise.
	* sysdeps/unix/sysv/linux/fstatvfs64.c: Likewise.
	* sysdeps/unix/sysv/linux/ftruncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/futimes.c: Likewise.
	* sysdeps/unix/sysv/linux/futimesat.c: Likewise.
	* sysdeps/unix/sysv/linux/fxstat64.c: Likewise.
	* sysdeps/unix/sysv/linux/fxstatat64.c: Likewise.
	* sysdeps/unix/sysv/linux/getcwd.c: Likewise.
	* sysdeps/unix/sysv/linux/getdents.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/chown.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/fchown.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/fchownat.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/fcntl.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/fxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/fxstatat.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getegid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/geteuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getresgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getresuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getrlimit.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/lchown.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/lockf64.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/lxstat.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/mmap.S: Likewise.
	* sysdeps/unix/sysv/linux/i386/mmap64.S: Likewise.
	* sysdeps/unix/sysv/linux/i386/msgctl.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/posix_fadvise64.S: Likewise.
	* sysdeps/unix/sysv/linux/i386/semctl.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setegid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/seteuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setfsgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setfsuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setgroups.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setregid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setresgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setresuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setreuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setrlimit.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/shmctl.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/xstat.c: Likewise.
	* sysdeps/unix/sysv/linux/ifreq.c: Likewise.
	* sysdeps/unix/sysv/linux/ldsodefs.h: Likewise.
	* sysdeps/unix/sysv/linux/lxstat64.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/chown.c: Likewise.
	* sysdeps/unix/sysv/linux/m68k/fchownat.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/ftruncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/truncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/mmap64.c: Likewise.
	* sysdeps/unix/sysv/linux/msgctl.c: Likewise.
	* sysdeps/unix/sysv/linux/netlinkaccess.h: Likewise.
	* sysdeps/unix/sysv/linux/opendir.c: Likewise.
	* sysdeps/unix/sysv/linux/poll.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fe_nomask.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ftruncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/pread.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/pwrite64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/truncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/fe_nomask.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/getcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/makecontext.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/pread.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/pwrite64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/setcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/swapcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/pread.c: Likewise.
	* sysdeps/unix/sysv/linux/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/prof-freq.c: Likewise.
	* sysdeps/unix/sysv/linux/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/pwrite64.c: Likewise.
	* sysdeps/unix/sysv/linux/s390/s390-32/chown.c: Likewise.
	* sysdeps/unix/sysv/linux/s390/s390-32/fchownat.c: Likewise.
	* sysdeps/unix/sysv/linux/s390/s390-32/lchown.c: Likewise.
	* sysdeps/unix/sysv/linux/semctl.c: Likewise.
	* sysdeps/unix/sysv/linux/setegid.c: Likewise.
	* sysdeps/unix/sysv/linux/seteuid.c: Likewise.
	* sysdeps/unix/sysv/linux/shmctl.c: Likewise.
	* sysdeps/unix/sysv/linux/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/sigpending.c: Likewise.
	* sysdeps/unix/sysv/linux/sigprocmask.c: Likewise.
	* sysdeps/unix/sysv/linux/sigsuspend.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/semctl.c: Likewise.
	* sysdeps/unix/sysv/linux/statvfs64.c: Likewise.
	* sysdeps/unix/sysv/linux/syslog.c: Likewise.
	* sysdeps/unix/sysv/linux/testrtsig.h: Likewise.
	* sysdeps/unix/sysv/linux/truncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/utimes.c: Likewise.
	* sysdeps/unix/sysv/linux/xstat64.c: Likewise.
	* sysdeps/unix/sysv/linux/xstatconv.h: Likewise.

2006-01-07  Roland McGrath  <roland@redhat.com>

	* po/libc.pot: Regenerated.

	* po/.cvsignore: List libc.pot.files, and not any .pot names.

	* manual/maint.texi (Porting): Don't mention Dist files.
	* sysdeps/alpha/soft-fp/Dist: File removed.
	* sysdeps/alpha/Dist: File removed.
	* sysdeps/i386/i686/Dist: File removed.
	* sysdeps/i386/soft-fp/Dist: File removed.
	* sysdeps/i386/Dist: File removed.
	* sysdeps/mips/soft-fp/Dist: File removed.
	* sysdeps/mips/mips64/soft-fp/Dist: File removed.
	* sysdeps/mips/mips64/Dist: File removed.
	* sysdeps/mips/Dist: File removed.
	* sysdeps/wordsize-32/Dist: File removed.
	* sysdeps/m68k/fpu/switch/Dist: File removed.
	* sysdeps/m68k/fpu/Dist: File removed.
	* sysdeps/powerpc/powerpc64/Dist: File removed.
	* sysdeps/powerpc/soft-fp/Dist: File removed.
	* sysdeps/powerpc/powerpc32/fpu/Dist: File removed.
	* sysdeps/powerpc/powerpc32/Dist: File removed.
	* sysdeps/powerpc/fpu/Dist: File removed.
	* sysdeps/powerpc/Dist: File removed.
	* sysdeps/unix/common/Dist: File removed.
	* sysdeps/unix/bsd/bsd4.4/Dist: File removed.
	* sysdeps/unix/bsd/Dist: File removed.
	* sysdeps/unix/sysv/linux/alpha/Dist: File removed.
	* sysdeps/unix/sysv/linux/i386/Dist: File removed.
	* sysdeps/unix/sysv/linux/mips/mips64/Dist: File removed.
	* sysdeps/unix/sysv/linux/mips/Dist: File removed.
	* sysdeps/unix/sysv/linux/m68k/Dist: File removed.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/Dist: File removed.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/Dist: File removed.
	* sysdeps/unix/sysv/linux/powerpc/aix/Dist: File removed.
	* sysdeps/unix/sysv/linux/powerpc/Dist: File removed.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Dist: File removed.
	* sysdeps/unix/sysv/linux/sparc/sparc64/Dist: File removed.
	* sysdeps/unix/sysv/linux/sparc/Dist: File removed.
	* sysdeps/unix/sysv/linux/ia64/Dist: File removed.
	* sysdeps/unix/sysv/linux/s390/s390-64/Dist: File removed.
	* sysdeps/unix/sysv/linux/s390/Dist: File removed.
	* sysdeps/unix/sysv/linux/s390/s390-32/Dist: File removed.
	* sysdeps/unix/sysv/linux/sh/Dist: File removed.
	* sysdeps/unix/sysv/linux/x86_64/Dist: File removed.
	* sysdeps/unix/sysv/linux/hppa/Dist: File removed.
	* sysdeps/unix/sysv/linux/Dist: File removed.
	* sysdeps/unix/sysv/Dist: File removed.
	* sysdeps/unix/Dist: File removed.
	* sysdeps/generic/Dist: File removed.
	* sysdeps/sparc/sparc32/soft-fp/Dist: File removed.
	* sysdeps/sparc/sparc32/sparcv9/Dist: File removed.
	* sysdeps/sparc/sparc32/sparcv8/Dist: File removed.
	* sysdeps/sparc/sparc32/Dist: File removed.
	* sysdeps/sparc/sparc64/soft-fp/Dist: File removed.
	* sysdeps/sparc/sparc64/Dist: File removed.
	* sysdeps/sparc/Dist: File removed.
	* sysdeps/gnu/Dist: File removed.
	* sysdeps/ia64/fpu/Dist: File removed.
	* sysdeps/ia64/Dist: File removed.
	* sysdeps/mach/mips/Dist: File removed.
	* sysdeps/mach/hurd/alpha/Dist: File removed.
	* sysdeps/mach/hurd/i386/Dist: File removed.
	* sysdeps/mach/hurd/mips/Dist: File removed.
	* sysdeps/mach/hurd/powerpc/Dist: File removed.
	* sysdeps/mach/hurd/Dist: File removed.
	* sysdeps/s390/s390-64/Dist: File removed.
	* sysdeps/s390/Dist: File removed.
	* sysdeps/s390/s390-32/Dist: File removed.
	* sysdeps/sh/Dist: File removed.
	* sysdeps/posix/Dist: File removed.
	* sysdeps/ieee754/dbl-64/Dist: File removed.
	* sysdeps/ieee754/ldbl-128/Dist: File removed.
	* sysdeps/ieee754/flt-32/Dist: File removed.
	* sysdeps/ieee754/Dist: File removed.
	* sysdeps/x86_64/soft-fp/Dist: File removed.
	* sysdeps/x86_64/Dist: File removed.
	* sysdeps/hppa/Dist: File removed.

	* Makerules (common-clean): Don't remove distinfo file.
	($(objpfx)distinfo): Target removed.
	* manual/Makefile (mostlyclean): Don't remove distinfo file.
	(glibc-targets): Remove echo-distinfo.

	* scripts/list-sources.sh: New file.
	* Makefile (TAGS): New target.
	* po/Makefile (libc.pot, libc.pot.files): New targets.
	* Makeconfig (XGETTEXT): New variable.
	* Makerules ($(..)po/%.pot): Rule removed.
	(TAGS): Target removed.
	* Rules (subdir_TAGS): Target removed.
	* MakeTAGS: File removed.

	* Makefile (iconvdata/% localedata/% po/% manual/%): Depend on FORCE.
	* Makeconfig ($(all-Depend-files)): New targets with no-op commands.

2004-08-03  Marco Gerards  <marco@gnu.org>

	[BZ #2119]
	* sysdeps/mach/hurd/bits/ioctls.h (SIOCGIFHWADDR): New macro.

2006-01-07  Ulrich Drepper  <drepper@redhat.com>

	* stdio-common/tstdiomisc.c (F): Use NAN to get NaN value.

2006-01-06  Ulrich Drepper  <drepper@redhat.com>

	* elf/tst-tls8.c (do_test): Use $ORIGIN in module names.

2006-01-03  Steven Munroe  <sjmunroe@us.ibm.com>

	* sysdeps/generic/sysdep.h (cfi_same_value): Define macro.

	* sysdeps/powerpc/powerpc32/dl-trampoline.S (_dl_runtime_resolve,
	_dl_profile_resolve): Add CFI directives for stack and LR save.
	Save LR in LRSAVE of previous frame per ABI.
	* sysdeps/powerpc/powerpc32/fpu/__longjmp-common.S: Add CFI directives
	for LR save.
	* sysdeps/powerpc/powerpc32/lshift.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/makecontext.S
	(__makecontext, __novec_makecontext): Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_ceil.S: Add CFI directive
	for LR save to register.
	* sysdeps/powerpc/powerpc32/fpu/s_ceilf.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_floor.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_floorf.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_rint.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_rintf.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_round.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_roundf.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_trunc.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_truncf.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/setjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_copysign.S: Add CFI directive
	for stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/clone.S: Likewise.
	* sysdeps/powerpc/powerpc32/ppc-mcount.S: Add CFI directives for stack
	and LR save.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/brk.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/getcontext-common.S:
	Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/setcontext-common.S:
	Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/swapcontext-common.S:
	Likewise.
	* sysdeps/powerpc/powerpc32/fpu/s_lround.S:  Likewise.  Don't use
	negative stack addressing.

	* sysdeps/powerpc/powerpc64/dl-trampoline.S (_dl_runtime_resolve,
	_dl_profile_resolve): Add CFI directives for stack and LR save.
	* sysdeps/powerpc/powerpc64/fpu/s_copysign.S: Add CFI directives
	for stack.
	* sysdeps/powerpc/powerpc64/ppc-mcount.S (_mcount): Add CFI
	directives for stack and LR save.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/brk.S (__brk): Add CFI
	directives for stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone.S (__clone): Add CFI
	directives for stack.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/getcontext.S
	(__getcontext, __novec_getcontext): Add CFI directives for stack
	and LR save.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/makecontext.S
	(__makecontext): Add CFI directives for stack and LR save.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/setcontext.S
	(__setcontext, __novec_setcontext): Add CFI directives for stack
	and LR save.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/swapcontext.S
	(__swapcontext, __novec_swapcontext):  Add CFI directives for stack
	and LR save.

2006-01-06  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.h: Include tls.h.
	(SYSCALL_ERROR_HANDLER_ENTRY): Use %g4 instead of %g2, to avoid
	the need of .register directive for it.
	* configure.in (libc_cv_asm_cfi_directives): Use CFI rel offset
	2047 instead of 0 in the test on sparc64.

2006-01-06  Ulrich Drepper  <drepper@redhat.com>

	* scripts/check-c++-types.sh: Add more pthread types.
	* scripts/data//c++-types-i386-linux-gnu.data: Adjust.
	* scripts/data//c++-types-ia64-linux-gnu.data: Likewise.
	* scripts/data//c++-types-powerpc-linux-gnu.data: Likewise.
	* scripts/data//c++-types-powerpc64-linux-gnu.data: Likewise.
	* scripts/data//c++-types-s390-linux-gnu.data: Likewise.
	* scripts/data//c++-types-s390x-linux-gnu.data: Likewise.
	* scripts/data//c++-types-x86_64-linux-gnu.data: Likewise.

	* sysdeps/unix/sysv/linux/ia64/sysdep.h (DO_INLINE_SYSCALL_NCS):
	Adjust for private->__private rename in tcbhead_t.

	[BZ #2114]
	* ncsd/aicache.c: Don't use sendfile for records on the stack.
	* nscd/grpcache.c: Likewise.
	* nscd/hstcache.c: Likewise.
	* nscd/initgrcache.c: Likewise.
	* nscd/pwdcache.c: Likewise.
	Patch by dmueller@suse.com.

	* sysdeps/unix/sysv/linux/alpha/bits/mman.h: Define MADV_REMOVE.
	* sysdeps/unix/sysv/linux/i386/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/ia64/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/s390/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/sh/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/bits/mman.h: Likewise.

2006-01-06  Roland McGrath  <roland@redhat.com>

	* Makeconfig (+gnu-stabs): Remove ancient cruft.

	[BZ #2103]
	* sysdeps/unix/sysv/linux/net/if_arp.h (ARPHRD_HWX25): Corrected macro
	name (was typo ARPHDR_HWX25).
	(ARPHRD_IEEE80211_PRISM, ARPHRD_IEEE80211_RADIOTAP): New macros.
	(ARPHRD_VOID, ARPHRD_NONE): New macros.

	* sysdeps/wordsize-32/divdi3.c (__moddi3): Add a cast.

	* io/fcntl.h [__USE_ATFILE] (AT_EACCESS): New macro.
	* posix/unistd.h [__USE_ATFILE]: Declare faccessat.
	* io/faccessat.c: New file.
	* sysdeps/unix/sysv/linux/faccessat.c: New file.
	* io/Makefile (routines): Add faccessat.
	* io/Versions (libc: GLIBC_2.4): Likewise.
	* io/tst-faccessat.c: New file.
	* io/Makefile (tests): Add it.

	* scripts/check-local-headers.sh: Revert last change.

	* io/euidaccess.c: Add eaccess as an alias.
	* sysdeps/mach/hurd/euidaccess.c: Likewise.
	* sysdeps/posix/euidaccess.c: Likewise.
	* posix/unistd.h [__USE_GNU]: Declare eaccess.
	* io/Versions (libc: GLIBC_2.4): Add eaccess.

2005-12-04  Joseph S. Myers  <joseph@codesourcery.com>

	* soft-fp/Makefile (gcc-single-routines): Add unordsf2,
	floatunsisf, floatundisf.
	(gcc-double-routines): Add unorddf2, floatunsidf, floatundidf.
	(gcc-quad-routines): Add unordtf2, floatunsitf, floatunditf.
	* soft-fp/op-common.h (_FP_CMP_UNORD): Define.
	* soft-fp/single.h (FP_CMP_UNORD_S): Define.
	* soft-fp/double.h (FP_CMP_UNORD_D): Define.
	* soft-fp/quad.h (FP_CMP_UNORD_Q): Define.
	* soft-fp/extended.h (FP_CMP_UNORD_E): Define.
	* soft-fp/unordsf2.c: New file.
	* soft-fp/unorddf2.c: New file.
	* soft-fp/unordtf2.c: New file.
	* soft-fp/floatunsisf.c: New file.
	* soft-fp/floatundisf.c: New file.
	* soft-fp/floatunsidf.c: New file.
	* soft-fp/floatundidf.c: New file.
	* soft-fp/floatunsitf.c: New file.
	* soft-fp/floatunditf.c: New file.

	* soft-fp/op-common.h (__FP_CLZ): Define using __builtin_clz,
	__builtin_clzl and __builtin_clzll.

2006-01-05  Mike Frysinger  <vapier@gentoo.org>

	* include/alloca.h (extend_alloca): Fix typoed name 'extern_alloca'.

2006-01-05  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/kernel-features.h (__ASSUME_WAITID_SYSCALL):
	Only define for 2.6.12+ on s390{,x}.
	(__ASSUME_GETDENTS32_D_TYPE): Only define for 2.6.8+ on most arches
	and only for 2.6.11+ on s390{,x}.

2006-01-05  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/pthread/aio_misc.h [!DONT_USE_BOOTSTRAP_MAP]
	(struct waitlist): Don't add cond.
	* sysdeps/pthread/aio_notify.c [!DONT_USE_BOOTSTRAP_MAP]
	(__aio_notify): Use AIO_MISC_NOTIFY instead of pthread_cond_signal.
	* sysdeps/pthread/aio_suspend.c [!DONT_USE_BOOTSTRAP_MAP]: Don't
	use condvar, use AIO_MISC_WAIT.
	* sysdeps/pthread/lio_listio.c: Likewise.
	* rt/Makefile (tests): Add tst-aio9 and tst-aio10.
	* rt/tst-aio9.c: New file.
	* rt/tst-aio10.c: New file.

	* rt/tst-aio3.c: The thread is now supposed to be created.

2006-01-05  Roland McGrath  <roland@redhat.com>

	* include/features.h: Grok _ATFILE_SOURCE and define __USE_ATFILE when
	it or _GNU_SOURCE is defined.
	* io/fcntl.h: Protect *at and AT_* with [__USE_ATFILE] instead of
	[__USE_GNU].
	* libio/stdio.h: Likewise.
	* posix/unistd.h: Likewise.
	* time/sys/time.h: Likewise.
	* io/sys/stat.h: Likewise.

	* io/sys/stat.h [__USE_GNU]: Declare fchmodat.
	* io/fchmodat.c: New file.
	* io/Makefile (routines): Add fchmodat.
	* io/Versions (libc: GLIBC_2.4): Likewise.
	* sysdeps/unix/sysv/linux/fchmodat.c: New file.
	* io/tst-fchmodat.c: New file.
	* io/Makefile (tests): Add it.

2006-01-03  Steven Munroe  <sjmunroe@us.ibm.com>

	* sysdeps/powerpc/powerpc32/sysdep.h (ENTRY, EALIGN): Add cfi_startproc
	directive to ENTRY macros.
	(END): Add cfi_endproc directive to END macro.
	* sysdeps/powerpc/powerpc64/sysdep.h (ENTRY, EALIGN): Add cfi_startproc
	directive to ENTRY macros.
	(END, END_GEN_TB): Add cfi_endproc directive to END macros.
	* sysdeps/powerpc/powerpc32/dl-start.S: Remove ENTRY()s for
	_dl_start_user and _dl_main_dispatch.
	* sysdeps/powerpc/powerpc32/fpu/fprrest.S: Use END macro.
	* sysdeps/powerpc/powerpc32/fpu/fprsave.S: Use Likewise.
	* sysdeps/powerpc/powerpc32/gprrest0.S: Likewise.
	* sysdeps/powerpc/powerpc32/gprrest1.S: Likewise.
	* sysdeps/powerpc/powerpc32/gprsave0.S: Likewise.
	* sysdeps/powerpc/powerpc32/gprsave1.S: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/socket.S: Remove redundant
	cfi_startproc and cfi_endproc.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/socket.S: Likewise.

2006-01-04  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/pthread/aio_misc.h (struct waitlist): Add result member.
	* sysdeps/pthread/aio_notify.c (__aio_notify): For synchronous waiters,
	failed I/O, and a result pointer, set value to -1.
	* sysdeps/pthread/aio_suspend.c: Initialize result pointer to NULL.
	* sysdeps/pthread/lio_listio.c: For LIO_WAIT, point result pointer in
	wait list to local variable result.  If nonzero afterwards, set errno
	to EIO.  For LIO_NOWAIT set result to NULL.
	* rt/Makefile (tests): Add tst-aio8.
	* rt/tst-aio8.c: New file.

2005-12-25  Kristian Van Der Vliet  <vanders@liqwyd.com>

	* abi-tags (*-.*-syllable.*): New match, with ABI value 5.
	* elf/cache.c (print_entry): Match the Syllable ABI tag.

2006-01-04  Ulrich Drepper  <drepper@redhat.com>

	* include/stdlib.h: Make even more C++ compliant.

2006-01-04  Joseph S. Myers  <joseph@codesourcery.com>

	* sysdeps/unix/sysv/linux/mips/brk.c (__brk): Use
	__SYSCALL_CLOBBERS.

2006-01-03  H.J. Lu  <hongjiu.lu@intel.com>

	* configure.in (HAVE_LIBAUDIT): Check
	audit_log_user_avc_message instead of audit_log_avc.

2006-01-04  Joseph S. Myers  <joseph@codesourcery.com>

	* sysdeps/ieee754/bits/nan.h: Fix typo.

2006-01-03  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/m68k/fchownat.c: Include string.h.

	* sysdeps/sparc/sparc32/dl-machine.h (LD_SO_PRELOAD): Remove unused
	define.

	* sysdeps/sparc/sparc32/bits/atomic.h: Include stdint.h, add
	{,u}atomic*_t typedefs.
	(__sparc32_atomic_do_lock): Add __volatile and memory clobber.
	(__sparc32_atomic_do_unlock): Add memory barrier.
	(__sparc32_atomic_do_lock24, __sparc32_atomic_do_unlock24): Define.
	[!SHARED] (__v9_compare_and_exchange_val_32_acq): Define.
	(__v7_compare_and_exchange_val_acq, __v7_compare_and_exchange_bool_acq,
	__v7_exchange_acq, __v7_exchange_and_add, __v7_exchange_24_rel,
	__v7_compare_and_exchange_val_24_acq, __atomic_is_v9,
	atomic_exchange_acq, atomic_compare_and_exchange_val_24_acq,
	atomic_exchange_24_rel): Define.
	[SHARED] (atomic_exchange_and_add): Define.
	[!SHARED] (__ATOMIC_HWCAP_SPARC_V9): Define.
	[!SHARED] (_dl_hwcap): New weak decl.
	* sysdeps/sparc/sparc32/sparcv9/bits/atomic.h (atomic_exchange_24_rel,
	atomic_compare_and_exchange_val_24_acq): Define.
	* sysdeps/sparc/sparc64/bits/atomic.h (atomic_exchange_24_rel,
	atomic_compare_and_exchange_val_24_acq): Define.

2006-01-03  Ulrich Drepper  <drepper@redhat.com>

	lio_listio should emit an event for each individual request in
	addition to the global event.
	* sysdeps/pthread/lio_listio.c (lio_listio): Renamed to
	lio_listio_internal.  Remove mode parameter check.  Only set sigevent
	type to SIGEV_NONE if LIO_NO_INDIVIDUAL_EVENT is set.
	(__lio_listio_21): New function.  Compatiblity version which sets
	LIO_NO_INDIVIDUAL_EVENT before calling lio_listio_internal.
	(__lio_listio_item_notify): New function.
	* sysdeps/pthread/lio_listio64.c: Define __lio_listio_21 and
	__lio_listio_item_notify macros.
	* sysdeps/pthread/Versions: New file.
	* rt/tst-aio2.c: Adjust test for new semantics of lio_listio.
	* include/aio.h: Define LIO_NO_INDIVIDUAL_EVENT.
	* Versions.def: Add GLIBC_2.4 for librt.

	* rt/Versions: Whitespace fix.
	* sysdeps/pthread/aio_misc.c: Likewise.

	* nscd/connections.c (nscd_init): Remove if block which should
	have been removed as part of the -S option removal.

2006-01-03  Andreas Jaeger  <aj@suse.de>

	* scripts/check-local-headers.sh: Allow $includedir/c++.

2006-01-03  Jakub Jelinek  <jakub@redhat.com>

	* posix/unistd.h (ctermid): Remove __nonnull attribute.

2006-01-02  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc32/sysdep.h (PTR_MANGLE,
	PTR_MANGLE2, PTR_DEMANGLE, PTR_DEMANGLE2): Define.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.h (PTR_MANGLE,
	PTR_MANGLE2, PTR_DEMANGLE, PTR_DEMANGLE2): Define.
	* sysdeps/unix/sysv/linux/sparc/bits/setjmp.h [__WORDSIZE == 64]
	(_JMPBUF_UNWINDS): Don't demangle uc_mcontext.mc_fp.
	* sysdeps/sparc/sparc32/setjmp.S (__sigsetjmp): Mangle %fp, %sp
	and %o7.
	* sysdeps/sparc/sparc32/__longjmp.S (__longjmp): Demangle %fp, %sp
	and %o7.

2006-01-02  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h (PTR_MANGLE2):
	Define.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h (PTR_MANGLE2):
	Likewise.
	* sysdeps/s390/s390-32/__longjmp.c (__longjmp): Demangle also %r15.
	* sysdeps/s390/s390-64/__longjmp.c (__longjmp): Likewise.
	* sysdeps/s390/s390-32/setjmp.S (__sigsetjmp): Mangle also %r15.
	* sysdeps/s390/s390-32/elf/setjmp.S (__sigsetjmp): Likewise.
	* sysdeps/s390/s390-64/setjmp.S (__sigsetjmp): Likewise.
	* sysdeps/s390/s390-64/elf/setjmp.S (__sigsetjmp): Likewise.

	* sysdeps/s390/bits/setjmp.h (__jmp_buf): Add __s390_jmp_buf
	struct tag to make C++ happy.

2006-01-02  Ulrich Drepper  <drepper@redhat.com>

	* posix/Makefile ($(objpfx)annexc.out): Move -I.. to the end of
	the include list.

2006-01-01  Ulrich Drepper  <drepper@redhat.com>

	* posix/getconf.c: Update copyright year.
	* nss/getent.c: Likewise.
	* iconv/iconvconfig.c: Likewise.
	* iconv/iconv_prog.c: Likewise.
	* elf/ldconfig.c: Likewise.
	* catgets/gencat.c: Likewise.
	* csu/version.c: Likewise.
	* elf/ldd.bash.in: Likewise.
	* elf/sprof.c (print_version): Likewise.
	* locale/programs/locale.c: Likewise.
	* locale/programs/localedef.c: Likewise.
	* nscd/nscd.c (print_version): Likewise.
	* debug/xtrace.sh: Likewise.
	* malloc/memusage.sh: Likewise.
	* malloc/mtrace.pl: Likewise.
	* debug/catchsegv.sh: Likewise.

2005-12-31  Andreas Jaeger  <aj@suse.de>

	[BZ #1395]
	* manual/filesys.texi (Symbolic Links): Fix description of
	canonicalize_file_name based on patch by Oskar Liljeblad
	<oskar@osk.mine.nu>.

2005-12-29  Andreas Jaeger  <aj@suse.de>

	* resolv/res_debug.c (latlon2ul): Use ISO C function definition.
	(precsize_aton): Likewise.
	(precsize_ntoa): Likewise.

	* resolv/gethnamaddr.c (_gethtbyname): Remove extra prototype.
	(gethostbyname2): Likewise.
	(gethostbyaddr): Likewise.
	(getanswer): Use ISO C function definition.

2005-12-29  Kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/sh/sysdep.h: Add cfi instrumentation to asm fragments.
	* sysdeps/unix/sysv/linux/sh/sysdep.h: Likewise.
	* sysdeps/sh/_mcount.S: Add cfi instrumentation.
	* sysdeps/unix/sh/sysdep.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/makecontext.S: Adjust cfi_startproc.
	* sysdeps/unix/sysv/linux/sh/sh4/getcontext.S: Remove now duplicate
	cfi_startproc and cfi_endproc.
	* sysdeps/unix/sysv/linux/sh/sh4/setcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/sh4/swapcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/sh3/getcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/sh3/setcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/sh3/swapcontext.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/socket.S: Likewise.
	* sysdeps/unix/sysv/linux/sh/sysdep.S: Add cfi_endproc.

2005-12-30  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/powerpc/powerpc64/setjmp-common.S: Make sure pointer guard
	value doesn't survive in a registers when the function returns.
	* sysdeps/powerpc/powerpc32/fpu/setjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc32/setjmp-common.S: Likewise.

2005-12-30  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/powerpc/powerpc32/sysdep.h: Define
	PTR_MANGLE2.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/sysdep.h: Define
	PTR_MANGLE2 and PTR_DEMANGLE2.
	* sysdeps/powerpc/powerpc64/__longjmp-common.S: Use PTR_DEMANGLE2.
	* sysdeps/powerpc/powerpc64/setjmp-common.S: Use PTR_MANGLE2.
	* sysdeps/powerpc/powerpc32/fpu/setjmp-common.S: Likewise.
	* sysdeps/powerpc/powerpc32/setjmp-common.S: Likewise.

2005-12-30  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/ia64/bits/setjmp.h (_JMPBUF_UNWINDS):
	Don't use _demangle parameter for now.

	[BZ #2080]
	* libio/iogetwline.c (_IO_getwline_info): Move return to correct
	location.

	* nscd/connections.c: Remove last remnants of -S option support.
	* nscd/nscd.c: Likewise.
	* nscd/nscd.h: Likewise.

2005-12-30  Andreas Jaeger  <aj@suse.de>

	[BZ #1067]
	* sysdeps/unix/sysv/linux/mips/bits/socket.h: Fix struct msghdr
	for 64-bit mips kernel.

2005-12-08  Steven Munroe  <sjmunroe@us.ibm.com>
            Tom Gall <tom_gall@vnet.ibm.com>

	* elf/rtld.c (dl_main): Initialize l_local_scope for sysinfo_map.
	* sysdeps/powerpc/elf/libc-start.c: Move this...
	* sysdeps/unix/sysv/linux/powerpc/libc-start.c: ...to here.
	* sysdeps/powerpc/powerpc32/dl-start.S: Add _dl_main_dispatch label.
	* sysdeps/powerpc/powerpc32/hp-timing.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/Versions: New file.
	* sysdeps/unix/sysv/linux/clock_getres.c: If HAVE_CLOCK_GETRES_VSYSCALL
	is not defined, redefine INTERNAL_VSYSCALL and INLINE_VSYSCALL to
	INTERNAL_SYSCALL and INLINE_SYSCALL respectively.  Otherwise include
	<bits/libc-vdso.h>.  Use INLINE_VSYSCALL and INTERNAL_SYSCALL instead
	of the normal versions throughout the code.
	* sysdeps/unix/sysv/linux/clock_gettime.c: Likewise if
	HAVE_CLOCK_GETTIME_VSYSCALL is defined.
	* sysdeps/unix/sysv/linux/powerpc/bits/libc-vdso.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/dl-vdso.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/dl-vdso.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/get_clockfreq.c: Use vDSO.
	* sysdeps/unix/sysv/linux/powerpc/gettimeofday.c: New file.
	* sysdeps/unix/sysv/linux/powerpc/Makefile: Add dl-vdso to routines.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/sysdep.h: Define
	INLINE_VSYSCALL, INTERNAL_VSYSCALL, INTERNAL_SYSCALL_NCS,
	INTERNAL_VSYSCALL_NO_SYSCALL_FALLBACK, HAVE_CLOCK_GETRES_VSYSCALL,
	and HAVE_CLOCK_GETTIME_VSYSCALL.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/sysdep.h: Likewise.

2005-12-29  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/powerpc/powerpc32/sysdep.h [ASSEMBLER]:
	Define PTR_DEMANGLE2.
	* sysdeps/powerpc/powerpc32/setjmp-common.S [PTR_MANGLE]: Also
	mangle r1.
	* sysdeps/powerpc/powerpc32/__longjmp-common.S [PTR_DEMANGLE]: Also
	demangle r1.
	* sysdeps/powerpc/powerpc32/fpu/setjmp-common.S [PTR_MANGLE]: Mangle
	r0 and r1.
	* sysdeps/powerpc/powerpc32/fpu/__longjmp-common.S [PTR_DEMANGLE]:
	Demangle r0 and r1.

	* sysdeps/powerpc/powerpc64/setjmp-common.S [PTR_MANGLE]: Also
	mangle r1.
	* sysdeps/powerpc/powerpc64/__longjmp-common.S [PTR_DEMANGLE]: Also
	demangle  r1.

2005-12-26  Steven Munroe  <sjmunroe@us.ibm.com>

	* sysdeps/unix/sysv/linux/powerpc/powerpc32/getcontext.S:
	Move common function to...
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/getcontext-common.S:
	New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/setcontext.S:
	Move common function to...
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/setcontext-common.S:
	New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/swapcontext.S:
	Move common function to...
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/swapcontext-common.S:
	New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ucontext_i.sym
	(_FRAME_BACKCHAIN, _FRAME_LR_SAVE, _FRAME_PARM_SAVE1,
	_FRAME_PARM_SAVE2, _FRAME_PARM_SAVE3, _FRAME_PARM_SAVE4):
	Remove unrelated stack frame defines.

2005-12-29  Ulrich Drepper  <drepper@redhat.com>

	* stdio-common/tstdiomisc.c [FLT_EVAL_METHOD!=2] (dbl_max):
	Defining as macro as before the last change.

	* sysdeps/unix/sysv/linux/sigaction.c: If WRAPPER_INCLUDE is defined,
	include the named file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/ia64/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/s390/s390-64/sigaction.c: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/sigaction.c: Likewise.

2005-12-29  Roland McGrath  <roland@frob.com>

	* sysdeps/mach/hurd/errno.c: New file.

	* sysdeps/mach/hurd/ioctl.c (__ioctl): Use a union to avoid a cast.

	* sysdeps/posix/libc_fatal.c (__libc_message): Add a const, a cast.

	* hurd/lookup-retry.c (__hurd_file_name_lookup_retry): Fix cast.
	* hurd/report-wait.c (_S_msg_report_wait): Likewise.

	* include/sys/xattr.h: New file.

2005-12-28  Roland McGrath  <roland@redhat.com>

	* hurd/sigunwind.c: Include <stdint.h>.
	* sysdeps/mach/hurd/jmp-unwind.c: Likewise.

2005-12-28  Ulrich Drepper  <drepper@redhat.com>

	* nscd/selinux.c (log_callback): Use audit_log_user_avc_message.
	Don't do anything if audit_fd is invalid.
	(audit_init): Don't complain if kernel support is missing.
	Patch by Steve Grubb <sgrubb@redhat.com>.

	* sysdeps/i386/__longjmp.S [PTR_DEMANGLE]: Also demangle stack
	pointer.  Add CFI.
	* sysdeps/i386/bsd-_setjmp.S [PTR_MANGLE]: Also mangle stack pointer.
	* sysdeps/i386/bsd-setjmp.S: Likewise.
	* sysdeps/i386/setjmp.S: Likewise.

	* sysdeps/x86_64/__longjmp.S: No need to make sure return value is
	!= 0, the caller did that.

2005-12-27  Roland McGrath  <roland@redhat.com>

	* sysdeps/x86_64/__longjmp.S: Don't confuse unwinder by loading
	mangled values in %rbp and %rsp registers and by wrong cfi.

	* config.make.in (c++-sysincludes): New substituted variable.
	* configure.in (CXX_SYSINCLUDES): New substituted variable.
	* configure: Regenerated.
	* Makeconfig (CXXFLAGS): Prepend $(c++-sysincludes) here.

	* sysdeps/unix/sysv/linux/powerpc/powerpc32/sysdep.h
	(PTR_MANGLE): Fix cast.

	* sysdeps/alpha/bits/setjmp.h (_JMPBUF_UNWINDS): Take third argument
	DEMANGLE, and pass SP value through it.
	* sysdeps/hppa/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/i386/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/m68k/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/mips/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/powerpc/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/s390/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/sh/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/sparc/sparc32/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* sysdeps/unix/sysv/linux/ia64/bits/setjmp.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/bits/setjmp.h: Likewise.
	* sysdeps/x86_64/bits/setjmp.h (_JMPBUF_UNWINDS): Likewise.
	* hurd/sigunwind.c (_hurdsig_longjmp_from_handler): Pass inline
	demangler function to _JMPBUF_UNWINDS.
	* sysdeps/mach/hurd/jmp-unwind.c (demangle_ptr): New function.
	(_longjmp_unwind): Pass it to _JMPBUF_UNWINDS.

	* posix/tst-execle1.c (do_test): Add a const.
	* posix/tst-execle2.c (do_test): Likewise.

	* posix/transbug.c (run_test): Add some casts.
	* posix/bug-regex22.c (main): Likewise.
	* posix/bug-regex5.c (main): Likewise.
	* wcsmbs/tst-mbsrtowcs.c (main): Likewise.
	* string/test-strspn.c (do_test, do_random_tests): Likewise.
	* string/test-strrchr.c (do_test, do_random_tests): Likewise.
	* string/test-strlen.c (do_random_tests): Likewise.
	* string/test-strpbrk.c (do_test, do_random_tests): Likewise.
	* string/test-strcmp.c (do_random_tests): Likewise.
	* string/test-strchr.c (do_test, do_random_tests): Likewise.
	* string/test-strcat.c (do_test, do_random_tests): Likewise.
	* string/test-strncpy.c (do_random_tests): Likewise.
	* string/test-strcpy.c (do_test, do_random_tests): Likewise.
	* string/test-memccpy.c (do_test): Likewise.
	* string/test-memmove.c (do_test, do_random_tests): Likewise.
	* string/test-memcpy.c (do_test, do_random_tests): Likewise.
	* string/test-memcmp.c (do_test, do_random_tests): Likewise.
	* string/test-memchr.c (do_test, do_random_tests): Likewise.
	* dlfcn/bug-atexit1.c (do_test): Fix up prototype in cast.
	* stdio-common/tst-fgets.c (do_test): Add a cast.
	* iconvdata/bug-iconv4.c (xiconv): Add a cast.

	* locale/programs/simple-hash.c (insert_entry_2): Remove useless casts.

	* resolv/herror.c (herror): Remove unused extern decl.

	* libio/obprintf.c: Include "strfile.h".

	* elf/order2mod2.c (init): Cast ignored value to void.

2005-12-27  Jakub Jelinek  <jakub@redhat.com>

	* elf/ldconfig.c (search_dir): Skip prelink temporaries.

2005-12-27  Ulrich Drepper  <drepper@redhat.com>

	* elf/tst-tls13.c (do_test): Avoid using the library path when
	looking for tst-tlsmod13a.so.

	* stdio-common/tstdiomisc.c: If FLT_EVAL_METHOD is 2, use long
	double math to generate NaN results.

	* sysdeps/unix/sysv/linux/sparc/bits/errno.h: Define EOWNERDEAD
	and ENOTRECOVERABLE if not already defined.
	* sysdeps/unix/sysv/linux/alpha/bits/errno.h: Likewise.

2005-12-27  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/unix/sysv/linux/alpha/Versions: Add new errlist-compat
	entry for up to 138 errnos.

2005-12-27  Jakub Jelinek  <jakub@redhat.com>

	* iconv/gconv_trans.c (__gconv_transliterate): Demangle step __fct
	before calling it.

2005-12-27  David S. Miller  <davem@sunset.davemloft.net>

	* sysdeps/unix/sysv/linux/sparc/Versions: Add new errlist-compat
	entry for up to 134 errnos.

2005-12-26  Ulrich Drepper  <drepper@redhat.com>

	* Versions.def: Add GLIBC_2.4 for libpthread.

2005-12-25  Ulrich Drepper  <drepper@redhat.com>

	* stdlib/Makefile ($(objpfx)isomac.out): Move -I.. to the end so
	that $(..)/bits is not found early.

2005-12-24  Ulrich Drepper  <drepper@redhat.com>

	* manual/errno.texi: Add new Linux errno codes.
	* sysdeps/unix/sysv/linux/Versions: Add new errlist-compat entry
	for up to 132 errnos.
	* sysdeps/unix/sysv/linux/bits/errno.h: Define EOWNERDEAD and
	ENOTRECOVERABLE if not already defined.

2005-12-23  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1566]
	* sysdeps/i386/i586/memusage.h: New file.
	* sysdeps/i386/memusage.h: Don't define GETTIME.

2005-12-22  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1499]
	* misc/syslog.c (SyslogAddr): Use sockaddr_un instead of sockaddr.
	(openlog_internal): Adjust for this change.

	* Makeconfig: Define CXXFLAGS.  Split out warnings from +gccwarn which
	are not understood by the C++ compiler.
	* Makerules: Add rules to build C++ code for test cases.
	* include/stdlib.h: Protect for inclusion in C++ code.
	* include/time.h: Likewise.

2005-12-22  Roland McGrath  <roland@redhat.com>

	* Makerules [gen-as-const-headers] (tests): Add one test per .sym
	file, not just one.
	($(objpfx)test-as-const.c): Target replaced with ...
	($(objpfx)test-as-const-%.c): ... this pattern rule.
	(generated): Add those files.

2005-12-22  Ulrich Drepper  <drepper@redhat.com>

	* test-skeleton.c (timeout_handler): Rewrite ts initialization for
	C++ compatibility.

	* sysdeps/x86_64/__longjmp.S: Also protect SP and BP.
	* sysdeps/x86_64/setjmp.S: Likewise.

2005-12-21  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/i386/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/i386/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/s390/s390-64/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/s390/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/sh/sh3/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/sh/sh3/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/sh/sh4/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/sh/sh4/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/x86_64/ucontext_i.h: File removed.
	* sysdeps/unix/sysv/linux/x86_64/ucontext_i.sym: New file.
	* sysdeps/unix/sysv/linux/i386/Makefile [$(subdir) = stdlib]:
	(gen-as-const-headers): Add it.
	* sysdeps/unix/sysv/linux/powerpc/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/sh/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/s390/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/Makefile: Likewise.
	* stdlib/tst-ucontext-off.c: File removed.
	* stdlib/Makefile (tests): Remove it.

	* scripts/gen-as-const.awk: Support generating a test program.
	* Makerules [gen-as-const-headers] (tests): Add test-as-const.
	[gen-as-const-headers] ($(objpfx)test-as-const.c): New target.

	* sysdeps/generic/bits: Subdirectory and all files moved to ...
	* bits: ... here, new subdirectory.
	* Makeconfig (+includes): Reordered includes to put build and sysdeps
	dirs first after $(..)include, $(sysincludes) last.

	[BZ #2066]
	* intl/l10nflist.c (_nl_make_l10nflist): Free ABS_FILENAME when later
	malloc fails.

2005-12-21  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/powerpc/fpu/libm-test-ulps: Update for GCC 4.1 prerelease.

2005-12-21  Roland McGrath  <roland@redhat.com>

	* sysdeps/mach/hurd/ifreq.c: Add missing #includes.

	* elf/cache.c: Use <> rather than "" #includes.
	* elf/chroot_canon.c: Likewise.
	* elf/dl-lookup.c: Likewise.
	* elf/ldconfig.c: Likewise.
	* elf/readlib.c: Likewise.
	* elf/rtld.c: Likewise.
	* gmon/mcount.c: Likewise.
	* hurd/hurdfault.c: Likewise.
	* hurd/hurdsig.c: Likewise.
	* hurd/report-wait.c: Likewise.
	* hurd/sigunwind.c: Likewise.
	* mach/setup-thread.c: Likewise.
	* rt/aio_read64.c: Likewise.
	* rt/aio_sigqueue.c: Likewise.
	* rt/aio_write64.c: Likewise.
	* soft-fp/soft-fp.h: Likewise.
	* stdio-common/tmpfile64.c: Likewise.
	* sysdeps/mach/hurd/fork.c: Likewise.
	* sysdeps/mach/hurd/hppa/trampoline.c: Likewise.
	* sysdeps/mach/hurd/i386/trampoline.c: Likewise.
	* sysdeps/mach/hurd/mips/trampoline.c: Likewise.
	* sysdeps/mach/hurd/powerpc/trampoline.c: Likewise.
	* sysdeps/posix/sprofil.c: Likewise.
	* sysdeps/pthread/aio_cancel.c: Likewise.
	* sysdeps/pthread/aio_fsync.c: Likewise.
	* sysdeps/pthread/aio_read64.c: Likewise.
	* sysdeps/pthread/aio_read.c: Likewise.
	* sysdeps/pthread/aio_suspend.c: Likewise.
	* sysdeps/pthread/aio_write64.c: Likewise.
	* sysdeps/pthread/aio_write.c: Likewise.
	* sysdeps/pthread/lio_listio64.c: Likewise.
	* sysdeps/pthread/lio_listio.c: Likewise.
	* sysdeps/unix/sysv/linux/aio_sigqueue.c: Likewise.
	* sysdeps/unix/sysv/tcflow.c: Likewise.

	* sysdeps/generic/unwind-dw2.c (extract_cie_info): Add a cast.

	* elf/dl-error.c (_dl_signal_error): Use .__jmpbuf in __longjmp call.

	* csu/dso_handle.c (__dso_handle): Add const to pointer type too.

2005-12-21  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv_conf.c: Initialize empty_path_elem.

	* sysdeps/ieee754/dbl-64/halfulp.c: Mark tab54 as static and const.
	* sysdeps/i386/fpu/e_expl.c: Mark c0 and c1 as const.
	* sysdeps/ieee754/flt-32/s_expm1f.c: Make sure huge and tiny end
	up in .rodata.
	* sysdeps/ieee754/flt-32/e_exp2f.c: Make sure TWO127 and TWOM100
	end up in .rodata.
	* sysdeps/ieee754/flt-32/e_expf.c: Likewise.
	* sysdeps/ieee754/dbl-64/e_exp2.c: Make sure TWO1023 and TWOM1000
	end up in .rodata.

2005-12-21  Thorsten Kukuk  <kukuk@suse.de>

	* elf/readlib.c: Fix include of readelflib.c.

2005-12-21  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1962]
	* io/fts.c (fts_open): Change type of len to size_t.
	(fts_build): Remove cast in call to fts_alloc.
	(fts_alloc): Change third parameter's type to size_t.

	[BZ #1960]
	* io/fts.c (fts_open): Avoid function call in MAX macro use.

2005-12-20  Ulrich Drepper  <drepper@redhat.com>

	* locale/xlocale.c (_nl_C_locobj): Mark as const.
	* include/locale.h: Define _nl_C_locobj_ptr.
	* iconv/gconv_charset.h: Use _nl_C_locobj_ptr instead of using pointer
	to _nl_C_locobj because we also need a cast.
	* iconv/gconv_conf.c: Likewise.
	* iconv/gconv_int.h: Likewise.
	* iconv/gconv_open.c: Likewise.
	* locale/duplocale.c: Likewise.
	* locale/freelocale.c: Likewise.
	* locale/newlocale.c: Likewise.
	* misc/syslog.c: Likewise.
	* stdlib/strtod_l.c: Likewise.
	* sysdeps/unix/sysv/linux/getloadavg.c: Likewise.

	* csu/dso_handle.c (__dso_handle): Mark as const.

	* intl/plural-exp.c (GERMANIC_PLURAL): Mark as const.
	* intl/plural-exp.h: Adjust declaration of
	__gettext_germanic_plural.

	* resolv/herror.c (h_errlist): Mark as const.
	(h_nerr): Likewise.

2005-12-15  Thomas Schwinge  <tschwinge@gnu.org>

	[BZ #2061]
	* sysdeps/mach/hurd/xmknod.c (__xmknod): Handle S_IFREG.

2005-12-20  Roland McGrath  <roland@redhat.com>

	* sysdeps/unix/sysv/linux/ifreq.h: File removed.
	* sysdeps/unix/sysv/linux/ifreq.c: #include "kernel-features.h" here.

	* sysdeps/mach/hurd/ifreq.h: File removed.
	(__ifreq): Function moved to ...
	* sysdeps/mach/hurd/ifreq.c: ... here, new file.

2005-12-20  Ulrich Drepper  <drepper@redhat.com>

	* sunrpc/clnt_unix.c (unix_ops): Mark as const.
	* sunrpc/auth_des.c (authdes_ops): Likewise.
	* sunrpc/svc_raw.c (server_ops): Likewise.
	* sunrpc/clnt_udp.c (udp_ops): Likewise.
	* sunrpc/clnt_tcp.c (tcp_ops): Likewise.
	* sunrpc/clnt_raw.c (client_ops): Likewise.
	* sunrpc/auth_unix.c (auth_unix_ops): Likewise.
	* sunrpc/auth_none.c (ops): Likewise.

	* nss/nsswitch.c (databases): Mark as const.  Change name field
	into array.
	* nss/databases.def: Add warning.

	* resolv/res_hconf.c (arg_service_list): Reduce size of svcs and
	mark const.
	(cmd): Mark as const.
	(parse_line): Mark c as pointer to const.

	* misc/getusershell.c (initshells): Remove unnecessary tests.
	(endusershell): Likewise.
	(okshells): Mark as const.

	* sysdeps/posix/gai_strerror.c: Complete rewrite. Avoid relocations.
	* sysdeps/posix/gai_strerror-strs.h: New file.
	* sysdeps/posix/Dist: New file.

	* sysdeps/posix/getaddrinfo.c (gaih): Mark as const.
	* locale/loadlocale.c (_nl_value_types): Likewise.
	* iconv/gconv_conf.c (builtin_aliases): Likewise.
	* iconv/gconv_open.c (internal_trans_names): Likewise.

2005-12-19  Kaz Kojima  <kkojima@rr.iij4u.or.jp>

	* sysdeps/unix/sysv/linux/sh/sysdep.h: Include tls.h.
	(PTR_MANGLE, PTR_DEMANGLE): Define.
	(SYSCALL_ERROR_HANDLER): Fix typo.
	* sysdeps/sh/sh4/__longjmp.S: Use PTR_DEMANGLE if defined.
	* sysdeps/sh/sh3/__longjmp.S: Likewise.
	* sysdeps/sh/sh4/setjmp.S: Use PTR_MANGLE if defined.
	* sysdeps/sh/sh3/setjmp.S: Likewise.

2005-12-20  Jakub Jelinek  <jakub@redhat.com>

	* sysdeps/ia64/fpu/libm-test-ulps: Update for GCC 4.1 prerelease.

	* sysdeps/unix/sysv/linux/time.c: If __NR_time is not defined,
	use sysdeps/unix/time.c implementation.

2005-12-20  Jakub Jelinek  <jakub@redhat.com>

	* malloc/mtrace.c (__libc_malloc, __libc_free, __libc_realloc,
	__libc_memalign): Add prototypes and libc_hidden_proto resp.
	defines for !_LIBC.
	(tr_freehook): Call __libc_free instead of free.
	(tr_mallochook): Call __libc_malloc instead of malloc.
	(tr_reallochook): Call __libc_realloc instead of realloc.
	(tr_memalignhook): Call __libc_memalign instead of memalign.
	* malloc/mcheck.c: Include stdlib.h.
	(__libc_malloc, __libc_free, __libc_realloc,
	__libc_memalign): Add prototypes and libc_hidden_proto resp.
	defines for !_LIBC.
	(freehook): Call __libc_free instead of free.
	(mallochook): Call __libc_malloc instead of malloc.
	(reallochook): Call __libc_realloc instead of realloc.
	(memalignhook): Call __libc_memalign instead of memalign.
	(mcheck): Call __libc_malloc and __libc_free instead of
	malloc and free.

2005-12-19  Ulrich Drepper  <drepper@redhat.com>

	[BZ #1955]
	* timezone/zic.c (tofile;): Fix typo in symlink creation.
	Patch by Phil Estes <pestes@us.ibm.com>.

	[BZ #1952]
	* sysdeps/unix/sysv/linux/time.c: New file.
	* sysdeps/unix/sysv/linux/i386/syscalls.list: Remove time entry.

2005-12-15  Thomas Schwinge  <tschwinge@gnu.org>

	* io/xmknodat.c: Include <stddef.h>.
	* misc/futimesat.c: Remove weak_alias and correct stub_warning.
	* stdio-common/renameat.c (renameat): Fix typo.

2005-12-16  Thorsten Kukuk  <kukuk@suse.de>

	[BZ #1978]
	* sysdeps/unix/sysv/linux/internal_statvfs.c (__statvfs_getflags):
	Map more filesystem types to a string.
	* sysdeps/unix/sysv/linux/linux_fsinfo.h: Add SYSFS_MAGIC.

2005-12-19  Jakub Jelinek  <jakub@redhat.com>

	* locale/Makefile (programs/%-kw.h): Run $(GPERF) inside of the
	programs subdirectory.

	* sysdeps/powerpc/powerpc32/__longjmp-common.S (__longjmp): Use
	PTR_DEMANGLE for PC if defined.
	* sysdeps/powerpc/powerpc64/__longjmp-common.S (__longjmp):
	Likewise.
	* sysdeps/unix/sysv/linux/ia64/__longjmp.S (__longjmp): Likewise.
	* sysdeps/s390/s390-32/__longjmp.c (__longjmp): Xor %r14 with
	THREAD_GET_POINTER_GUARD () if PTR_DEMANGLE is defined.
	* sysdeps/s390/s390-64/__longjmp.c (__longjmp): Likewise.
	* sysdeps/powerpc/powerpc32/setjmp-common.S (__sigsetjmp): Use
	PTR_MANGLE for PC if defined.
	* sysdeps/powerpc/powerpc64/setjmp-common.S (__sigsetjmp): Likewise.
	* sysdeps/s390/s390-32/setjmp.S (__sigsetjmp): Likewise.
	Avoid call to __sigjmp_save if IS_IN_rtld.
	* sysdeps/s390/s390-32/elf/setjmp.S (__sigsetjmp): Likewise.
	* sysdeps/s390/s390-64/setjmp.S (__sigsetjmp): Likewise.
	* sysdeps/s390/s390-64/elf/setjmp.S (__sigsetjmp): Likewise.
	* sysdeps/unix/sysv/linux/ia64/setjmp.S (__sigsetjmp): Likewise.
	* sysdeps/unix/sysv/linux/ia64/sysdep.h (PTR_MANGLE, PTR_DEMANGLE):
	Define.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/sysdep.h: Include tls.h.
	(PTR_MANGLE, PTR_DEMANGLE): Define.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/sysdep.h: Include tls.h
	(PTR_MANGLE, PTR_DEMANGLE): Define.
	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h: Include tls.h.
	(PTR_MANGLE, PTR_DEMANGLE): Define.
	(SYSCALL_ERROR_HANDLER): Add missing semicolons.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h: Include tls.h.
	(PTR_MANGLE, PTR_DEMANGLE): Define.
	* sysdeps/unix/sysv/linux/s390/s390-64/socket.S (__socket): Add
	SYSCALL_ERROR_HANDLER.

2005-12-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/sparc/sparc32/socket.S: Handle NO_WEAK_ALIAS.
	* sysdeps/unix/sysv/linux/sparc/sparc64/socket.S: Likewise.
	Patch by Clint Adams.

2005-12-16  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* sysdeps/unix/sysv/linux/s390/sys/user.h: Copy struct user and
	dependent definitions from the kernel header to sys/user.h and
	remove the #include of asm/user.h.

2005-12-19  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/gnu/Makefile: Make sure the correct errlist.c file is
	used when generating errlist-compat.c.

2005-12-18  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv.c: Demangle pointers before use if necessary.
	* iconv/gconv_cache.c: Likewise.
	* iconv/skeleton.c: Likewise.
	* libio/iofwide.c: Likewise.
	* wcsmbs/btowc.c: Likewise.
	* wcsmbs/mbrtowc.c: Likewise.
	* wcsmbs/mbsnrtowcs.c: Likewise.
	* wcsmbs/mbsrtowcs_l.c: Likewise.
	* wcsmbs/wcrtomb.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.
	* wcsmbs/wctob.c: Likewise.
	* iconv_gconv_db.c: Likewise.  After init functions returns mangle
	btowc pointer if necessary.
	* iconv/gconv_dl.c: Mangle function pointers retrieved from dlsym.

	* iconv/gconv_builtin.c (builtin_map): Change type of size
	information fields to int8_t.

	* libio/iofwide.c (__libio_codecvt): Mark as const.
	(__libio_translit): Likewise.
	* libio/libioP.h (__libio_codecvt): Adjust declaraction.

	* wcsmbs/wcsmbsload.c (to_wc): Mark as const.
	(to_mb): Likewise.

2005-12-18  Richard Henderson  <rth@redhat.com>

	* sysdeps/alpha/libc-tls.c: Fix directory on include of base file.

2005-12-18  Ulrich Drepper  <drepper@redhat.com>

	* iconv/gconv_builtin.c: Mark map with attribute_relro.

	* sysdeps/unix/sysv/linux/x86_64/sysdep.h (PTR_MANGLE): Define C
	version for inside ld.so.

	* elf/rtld.c (dl_main): Don't use hp timing code unless it's available.

	* sysdeps/powerpc/powerpc32/setjmp-common.S [IS_IN_rtld]: Avoid
	call to __sigjmp_save.
	* sysdeps/powerpc/powerpc64/setjmp-common.S: Likewise.

	* stdlib/cxa_atexit.c: Use PTR_MANGLE on function pointer.  Fill in
	flavor field last and protect with memory barrier.
	* stdlib/on_exit.c: Likewise.
	* stdlib/cxa_finalize.c: Use PTR_DEMANGLE on function pointer before
	using it.
	* stdlib/exit.c: Likewise.

	* sysdeps/unix/sysv/linux/i386/sysdep.h: Define PTR_MANGLE and
	PTR_DEMANGLE for C code in libc.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Likewise.

2005-12-17  Ulrich Drepper  <drepper@redhat.com>

	* elf/Versions [GLIBC_PRIVATE]: Export __pointer_chk_guard if defined.
	* elf/rtld.c: Define __pointer_chk_guard_local and if necessary
	__pointer_chk_guard.
	(_rtld_global_ro): Initialize _dl_pointer_guard.
	(dl_main): Initialize __pointer_chk_guard_local and either
	__pointer_chk_guard or TLS value if necessary.
	(process_envvars): Recognize and handle LD_POINTER_GUARD.
	* sysdeps/generic/ldsodefs.h (rtld_global_ro): Add _dl_pointer_guard.
	* sysdeps/i386/__longjmp.S: Use PTR_DEMANGLE for PC if defined.
	* sysdeps/x86_64/__longjmp.S: Likewise.
	* sysdeps/i386/bsd-_setjmp.S: Use PTR_MANGLE for PC if defined.
	* sysdeps/i386/bsd-_setjmp.S: Likewise.
	* sysdeps/i386/setjmp.S: Likewise.
	[IS_IN_rtld]: Avoid call to __sigjmp_save.
	* sysdeps/i386/setjmp.S: Likewise.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Define PTR_MANGLE and
	PTR_DEMANGLE.
	* sysdeps/unix/sysv/linux/x86_64/sysdep.h: Likewise.

	* sysdeps/i386/elf/setjmp.S: Removed.
	* sysdeps/i386/elf/bsd-setjmp.S: Removed.

	* elf/dl-error.c (_dl_catch_error): Use __sigsetgjmp instead of
	setjmp.
	* elf/dl-error.c (_dl_signal_error): Use __longjmp instead of longjmp.
	* elf/dl-minimal.c (longjmp): Remove definition.

	* sysdeps/x86_64/bsd-setjmp.S [PIC] (setjmp): Add missing jmp.

2005-12-14  Thorsten Kukuk  <kukuk@suse.de>

	* nscd/Makefile: Don't build nscd_nischeck.
	* nscd/nscd_nischeck.c: Removed.

2005-12-15  Ulrich Drepper  <drepper@redhat.com>

	* sysdeps/unix/sysv/linux/renameat.c: Move errno setting code in
	separate function __atfct_seterrno_2.
	* include/fcntl.h: Declare __atfct_seterrno_2.
	* posix/unistd.h: Declare linkat, symlinkat, readlinkat.
	* io/Makefile (routines): Add linkat, symlinkat, readlinkat.
	* io/Versions [GLIBC_2.4]: Export linkat, symlinkat, readlinkat.
	* io/linkat.c: New file.
	* io/readlinkat.c: New file.
	* io/symlinkat.c: New file.
	* sysdeps/unix/sysv/linux/linkat.c: New file.
	* sysdeps/unix/sysv/linux/readlinkat.c: New file.
	* sysdeps/unix/sysv/linux/symlinkat.c: New file.

2005-12-15  Roland McGrath  <roland@redhat.com>

	[BZ #1997]
	* manual/stdio.texi (String Streams): For open_memstream, elaborate a
	little on malloc reference.

	* sysdeps/alpha/fpu/s_cacosf.c: Don't use sysdeps/generic/.
	* sysdeps/alpha/fpu/s_cacoshf.c: Likewise.
	* sysdeps/alpha/fpu/s_casinf.c: Likewise.
	* sysdeps/alpha/fpu/s_casinhf.c: Likewise.
	* sysdeps/alpha/fpu/s_catanf.c: Likewise.
	* sysdeps/alpha/fpu/s_catanhf.c: Likewise.
	* sysdeps/alpha/fpu/s_ccosf.c: Likewise.
	* sysdeps/alpha/fpu/s_ccoshf.c: Likewise.
	* sysdeps/alpha/fpu/s_cexpf.c: Likewise.
	* sysdeps/alpha/fpu/s_clog10f.c: Likewise.
	* sysdeps/alpha/fpu/s_clogf.c: Likewise.
	* sysdeps/alpha/fpu/s_cpowf.c: Likewise.
	* sysdeps/alpha/fpu/s_cprojf.c: Likewise.
	* sysdeps/alpha/fpu/s_csinf.c: Likewise.
	* sysdeps/alpha/fpu/s_csinhf.c: Likewise.
	* sysdeps/alpha/fpu/s_csqrtf.c: Likewise.
	* sysdeps/alpha/fpu/s_ctanf.c: Likewise.
	* sysdeps/alpha/fpu/s_ctanhf.c: Likewise.
	* sysdeps/alpha/libc-tls.c: Likewise.
	* sysdeps/gnu/glob64.c: Likewise.
	* sysdeps/gnu/updwtmp.c: Likewise.
	* sysdeps/gnu/utmp_file.c: Likewise.
	* sysdeps/i386/bzero.c: Likewise.
	* sysdeps/i386/ffs.c: Likewise.
	* sysdeps/i386/i686/ffs.c: Likewise.
	* sysdeps/i386/memset.c: Likewise.
	* sysdeps/ia64/fpu/printf_fphex.c: Likewise.
	* sysdeps/ia64/libc-tls.c: Likewise.
	* sysdeps/ieee754/ldbl-128/printf_fphex.c: Likewise.
	* sysdeps/m68k/ffs.c: Likewise.
	* sysdeps/mach/hurd/getdents.c: Likewise.
	* sysdeps/mach/hurd/init-posix.c: Likewise.
	* sysdeps/mach/msync.c: Likewise.
	* sysdeps/mips/libc-tls.c: Likewise.
	* sysdeps/posix/profil.c: Likewise.
	* sysdeps/posix/shm_open.c: Likewise.
	* sysdeps/posix/shm_unlink.c: Likewise.
	* sysdeps/posix/sprofil.c: Likewise.
	* sysdeps/powerpc/ffs.c: Likewise.
	* sysdeps/rs6000/ffs.c: Likewise.
	* sysdeps/s390/libc-tls.c: Likewise.
	* sysdeps/unix/sysv/linux/aio_sigqueue.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/glob.c: Likewise.
	* sysdeps/unix/sysv/linux/alpha/wordexp.c: Likewise.
	* sysdeps/unix/sysv/linux/ftruncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/gai_sigqueue.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getresgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/getresuid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/lchown.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/putmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/readelflib.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setresgid.c: Likewise.
	* sysdeps/unix/sysv/linux/i386/setresuid.c: Likewise.
	* sysdeps/unix/sysv/linux/ia64/readelflib.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/ftruncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/readelflib.c: Likewise.
	* sysdeps/unix/sysv/linux/mips/truncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_close.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_getattr.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_notify.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_open.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_receive.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_send.c: Likewise.
	* sysdeps/unix/sysv/linux/mq_unlink.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ftruncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/truncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/readelflib.c: Likewise.
	* sysdeps/unix/sysv/linux/s390/readelflib.c: Likewise.
	* sysdeps/unix/sysv/linux/sched_getaffinity.c: Likewise.
	* sysdeps/unix/sysv/linux/sched_setaffinity.c: Likewise.
	* sysdeps/unix/sysv/linux/sigqueue.c: Likewise.
	* sysdeps/unix/sysv/linux/sigstack.c: Likewise.
	* sysdeps/unix/sysv/linux/sigtimedwait.c: Likewise.
	* sysdeps/unix/sysv/linux/sigwaitinfo.c: Likewise.
	* sysdeps/unix/sysv/linux/sparc/readelflib.c: Likewise.
	* sysdeps/unix/sysv/linux/truncate64.c: Likewise.
	* sysdeps/unix/sysv/linux/vfork.c: Likewise.
	* sysdeps/unix/sysv/linux/x86_64/readelflib.c: Likewise.

	* sysdeps/unix/sysv/linux/Makefile (inhibit-siglist): Removed.

2005-12-13  Ulrich Drepper  <drepper@redhat.com>

	* locale/programs/charmap-kw.h: Regenerated with new gperf.
	* locale/programs/locfile-kw.h: Likewise.

	* Makeconfig (+includes): Look in current directory late.
	* Makerules: Add rules from rules before the rules for the current
	directory.
	* sysdeps/generic/__longjmp.c: Moved to...
	* setjmp/__longjmp.c: ...here.
	* sysdeps/generic/_exit.c: Moved to...
	* posix/_exit.c: ...here.
	* sysdeps/generic/_strerror.c: Moved to...
	* string/_strerror.c: ...here.
	* sysdeps/generic/abort.c: Moved to...
	* stdlib/abort.c: ...here.
	* sysdeps/generic/accept.c: Moved to...
	* socket/accept.c: ...here.
	* sysdeps/generic/access.c: Moved to...
	* io/access.c: ...here.
	* sysdeps/generic/acct.c: Moved to...
	* misc/acct.c: ...here.
	* sysdeps/generic/add_n.c: Moved to...
	* stdlib/add_n.c: ...here.
	* sysdeps/generic/addmul_1.c: Moved to...
	* stdlib/addmul_1.c: ...here.
	* sysdeps/generic/adjtime.c: Moved to...
	* time/adjtime.c: ...here.
	* sysdeps/generic/aio_cancel.c: Moved to...
	* rt/aio_cancel.c: ...here.
	* sysdeps/generic/aio_fsync.c: Moved to...
	* rt/aio_fsync.c: ...here.
	* sysdeps/generic/aio_misc.c: Moved to...
	* rt/aio_misc.c: ...here.
	* sysdeps/generic/aio_notify.c: Moved to...
	* rt/aio_notify.c: ...here.
	* sysdeps/generic/aio_read.c: Moved to...
	* rt/aio_read.c: ...here.
	* sysdeps/generic/aio_read64.c: Moved to...
	* rt/aio_read64.c: ...here.
	* sysdeps/generic/aio_sigqueue.c: Moved to...
	* rt/aio_sigqueue.c: ...here.
	* sysdeps/generic/aio_suspend.c: Moved to...
	* rt/aio_suspend.c: ...here.
	* sysdeps/generic/aio_write.c: Moved to...
	* rt/aio_write.c: ...here.
	* sysdeps/generic/aio_write64.c: Moved to...
	* rt/aio_write64.c: ...here.
	* sysdeps/generic/alarm.c: Moved to...
	* posix/alarm.c: ...here.
	* sysdeps/generic/allocrtsig.c: Moved to...
	* signal/allocrtsig.c: ...here.
	* sysdeps/generic/alphasort64.c: Moved to...
	* dirent/alphasort64.c: ...here.
	* sysdeps/generic/backtrace.c: Moved to...
	* debug/backtrace.c: ...here.
	* sysdeps/generic/backtracesyms.c: Moved to...
	* debug/backtracesyms.c: ...here.
	* sysdeps/generic/backtracesymsfd.c: Moved to...
	* debug/backtracesymsfd.c: ...here.
	* sysdeps/generic/bb_init_func.c: Moved to...
	* gmon/bb_init_func.c: ...here.
	* sysdeps/generic/bcopy.c: Moved to...
	* string/bcopy.c: ...here.
	* sysdeps/generic/bind.c: Moved to...
	* socket/bind.c: ...here.
	* sysdeps/generic/brdinit.c: Moved to...
	* bare/brdinit.c: ...here.
	* sysdeps/generic/brk.c: Moved to...
	* misc/brk.c: ...here.
	* sysdeps/generic/bsd-_setjmp.c: Moved to...
	* setjmp/bsd-_setjmp.c: ...here.
	* sysdeps/generic/bsd-setjmp.c: Moved to...
	* setjmp/bsd-setjmp.c: ...here.
	* sysdeps/generic/bzero.c: Moved to...
	* string/bzero.c: ...here.
	* sysdeps/generic/cabsf.c: Moved to...
	* math/cabsf.c: ...here.
	* sysdeps/generic/cargf.c: Moved to...
	* math/cargf.c: ...here.
	* sysdeps/generic/chdir.c: Moved to...
	* io/chdir.c: ...here.
	* sysdeps/generic/check_fds.c: Moved to...
	* csu/check_fds.c: ...here.
	* sysdeps/generic/check_pf.c: Moved to...
	* inet/check_pf.c: ...here.
	* sysdeps/generic/chflags.c: Moved to...
	* misc/chflags.c: ...here.
	* sysdeps/generic/chmod.c: Moved to...
	* io/chmod.c: ...here.
	* sysdeps/generic/chown.c: Moved to...
	* io/chown.c: ...here.
	* sysdeps/generic/chroot.c: Moved to...
	* misc/chroot.c: ...here.
	* sysdeps/generic/cimagf.c: Moved to...
	* math/cimagf.c: ...here.
	* sysdeps/generic/clock.c: Moved to...
	* time/clock.c: ...here.
	* sysdeps/generic/clock_getcpuclockid.c: Moved to...
	* rt/clock_getcpuclockid.c: ...here.
	* sysdeps/generic/clock_getres.c: Moved to...
	* rt/clock_getres.c: ...here.
	* sysdeps/generic/clock_gettime.c: Moved to...
	* rt/clock_gettime.c: ...here.
	* sysdeps/generic/clock_nanosleep.c: Moved to...
	* rt/clock_nanosleep.c: ...here.
	* sysdeps/generic/clock_settime.c: Moved to...
	* rt/clock_settime.c: ...here.
	* sysdeps/generic/close.c: Moved to...
	* io/close.c: ...here.
	* sysdeps/generic/closedir.c: Moved to...
	* dirent/closedir.c: ...here.
	* sysdeps/generic/cmp.c: Moved to...
	* stdlib/cmp.c: ...here.
	* sysdeps/generic/conjf.c: Moved to...
	* math/conjf.c: ...here.
	* sysdeps/generic/connect.c: Moved to...
	* socket/connect.c: ...here.
	* sysdeps/generic/console.c: Moved to...
	* bare/console.c: ...here.
	* sysdeps/generic/crealf.c: Moved to...
	* math/crealf.c: ...here.
	* sysdeps/generic/creat.c: Moved to...
	* io/creat.c: ...here.
	* sysdeps/generic/creat64.c: Moved to...
	* io/creat64.c: ...here.
	* sysdeps/generic/ctermid.c: Moved to...
	* stdio-common/ctermid.c: ...here.
	* sysdeps/generic/cuserid.c: Moved to...
	* stdio-common/cuserid.c: ...here.
	* sysdeps/generic/dbl2mpn.c: Moved to...
	* stdlib/dbl2mpn.c: ...here.
	* sysdeps/generic/dirfd.c: Moved to...
	* dirent/dirfd.c: ...here.
	* sysdeps/generic/div.c: Moved to...
	* stdlib/div.c: ...here.
	* sysdeps/generic/divmod_1.c: Moved to...
	* stdlib/divmod_1.c: ...here.
	* sysdeps/generic/divrem.c: Moved to...
	* stdlib/divrem.c: ...here.
	* sysdeps/generic/dl-brk.c: Moved to...
	* elf/dl-brk.c: ...here.
	* sysdeps/generic/dl-cache.c: Moved to...
	* elf/dl-cache.c: ...here.
	* sysdeps/generic/dl-environ.c: Moved to...
	* elf/dl-environ.c: ...here.
	* sysdeps/generic/dl-execstack.c: Moved to...
	* elf/dl-execstack.c: ...here.
	* sysdeps/generic/dl-fptr.c: Moved to...
	* elf/dl-fptr.c: ...here.
	* sysdeps/generic/dl-origin.c: Moved to...
	* elf/dl-origin.c: ...here.
	* sysdeps/generic/dl-sbrk.c: Moved to...
	* elf/dl-sbrk.c: ...here.
	* sysdeps/generic/dl-symaddr.c: Moved to...
	* elf/dl-symaddr.c: ...here.
	* sysdeps/generic/dl-sysdep.c: Moved to...
	* elf/dl-sysdep.c: ...here.
	* sysdeps/generic/dl-tls.c: Moved to...
	* elf/dl-tls.c: ...here.
	* sysdeps/generic/dl-trampoline.c: Moved to...
	* elf/dl-trampoline.c: ...here.
	* sysdeps/generic/dup.c: Moved to...
	* io/dup.c: ...here.
	* sysdeps/generic/dup2.c: Moved to...
	* io/dup2.c: ...here.
	* sysdeps/generic/e_acoshl.c: Moved to...
	* math/e_acoshl.c: ...here.
	* sysdeps/generic/e_acosl.c: Moved to...
	* math/e_acosl.c: ...here.
	* sysdeps/generic/e_asinl.c: Moved to...
	* math/e_asinl.c: ...here.
	* sysdeps/generic/e_atan2l.c: Moved to...
	* math/e_atan2l.c: ...here.
	* sysdeps/generic/e_atanhl.c: Moved to...
	* math/e_atanhl.c: ...here.
	* sysdeps/generic/e_coshl.c: Moved to...
	* math/e_coshl.c: ...here.
	* sysdeps/generic/e_exp10.c: Moved to...
	* math/e_exp10.c: ...here.
	* sysdeps/generic/e_exp10f.c: Moved to...
	* math/e_exp10f.c: ...here.
	* sysdeps/generic/e_exp10l.c: Moved to...
	* math/e_exp10l.c: ...here.
	* sysdeps/generic/e_exp2l.c: Moved to...
	* math/e_exp2l.c: ...here.
	* sysdeps/generic/e_expl.c: Moved to...
	* math/e_expl.c: ...here.
	* sysdeps/generic/e_fmodl.c: Moved to...
	* math/e_fmodl.c: ...here.
	* sysdeps/generic/e_gammal_r.c: Moved to...
	* math/e_gammal_r.c: ...here.
	* sysdeps/generic/e_hypotl.c: Moved to...
	* math/e_hypotl.c: ...here.
	* sysdeps/generic/e_j0l.c: Moved to...
	* math/e_j0l.c: ...here.
	* sysdeps/generic/e_j1l.c: Moved to...
	* math/e_j1l.c: ...here.
	* sysdeps/generic/e_jnl.c: Moved to...
	* math/e_jnl.c: ...here.
	* sysdeps/generic/e_lgammal_r.c: Moved to...
	* math/e_lgammal_r.c: ...here.
	* sysdeps/generic/e_log10l.c: Moved to...
	* math/e_log10l.c: ...here.
	* sysdeps/generic/e_log2l.c: Moved to...
	* math/e_log2l.c: ...here.
	* sysdeps/generic/e_logl.c: Moved to...
	* math/e_logl.c: ...here.
	* sysdeps/generic/e_powl.c: Moved to...
	* math/e_powl.c: ...here.
	* sysdeps/generic/e_rem_pio2l.c: Moved to...
	* math/e_rem_pio2l.c: ...here.
	* sysdeps/generic/e_scalb.c: Moved to...
	* math/e_scalb.c: ...here.
	* sysdeps/generic/e_scalbf.c: Moved to...
	* math/e_scalbf.c: ...here.
	* sysdeps/generic/e_scalbl.c: Moved to...
	* math/e_scalbl.c: ...here.
	* sysdeps/generic/e_sinhl.c: Moved to...
	* math/e_sinhl.c: ...here.
	* sysdeps/generic/e_sqrtl.c: Moved to...
	* math/e_sqrtl.c: ...here.
	* sysdeps/generic/enbl-secure.c: Moved to...
	* elf/enbl-secure.c: ...here.
	* sysdeps/generic/endutxent.c: Moved to...
	* login/endutxent.c: ...here.
	* sysdeps/generic/environ.c: Moved to...
	* posix/environ.c: ...here.
	* sysdeps/generic/errlist.c: Moved to...
	* stdio-common/errlist.c: ...here.
	* sysdeps/generic/errno-loc.c: Moved to...
	* csu/errno-loc.c: ...here.
	* sysdeps/generic/errno-loc.c: Moved to...
	* csu/errno-loc.c: ...here.
	* sysdeps/generic/errno.c: Moved to...
	* csu/errno.c: ...here.
	* sysdeps/generic/euidaccess.c: Moved to...
	* io/euidaccess.c: ...here.
	* sysdeps/generic/exc2signal.c: Moved to...
	* hurd/exc2signal.c: ...here.
	* sysdeps/generic/execve.c: Moved to...
	* posix/execve.c: ...here.
	* sysdeps/generic/fattach.c: Moved to...
	* streams/fattach.c: ...here.
	* sysdeps/generic/fchdir.c: Moved to...
	* io/fchdir.c: ...here.
	* sysdeps/generic/fchflags.c: Moved to...
	* misc/fchflags.c: ...here.
	* sysdeps/generic/fchmod.c: Moved to...
	* io/fchmod.c: ...here.
	* sysdeps/generic/fchown.c: Moved to...
	* io/fchown.c: ...here.
	* sysdeps/generic/fchownat.c: Moved to...
	* io/fchownat.c: ...here.
	* sysdeps/generic/fclrexcpt.c: Moved to...
	* math/fclrexcpt.c: ...here.
	* sysdeps/generic/fcntl.c: Moved to...
	* io/fcntl.c: ...here.
	* sysdeps/generic/fdatasync.c: Moved to...
	* misc/fdatasync.c: ...here.
	* sysdeps/generic/fdetach.c: Moved to...
	* streams/fdetach.c: ...here.
	* sysdeps/generic/fdopendir.c: Moved to...
	* dirent/fdopendir.c: ...here.
	* sysdeps/generic/fedisblxcpt.c: Moved to...
	* math/fedisblxcpt.c: ...here.
	* sysdeps/generic/feenablxcpt.c: Moved to...
	* math/feenablxcpt.c: ...here.
	* sysdeps/generic/fegetenv.c: Moved to...
	* math/fegetenv.c: ...here.
	* sysdeps/generic/fegetexcept.c: Moved to...
	* math/fegetexcept.c: ...here.
	* sysdeps/generic/fegetround.c: Moved to...
	* math/fegetround.c: ...here.
	* sysdeps/generic/feholdexcpt.c: Moved to...
	* math/feholdexcpt.c: ...here.
	* sysdeps/generic/fesetenv.c: Moved to...
	* math/fesetenv.c: ...here.
	* sysdeps/generic/fesetround.c: Moved to...
	* math/fesetround.c: ...here.
	* sysdeps/generic/feupdateenv.c: Moved to...
	* math/feupdateenv.c: ...here.
	* sysdeps/generic/fexecve.c: Moved to...
	* posix/fexecve.c: ...here.
	* sysdeps/generic/ffs.c: Moved to...
	* string/ffs.c: ...here.
	* sysdeps/generic/ffsll.c: Moved to...
	* string/ffsll.c: ...here.
	* sysdeps/generic/fgetexcptflg.c: Moved to...
	* math/fgetexcptflg.c: ...here.
	* sysdeps/generic/fgetxattr.c: Moved to...
	* misc/fgetxattr.c: ...here.
	* sysdeps/generic/flistxattr.c: Moved to...
	* misc/flistxattr.c: ...here.
	* sysdeps/generic/flock.c: Moved to...
	* io/flock.c: ...here.
	* sysdeps/generic/flockfile.c: Moved to...
	* stdio-common/flockfile.c: ...here.
	* sysdeps/generic/fork.c: Moved to...
	* posix/fork.c: ...here.
	* sysdeps/generic/fpathconf.c: Moved to...
	* posix/fpathconf.c: ...here.
	* sysdeps/generic/fpu_control.c: Moved to...
	* math/fpu_control.c: ...here.
	* sysdeps/generic/fraiseexcpt.c: Moved to...
	* math/fraiseexcpt.c: ...here.
	* sysdeps/generic/fremovexattr.c: Moved to...
	* misc/fremovexattr.c: ...here.
	* sysdeps/generic/fsetexcptflg.c: Moved to...
	* math/fsetexcptflg.c: ...here.
	* sysdeps/generic/fsetxattr.c: Moved to...
	* misc/fsetxattr.c: ...here.
	* sysdeps/generic/fstatfs.c: Moved to...
	* io/fstatfs.c: ...here.
	* sysdeps/generic/fstatfs64.c: Moved to...
	* io/fstatfs64.c: ...here.
	* sysdeps/generic/fstatvfs.c: Moved to...
	* io/fstatvfs.c: ...here.
	* sysdeps/generic/fstatvfs64.c: Moved to...
	* io/fstatvfs64.c: ...here.
	* sysdeps/generic/fsync.c: Moved to...
	* misc/fsync.c: ...here.
	* sysdeps/generic/ftestexcept.c: Moved to...
	* math/ftestexcept.c: ...here.
	* sysdeps/generic/ftime.c: Moved to...
	* time/ftime.c: ...here.
	* sysdeps/generic/ftruncate.c: Moved to...
	* misc/ftruncate.c: ...here.
	* sysdeps/generic/ftruncate64.c: Moved to...
	* misc/ftruncate64.c: ...here.
	* sysdeps/generic/ftrylockfile.c: Moved to...
	* stdio-common/ftrylockfile.c: ...here.
	* sysdeps/generic/funlockfile.c: Moved to...
	* stdio-common/funlockfile.c: ...here.
	* sysdeps/generic/futimes.c: Moved to...
	* misc/futimes.c: ...here.
	* sysdeps/generic/futimesat.c: Moved to...
	* misc/futimesat.c: ...here.
	* sysdeps/generic/fxstat.c: Moved to...
	* io/fxstat.c: ...here.
	* sysdeps/generic/fxstat64.c: Moved to...
	* io/fxstat64.c: ...here.
	* sysdeps/generic/fxstatat.c: Moved to...
	* io/fxstatat.c: ...here.
	* sysdeps/generic/fxstatat64.c: Moved to...
	* io/fxstatat64.c: ...here.
	* sysdeps/generic/gai_sigqueue.c: Moved to...
	* resolv/gai_sigqueue.c: ...here.
	* sysdeps/generic/gai_strerror.c: Moved to...
	* posix/gai_strerror.c: ...here.
	* sysdeps/generic/get_clockfreq.c: Moved to...
	* rt/get_clockfreq.c: ...here.
	* sysdeps/generic/getaddrinfo.c: Moved to...
	* posix/getaddrinfo.c: ...here.
	* sysdeps/generic/getclktck.c: Moved to...
	* misc/getclktck.c: ...here.
	* sysdeps/generic/getcontext.c: Moved to...
	* stdlib/getcontext.c: ...here.
	* sysdeps/generic/getcwd.c: Moved to...
	* io/getcwd.c: ...here.
	* sysdeps/generic/getdents.c: Moved to...
	* dirent/getdents.c: ...here.
	* sysdeps/generic/getdents64.c: Moved to...
	* dirent/getdents64.c: ...here.
	* sysdeps/generic/getdomain.c: Moved to...
	* misc/getdomain.c: ...here.
	* sysdeps/generic/getdtsz.c: Moved to...
	* misc/getdtsz.c: ...here.
	* sysdeps/generic/getegid.c: Moved to...
	* posix/getegid.c: ...here.
	* sysdeps/generic/getenv.c: Moved to...
	* stdlib/getenv.c: ...here.
	* sysdeps/generic/geteuid.c: Moved to...
	* posix/geteuid.c: ...here.
	* sysdeps/generic/getgid.c: Moved to...
	* posix/getgid.c: ...here.
	* sysdeps/generic/getgroups.c: Moved to...
	* posix/getgroups.c: ...here.
